'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var react = require('@emotion/react');
var material = require('@mui/material');
var styles = require('@mui/material/styles');
var css = require('@emotion/css');
var iconsMaterial = require('@mui/icons-material');
var Autocomplete = require('@mui/material/Autocomplete');
var ToggleButton = require('@mui/material/ToggleButton');
var ToggleButtonGroup = require('@mui/material/ToggleButtonGroup');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
        Object.keys(e).forEach(function (k) {
            if (k !== 'default') {
                var d = Object.getOwnPropertyDescriptor(e, k);
                Object.defineProperty(n, k, d.get ? d : {
                    enumerable: true,
                    get: function () { return e[k]; }
                });
            }
        });
    }
    n["default"] = e;
    return Object.freeze(n);
}

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var React__namespace = /*#__PURE__*/_interopNamespace(React);
var Autocomplete__default = /*#__PURE__*/_interopDefaultLegacy(Autocomplete);
var ToggleButton__default = /*#__PURE__*/_interopDefaultLegacy(ToggleButton);
var ToggleButtonGroup__default = /*#__PURE__*/_interopDefaultLegacy(ToggleButtonGroup);

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

function __spreadArray(to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
}

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var createThemeAdaptor = styles.createTheme;
var common = material.colors.common;
var FontWeight;
(function (FontWeight) {
    FontWeight[FontWeight["bold"] = 700] = "bold";
    FontWeight[FontWeight["light"] = 300] = "light";
    FontWeight[FontWeight["medium"] = 800] = "medium";
    FontWeight[FontWeight["regular"] = 400] = "regular";
    FontWeight[FontWeight["semibold"] = 600] = "semibold";
})(FontWeight || (FontWeight = {}));
var defaultThemeColors = {
    beta: {
        "100": "#F4F0F9",
        "200": "#F0EBF6",
        "400": "#7A41CE",
        "500": "#703CBE",
        "600": "#693BAC",
    },
    error: {
        "100": "#FEF2F2",
        "200": "#FBE8E8",
        "400": "#DC132C",
        "500": "#C61128",
        "600": "#B70016",
    },
    gray: {
        "100": "#F8F8F8",
        "200": "#EAEAEA",
        "300": "#CCCCCC",
        "400": "#999999",
        "500": "#767676",
        "600": "#545454",
    },
    info: {
        "100": "#EFF2FC",
        "200": "#EBEFFC",
        "400": "#3867FA",
        "500": "#2B52CD",
        "600": "#223F9C",
    },
    primary: {
        "100": "#F8F9FE",
        "200": "#EFF2FC",
        "300": "#A9BDFC",
        "400": "#3867FA",
        "500": "#2B52CD",
        "600": "#223F9C",
    },
    secondary: {
        "400": "#9BC74E",
    },
    success: {
        "100": "#ECF5F0",
        "200": "#E6F7ED",
        "400": "#3CB371",
        "500": "#349A61",
        "600": "#1C7F48",
    },
    warning: {
        "100": "#FCF6EC",
        "200": "#FFF3E1",
        "400": "#F5A623",
        "500": "#D8921F",
        "600": "#946314",
    },
};
var defaultAppTheme = {
    colors: defaultThemeColors,
    corners: {
        l: 20,
        m: 4,
        none: 0,
        s: 2,
    },
    fontWeights: {
        bold: 700,
        light: 300,
        medium: 800,
        regular: 400,
        semibold: 600,
    },
    iconSizes: {
        input: { height: 16, width: 16 },
        l: { height: 22, width: 22 },
        s: { height: 14, width: 14 },
        xl: { height: 32, width: 32 },
        xs: { height: 10, width: 10 },
    },
    shadows: {
        l: "0 2px 12px 0 rgba(0,0,0, 0.3)",
        m: "0 2px 4px 0 rgba(0,0,0, 0.15), 0 2px 10px 0 rgba(0,0,0, 0.15)",
        none: "none",
        s: "0 2px 4px 0 rgba(0,0,0, 0.25)",
    },
    spacing: {
        default: 10,
        l: 14,
        m: 10,
        s: 8,
        xl: 22,
        xs: 6,
        xxl: 38,
        xxs: 4,
        xxxs: 2,
    },
    typography: {
        fontFamily: "Open Sans",
        styles: {
            body: {
                button: {
                    fontSize: 13,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "20px",
                    textTransform: "none",
                },
                l: {
                    fontSize: 18,
                    fontWeight: FontWeight.regular,
                    letterSpacing: "0.3px",
                    lineHeight: "28px",
                },
                m: {
                    fontSize: 16,
                    fontWeight: FontWeight.regular,
                    letterSpacing: "0.3px",
                    lineHeight: "26px",
                },
                s: {
                    fontSize: 14,
                    fontWeight: FontWeight.regular,
                    letterSpacing: "0.3px",
                    lineHeight: "24px",
                },
                xs: {
                    fontSize: 13,
                    fontWeight: FontWeight.regular,
                    letterSpacing: "0.3px",
                    lineHeight: "20px",
                },
                xxs: {
                    fontSize: 12,
                    fontWeight: FontWeight.regular,
                    letterSpacing: "0.3px",
                    lineHeight: "18px",
                },
                xxxs: {
                    fontSize: 11,
                    fontWeight: FontWeight.regular,
                    letterSpacing: "0.3px",
                    lineHeight: "16px",
                },
            },
            caps: {
                xxs: {
                    fontSize: 12,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "1.0px",
                    lineHeight: "18px",
                    textTransform: "uppercase",
                },
                xxxs: {
                    fontSize: 11,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "1.0px",
                    lineHeight: "16px",
                    textTransform: "uppercase",
                },
                xxxxs: {
                    fontSize: 10,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "1.0px",
                    lineHeight: "14px",
                    textTransform: "uppercase",
                },
            },
            header: {
                l: {
                    fontSize: 18,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "24px",
                },
                m: {
                    fontSize: 16,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "22px",
                },
                s: {
                    fontSize: 14,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "20px",
                },
                xl: {
                    fontSize: 22,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "30px",
                },
                xs: {
                    fontSize: 13,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "18px",
                },
                xxl: {
                    fontSize: 26,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "34px",
                },
                xxs: {
                    fontSize: 12,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "18px",
                },
                xxxs: {
                    fontSize: 11,
                    fontWeight: FontWeight.semibold,
                    letterSpacing: "0.3px",
                    lineHeight: "16px",
                },
            },
        },
    },
};
// (mlila) whenever our theme uses colors, we need to make sure we allow consuming
// applications to override those colors using their own custom theme.
// By defining borders using defaultAppTheme.colors instead of defaultThemeColors,
// we allow other apps to specify their colors once, and have them apply
// throughtout the application, such as in borders, etc without having to manually
// override every theme property that makes use of colors.
defaultAppTheme.borders = {
    error: {
        "400": "1px solid ".concat(defaultAppTheme.colors.error[400]),
    },
    gray: {
        "100": "1px solid ".concat(defaultAppTheme.colors.gray[100]),
        "200": "1px solid ".concat(defaultAppTheme.colors.gray[200]),
        "300": "1px solid ".concat(defaultAppTheme.colors.gray[300]),
        "400": "1px solid ".concat(defaultAppTheme.colors.gray[400]),
        "500": "1px solid ".concat(defaultAppTheme.colors.gray[500]),
        dashed: "2px dashed ".concat(defaultAppTheme.colors.gray[400]),
    },
    link: {
        dashed: "1px dashed",
        solid: "1px solid",
    },
    primary: {
        "300": "1px solid ".concat(defaultAppTheme.colors.primary[300]),
        "400": "1px solid ".concat(defaultAppTheme.colors.primary[400]),
        "500": "1px solid ".concat(defaultAppTheme.colors.primary[500]),
        "600": "1px solid".concat(defaultAppTheme.colors.primary[600]),
        dashed: "2px dashed ".concat(defaultAppTheme.colors.primary[400]),
    },
    success: {
        "400": "1px solid ".concat(defaultAppTheme.colors.success[400]),
    },
    warning: {
        "400": "1px solid ".concat(defaultAppTheme.colors.warning[400]),
    },
};
function makeThemeOptions(appTheme) {
    return {
        app: appTheme,
        components: {
            MuiButtonBase: {
                defaultProps: {
                    disableRipple: true,
                },
            },
            MuiLink: {
                defaultProps: {
                    underline: "hover",
                },
            },
        },
        palette: {
            divider: appTheme.colors.gray[200],
            error: {
                dark: appTheme.colors.error[600],
                light: appTheme.colors.error[200],
                main: appTheme.colors.error[400],
            },
            grey: {
                "100": appTheme.colors.gray[100],
                "200": appTheme.colors.gray[200],
                "300": appTheme.colors.gray[300],
                "400": appTheme.colors.gray[400],
                "500": appTheme.colors.gray[500],
                "600": appTheme.colors.gray[600],
            },
            info: {
                dark: appTheme.colors.info[600],
                light: appTheme.colors.info[200],
                main: appTheme.colors.info[400],
            },
            mode: "light",
            primary: {
                dark: appTheme.colors.primary[600],
                light: appTheme.colors.primary[300],
                main: appTheme.colors.primary[400],
            },
            secondary: {
                main: appTheme.colors.secondary[400],
            },
            success: {
                dark: appTheme.colors.success[600],
                light: appTheme.colors.success[200],
                main: appTheme.colors.success[400],
            },
            text: {
                disabled: appTheme.colors.gray[300],
                primary: common.black,
                secondary: appTheme.colors.gray[500],
            },
            warning: {
                dark: appTheme.colors.warning[600],
                light: appTheme.colors.warning[200],
                main: appTheme.colors.warning[400],
            },
        },
        shadows: [
            appTheme.shadows.none,
            appTheme.shadows.s,
            appTheme.shadows.s,
            appTheme.shadows.s,
            appTheme.shadows.s,
            appTheme.shadows.s,
            appTheme.shadows.s,
            appTheme.shadows.s,
            appTheme.shadows.s,
            appTheme.shadows.m,
            appTheme.shadows.m,
            appTheme.shadows.m,
            appTheme.shadows.m,
            appTheme.shadows.m,
            appTheme.shadows.m,
            appTheme.shadows.m,
            appTheme.shadows.m,
            appTheme.shadows.l,
            appTheme.shadows.l,
            appTheme.shadows.l,
            appTheme.shadows.l,
            appTheme.shadows.l,
            appTheme.shadows.l,
            appTheme.shadows.l,
            appTheme.shadows.l,
        ],
        shape: {
            borderRadius: appTheme.corners.m,
        },
        spacing: [
            appTheme.spacing.default,
            appTheme.spacing.xxxs,
            appTheme.spacing.xxs,
            appTheme.spacing.xs,
            appTheme.spacing.s,
            appTheme.spacing.m,
            appTheme.spacing.l,
            appTheme.spacing.xl,
            appTheme.spacing.xxl,
        ],
        transitions: {
            duration: {
                complex: 200,
                enteringScreen: 20,
                leavingScreen: 10,
                short: 150,
                shorter: 100,
                shortest: 50,
                standard: 200,
            },
            easing: {
                easeIn: "cubic-bezier(0, 0, 0.2, 1)",
                easeInOut: "cubic-bezier(0, 0, 0.2, 1)",
                easeOut: "cubic-bezier(0.0, 0, 0.2, 1)",
                sharp: "cubic-bezier(0, 0.2, 0.6, 1)",
            },
        },
        typography: {
            body1: appTheme.typography.styles.body.xs,
            body2: appTheme.typography.styles.body.xxs,
            button: appTheme.typography.styles.body.button,
            caption: appTheme.typography.styles.body.xxxs,
            fontFamily: "".concat(appTheme.typography.fontFamily, ", -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Helvetica, Arial, sans-serif"),
            h1: appTheme.typography.styles.header.xxl,
            h2: appTheme.typography.styles.header.xl,
            h3: appTheme.typography.styles.header.l,
            h4: appTheme.typography.styles.header.m,
            h5: appTheme.typography.styles.header.s,
            h6: appTheme.typography.styles.header.xs,
            overline: appTheme.typography.styles.caps.xxxs,
            subtitle1: appTheme.typography.styles.body.xs,
            subtitle2: appTheme.typography.styles.header.xxs,
        },
    };
}
var defaultThemeOptions = makeThemeOptions(defaultAppTheme);
var defaultTheme = createThemeAdaptor(defaultThemeOptions);

var getSpaces = function (_a) {
    var _b;
    var theme = _a.theme;
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.spacing) || null;
};
var getSpacings = function (_a) {
    var _b;
    var theme = _a.theme;
    console.warn("getSpacings() is deprecated and may be removed in a future release. Please use getSpaces()");
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.spacing) || null;
};
var getTypography = function (_a) {
    var _b;
    var theme = _a.theme;
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.typography) || null;
};
var getPalette = function (_a) {
    var theme = _a.theme;
    return theme === null || theme === void 0 ? void 0 : theme.palette;
};
var getColors = function (_a) {
    var _b;
    var theme = _a.theme;
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.colors) || null;
};
var getShadows = function (_a) {
    var _b;
    var theme = _a.theme;
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.shadows) || null;
};
var getCorners = function (_a) {
    var _b;
    var theme = _a.theme;
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.corners) || null;
};
var getFontWeights = function (_a) {
    var _b;
    var theme = _a.theme;
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.fontWeights) || null;
};
var getIconSizes = function (_a) {
    var _b;
    var theme = _a.theme;
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.iconSizes) || null;
};
var getBorders = function (_a) {
    var _b;
    var theme = _a.theme;
    return ((_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.borders) || null;
};

var fontBody = function (fontSize) {
    return function (props) {
        var typography = getTypography(props);
        if (!typography)
            return null;
        var body = typography.styles.body;
        return themeToCss(body[fontSize]);
    };
};
var fontBodyL$1 = fontBody("l");
var fontBodyM$1 = fontBody("m");
var fontBodyS$2 = fontBody("s");
var fontBodyXs$5 = fontBody("xs");
var fontBodyXxs$1 = fontBody("xxs");
var fontBodyXxxs$1 = fontBody("xxxs");
var fontCaps = function (fontSize) {
    return function (props) {
        var typography = getTypography(props);
        if (!typography)
            return null;
        var caps = typography.styles.caps;
        return react.css(templateObject_1$Q || (templateObject_1$Q = __makeTemplateObject(["\n      ", "\n      text-transform: uppercase;\n    "], ["\n      ", "\n      text-transform: uppercase;\n    "])), themeToCss(caps[fontSize]));
    };
};
var fontCapsXxs = fontCaps("xxs");
var fontCapsXxxs = fontCaps("xxxs");
var fontCapsXxxxs = fontCaps("xxxxs");
var fontHeader = function (fontSize) {
    return function (props) {
        var typography = getTypography(props);
        if (!typography)
            return null;
        var header = typography.styles.header;
        return themeToCss(header[fontSize]);
    };
};
var fontHeaderXxl = fontHeader("xxl");
var fontHeaderXl = fontHeader("xl");
var fontHeaderL = fontHeader("l");
var fontHeaderM$1 = fontHeader("m");
var fontHeaderS = fontHeader("s");
var fontHeaderXs = fontHeader("xs");
var fontHeaderXxs = fontHeader("xxs");
var fontHeaderXxxs = fontHeader("xxxs");
function themeToCss(fontTheme) {
    return react.css(templateObject_2$x || (templateObject_2$x = __makeTemplateObject(["\n    font-size: ", "px;\n    line-height: ", ";\n    letter-spacing: ", ";\n    font-weight: ", ";\n    text-transform: ", ";\n  "], ["\n    font-size: ", "px;\n    line-height: ", ";\n    letter-spacing: ", ";\n    font-weight: ", ";\n    text-transform: ", ";\n  "])), fontTheme.fontSize, fontTheme.lineHeight, fontTheme.letterSpacing, fontTheme.fontWeight, fontTheme.textTransform);
}
var templateObject_1$Q, templateObject_2$x;

var StyledAccordionDetails = styles.styled(material.AccordionDetails)(templateObject_2$w || (templateObject_2$w = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyS$2, function (props) {
    var spaces = getSpaces(props);
    return react.css(templateObject_1$P || (templateObject_1$P = __makeTemplateObject(["\n      padding: ", "px;\n      padding-top: ", "px;\n    "], ["\n      padding: ", "px;\n      padding-top: ", "px;\n    "])), spaces === null || spaces === void 0 ? void 0 : spaces.m, spaces === null || spaces === void 0 ? void 0 : spaces.xxs);
});
var templateObject_1$P, templateObject_2$w;

var AccordionDetails = function (props) {
    var children = props.children;
    return React__default["default"].createElement(StyledAccordionDetails, null, children);
};

var _path$1O, _path2$s, _path3$3;
function _extends$1S() { _extends$1S = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1S.apply(this, arguments); }
function SvgIconBacteriaLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1S({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1O || (_path$1O = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.188 13.473a1.793 1.793 0 11-3.585 0 1.793 1.793 0 013.585 0zm-1.792.693a.693.693 0 100-1.385.693.693 0 000 1.385z"
  })), _path2$s || (_path2$s = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M13.06 7.332a.938.938 0 100-1.877.938.938 0 000 1.877zM11.72 11.128a.693.693 0 01.221-.954l.947-.59a.693.693 0 11.733 1.176l-.947.59a.693.693 0 01-.954-.222zM9.312 8.534a.693.693 0 101.366-.228L10.45 6.94a.693.693 0 10-1.366.228l.228 1.367z"
  })), _path3$3 || (_path3$3 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M13.932 2.232a5.174 5.174 0 00-2.462-.28L10.944.808a.693.693 0 10-1.259.58l.429.93a5.23 5.23 0 00-.518.253l-.582-.692a.693.693 0 00-1.061.891l.532.633c-.187.184-.36.382-.52.595l-.822-.269a.693.693 0 00-.431 1.317l.573.187-.028.073-2 5.413-.38-.32a.693.693 0 00-.89 1.06l.869.732c-.05.394-.054.789-.015 1.175l-.934.159a.693.693 0 10.232 1.366l1.026-.174a5.19 5.19 0 002.18 2.588c-.078.16-.168.327-.265.506l-.013.026c-.158.292-.34.628-.465.962-.13.346-.23.766-.144 1.21.089.468.363.86.785 1.174.45.336.924.45 1.397.393.434-.053.818-.248 1.118-.419.14-.08.256-.15.364-.216.162-.099.304-.185.476-.272.254-.128.45-.186.626-.186.477 0 .681.16.77.252a.565.565 0 01.113.172.7.7 0 001.354-.355l-.675.166.675-.166v-.002l-.001-.002-.001-.004-.003-.01-.006-.022a1.72 1.72 0 00-.095-.243 1.967 1.967 0 00-.349-.501c-.359-.376-.933-.685-1.782-.685-.487 0-.912.162-1.256.336-.211.106-.449.25-.649.37-.096.059-.184.111-.255.152-.27.154-.451.228-.595.245-.104.013-.22.002-.39-.125-.198-.148-.235-.255-.246-.314-.016-.084-.007-.222.08-.457.089-.236.227-.493.4-.813l.006-.013c.1-.186.212-.393.316-.61a5.184 5.184 0 003.84-.435l.708.844a.693.693 0 001.062-.89l-.645-.77a5.16 5.16 0 00.94-1.211l1.127.096a.693.693 0 10.118-1.38l-.68-.059 1.9-5.142a5.14 5.14 0 00.066-.191l.605.223a.693.693 0 10.48-1.3l-.832-.307a5.175 5.175 0 00-.05-.968l.807-.123a.693.693 0 10-.21-1.37l-.98.15a5.222 5.222 0 00-.516-.913l.684-.578a.693.693 0 00-.895-1.058l-.733.62a5.187 5.187 0 00-1.5-.86zm-.36 11.927l2.12-5.737A3.796 3.796 0 008.57 5.79l-2.12 5.738a3.796 3.796 0 007.121 2.63z"
  })));
}

var _path$1N, _path2$r;
function _extends$1R() { _extends$1R = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1R.apply(this, arguments); }
function SvgIconBacteriaSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1R({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1N || (_path$1N = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M2.87 3.263a4.615 4.615 0 00-.093.231L1.423 7.161a4.542 4.542 0 006.626 5.452l.7.61a1 1 0 001.315-1.506l-.574-.501c.18-.279.334-.582.454-.907L11.3 6.642c.307-.83.355-1.694.186-2.501l.573-.116a1 1 0 00-.398-1.96l-1.04.21a4.541 4.541 0 00-6.566-.634l-.548-.478A1 1 0 102.19 2.668l.68.595zm2.408 7.747a1.5 1.5 0 100-3 1.5 1.5 0 000 3zm3.677-6.537a1 1 0 11-2 0 1 1 0 012 0z"
  })), _path2$r || (_path2$r = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M4.459 3.18l-.28.648a3.186 3.186 0 00-.065.16l-1.337-.494c.03-.078.06-.155.093-.231l-.68-.595a1 1 0 111.317-1.505l.548.479a4.541 4.541 0 016.566.634l1.04-.211a1 1 0 11.397 1.96l-.573.116.012.058a4.52 4.52 0 01-.198 2.443L9.944 10.31c-.12.325-.273.628-.454.907l.574.501a1 1 0 11-1.315 1.507l-.7-.611a4.542 4.542 0 01-6.626-5.452l1.354-3.667 1.337.494L2.76 7.655a3.126 3.126 0 00-.17.7 2.926 2.926 0 115.104 2.805l.217-.132.384-.59c.123-.19.229-.398.312-.623l1.355-3.667c.069-.188.12-.377.151-.567A2.425 2.425 0 117.82 2.05a3.117 3.117 0 00-2.83.667l-.531.461zm2.319 6.33a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm1.177-4.037a1 1 0 100-2 1 1 0 000 2z"
  })));
}

var _path$1M;
function _extends$1Q() { _extends$1Q = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1Q.apply(this, arguments); }
function SvgIconBarChartHorizontal3Small(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1Q({
    width: 14,
    height: 14,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1M || (_path$1M = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M1 2.13a1 1 0 011-1h6.4a1 1 0 011 1v.75a1 1 0 01-1 1H2a1 1 0 01-1-1v-.75zm0 4.5a1 1 0 011-1h10a1 1 0 011 1v.75a1 1 0 01-1 1H2a1 1 0 01-1-1v-.75zm0 4.5a1 1 0 011-1h2.8a1 1 0 011 1v.75a1 1 0 01-1 1H2a1 1 0 01-1-1v-.75z"
  })));
}

var _path$1L;
function _extends$1P() { _extends$1P = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1P.apply(this, arguments); }
function SvgIconBarChartVertical3Small(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1P({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1L || (_path$1L = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M1.13 12V5.6a1 1 0 011-1h.75a1 1 0 011 1V12a1 1 0 01-1 1h-.75a1 1 0 01-1-1zm4.5 0V2a1 1 0 011-1h.75a1 1 0 011 1v10a1 1 0 01-1 1h-.75a1 1 0 01-1-1zm4.5 0V9.2a1 1 0 011-1h.75a1 1 0 011 1V12a1 1 0 01-1 1h-.75a1 1 0 01-1-1z",
    fillRule: "evenodd"
  })));
}

var _path$1K;
function _extends$1O() { _extends$1O = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1O.apply(this, arguments); }
function SvgIconBarChartVertical4Small(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1O({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1K || (_path$1K = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M5.61 2.707c.477 0 .864.387.864.864v8.715a.864.864 0 11-1.727 0V3.571c0-.477.387-.864.864-.864zm-2.746 2.23c.476 0 .863.387.863.864v6.474a.864.864 0 11-1.727 0V5.801c0-.477.387-.863.864-.863zM8.358.9c.477 0 .863.387.863.864v10.511a.864.864 0 11-1.727 0V1.764c0-.477.387-.864.864-.864zm2.747 4.22c.477 0 .863.387.863.864v6.291a.864.864 0 01-1.727 0v-6.29c0-.478.387-.864.864-.864z",
    fillRule: "evenodd"
  })));
}

var _path$1J;
function _extends$1N() { _extends$1N = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1N.apply(this, arguments); }
function SvgIconBookLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1N({
    width: 22,
    height: 22,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1J || (_path$1J = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M17.322 1.42H5.378A2.787 2.787 0 002.59 4.207V17.911a.754.754 0 00.022.111 2.788 2.788 0 002.765 2.565h11.945a2.091 2.091 0 002.09-2.091V3.511a2.09 2.09 0 00-2.09-2.091zm.697 2.09v11.614H7.552V2.814h9.77a.696.696 0 01.697.697zM5.378 2.815h.78v12.31h-.78c-.491.002-.972.136-1.394.387V4.208a1.394 1.394 0 011.394-1.394zm11.944 16.379H5.378a1.34 1.34 0 110-2.676h12.64v1.98a.697.697 0 01-.696.696zM9.988 5.707c0-.385.312-.697.697-.697h4.2a.697.697 0 110 1.394h-4.2a.697.697 0 01-.697-.697z"
  })));
}

var _path$1I, _path2$q;
function _extends$1M() { _extends$1M = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1M.apply(this, arguments); }
function SvgIconCheckCircleLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1M({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1I || (_path$1I = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M15.92 7.982a.825.825 0 00-1.34-.964l-4.801 6.67-2.916-3.24a.825.825 0 10-1.226 1.104l3.662 4.069a.75.75 0 001.166-.063l5.455-7.576z"
  })), _path2$q || (_path2$q = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20.5 11a9.5 9.5 0 11-19 0 9.5 9.5 0 0119 0zm-1.45 0a8.05 8.05 0 11-16.1 0 8.05 8.05 0 0116.1 0z"
  })));
}

var _path$1H;
function _extends$1L() { _extends$1L = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1L.apply(this, arguments); }
function SvgIconCheckCircleSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1L({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1H || (_path$1H = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.6 7A5.6 5.6 0 111.4 7a5.6 5.6 0 0111.2 0zM14 7A7 7 0 110 7a7 7 0 0114 0zm-3.662-1.826a.725.725 0 10-1.176-.848l-3.075 4.27L4.29 6.598a.725.725 0 10-1.078.97l2.587 2.875a.5.5 0 00.777-.043l3.763-5.226z"
  })));
}

var _path$1G;
function _extends$1K() { _extends$1K = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1K.apply(this, arguments); }
function SvgIconCheckSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1K({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1G || (_path$1G = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M12.415 1.011a.78.78 0 00-.484.334L5.65 9.862l-3.248-3.67c-.207-.287-.55-.399-.86-.258-.294.132-.497.462-.535.848-.038.38.087.76.333.985l3.826 4.325c.33.37.833.338 1.131-.066l6.825-9.257c.233-.307.294-.774.153-1.166-.148-.411-.492-.66-.86-.592z",
    fillRule: "evenodd"
  })));
}

var _path$1F;
function _extends$1J() { _extends$1J = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1J.apply(this, arguments); }
function SvgIconChevronDownLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1J({
    width: 22,
    height: 22,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1F || (_path$1F = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M11.562 16.106a.75.75 0 01-1.067.002L1.972 7.517a.75.75 0 01.004-1.061l.568-.563a.75.75 0 011.06.004l6.886 6.94a.75.75 0 001.067-.002L18.39 5.9a.75.75 0 011.06-.007l.57.561a.75.75 0 01.008 1.06l-8.466 8.591z"
  })));
}

var _path$1E;
function _extends$1I() { _extends$1I = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1I.apply(this, arguments); }
function SvgIconChevronDownSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1I({
    width: 14,
    height: 14,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1E || (_path$1E = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M7.374 10.461a.5.5 0 01-.711.001L1.116 4.871a.5.5 0 01.002-.707l.64-.634a.5.5 0 01.706.003L6.658 7.76a.5.5 0 00.711-.001l4.162-4.223a.5.5 0 01.707-.005l.641.632a.5.5 0 01.005.707l-5.51 5.591z"
  })));
}

var _path$1D;
function _extends$1H() { _extends$1H = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1H.apply(this, arguments); }
function SvgIconChevronLeftLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1H({
    width: 22,
    height: 22,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1D || (_path$1D = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M5.611 11.316a.75.75 0 01-.002-1.067l8.582-8.532a.749.749 0 011.06.003l.565.567a.751.751 0 01-.004 1.061L8.88 10.24a.75.75 0 00.002 1.067l6.941 6.826a.751.751 0 01.009 1.061l-.562.57a.75.75 0 01-1.061.009l-8.598-8.457z"
  })));
}

var _path$1C;
function _extends$1G() { _extends$1G = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1G.apply(this, arguments); }
function SvgIconChevronLeftSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1G({
    width: 14,
    height: 14,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1C || (_path$1C = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M3.536 7.373a.5.5 0 01-.001-.71l5.59-5.548a.5.5 0 01.708.003l.634.639a.5.5 0 01-.003.707L6.237 6.658a.5.5 0 00.001.71l4.223 4.162a.5.5 0 01.005.708l-.632.64a.5.5 0 01-.707.006l-5.591-5.51z"
  })));
}

var _path$1B;
function _extends$1F() { _extends$1F = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1F.apply(this, arguments); }
function SvgIconChevronRightLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1F({
    width: 22,
    height: 22,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1B || (_path$1B = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M16.389 10.686a.75.75 0 01.002 1.068l-8.586 8.528a.749.749 0 01-1.06-.004l-.564-.568a.749.749 0 01.003-1.06l6.936-6.889a.75.75 0 00-.002-1.067l-6.937-6.83a.749.749 0 01-.009-1.06l.561-.57a.748.748 0 011.06-.008l8.596 8.46z"
  })));
}

var _path$1A;
function _extends$1E() { _extends$1E = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1E.apply(this, arguments); }
function SvgIconChevronRightSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1E({
    width: 14,
    height: 14,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1A || (_path$1A = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M10.463 6.624a.5.5 0 01.001.711l-5.591 5.548a.5.5 0 01-.707-.003l-.634-.64a.5.5 0 01.003-.706L7.762 7.34a.5.5 0 00-.001-.711L3.538 2.467a.5.5 0 01-.005-.707l.632-.641a.5.5 0 01.707-.005l5.59 5.51z"
  })));
}

var _path$1z;
function _extends$1D() { _extends$1D = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1D.apply(this, arguments); }
function SvgIconChevronUpLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1D({
    width: 22,
    height: 22,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1z || (_path$1z = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M10.432 5.894a.75.75 0 011.067-.002l8.523 8.59a.75.75 0 01-.004 1.062l-.568.563a.75.75 0 01-1.06-.004l-6.886-6.94a.75.75 0 00-1.066.002l-6.834 6.933a.75.75 0 01-1.06.008l-.57-.562a.75.75 0 01-.008-1.06l8.466-8.59z"
  })));
}

var _path$1y;
function _extends$1C() { _extends$1C = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1C.apply(this, arguments); }
function SvgIconChevronUpSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1C({
    width: 14,
    height: 14,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1y || (_path$1y = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M6.624 3.539a.5.5 0 01.711-.001l5.548 5.591a.5.5 0 01-.003.707l-.64.634a.5.5 0 01-.706-.003L7.34 6.24a.5.5 0 00-.711.001l-4.162 4.223a.5.5 0 01-.707.005l-.641-.632a.5.5 0 01-.005-.707l5.51-5.591z"
  })));
}

var _path$1x;
function _extends$1B() { _extends$1B = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1B.apply(this, arguments); }
function SvgIconCirclesOverlapLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1B({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1x || (_path$1x = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7.219 18.219c1.386 0 2.681-.391 3.781-1.069a7.219 7.219 0 100-12.3 7.219 7.219 0 10-3.781 13.37zm0-1.45c.91 0 1.771-.211 2.537-.587A7.197 7.197 0 017.562 11c0-2.033.841-3.87 2.194-5.182a5.769 5.769 0 10-2.537 10.951zM14.78 5.23c-.91 0-1.771.211-2.537.587A7.198 7.198 0 0114.438 11c0 2.033-.841 3.87-2.194 5.182a5.769 5.769 0 102.537-10.951zM11.37 6.994l-1.19.526c-.235.312-.44.648-.61 1.004l2.255-.998a5.795 5.795 0 00-.455-.532zm1.18 1.797l-3.492 1.545-.005-.012a5.828 5.828 0 00-.039.764l3.757-1.663a5.713 5.713 0 00-.22-.634zm.438 2.124L9.23 12.577c.062.22.137.433.223.64l3.495-1.546a5.823 5.823 0 00.038-.756zm-.562 2.573l-2.244.993c.143.188.296.367.46.537l1.16-.514c.242-.314.45-.655.624-1.016z"
  })));
}

var _path$1w, _path2$p;
function _extends$1A() { _extends$1A = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1A.apply(this, arguments); }
function SvgIconCirclesOverlapSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1A({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1w || (_path$1w = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7 10.914a4.594 4.594 0 110-7.828 4.594 4.594 0 110 7.828zm-1.099-.945a3.244 3.244 0 110-5.939A4.576 4.576 0 004.813 7c0 1.132.41 2.169 1.088 2.97zM8.1 4.031a3.244 3.244 0 110 5.939A4.575 4.575 0 009.187 7c0-1.132-.41-2.169-1.088-2.97zM7 4.825c.52.575.838 1.338.838 2.175 0 .837-.318 1.6-.838 2.175A3.232 3.232 0 016.162 7c0-.837.318-1.6.838-2.175z"
  })), _path2$p || (_path2$p = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7.838 7c0-.837-.318-1.6-.838-2.175A3.232 3.232 0 006.162 7c0 .837.318 1.6.838 2.175.52-.575.838-1.338.838-2.175z"
  })));
}

var _path$1v;
function _extends$1z() { _extends$1z = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1z.apply(this, arguments); }
function SvgIconCompassLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1z({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1v || (_path$1v = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.403 2.71a.7.7 0 00-.628-.696l-.071-.004h-1.399a.7.7 0 00-.695.628v.077a9.465 9.465 0 012.793 0V2.71zm-4.195 0s-.008.204-.007.327a9.393 9.393 0 00-6.585 8.964 9.39 9.39 0 1012.183-8.967v-.432a2.1 2.1 0 00-2.095-1.99h-1.399l-.107.003a2.1 2.1 0 00-1.99 2.095zm-5.056 8.503a7.894 7.894 0 017.064-7.065.867.867 0 00-.012.146v.831c0 .46.359.831.8.831.443 0 .801-.372.801-.831v-.831a.867.867 0 00-.012-.146 7.894 7.894 0 017.064 7.065.875.875 0 00-.147-.013h-.833c-.46 0-.833.359-.833.8 0 .443.373.801.833.801h.833c.05 0 .1-.004.147-.012a7.894 7.894 0 01-7.064 7.064.866.866 0 00.012-.145v-.832c0-.459-.358-.831-.8-.831-.442 0-.8.372-.8.831v.832c0 .05.003.098.011.145a7.894 7.894 0 01-7.064-7.064.875.875 0 00.147.012h.833c.46 0 .833-.358.833-.8 0-.442-.373-.8-.833-.8H3.3c-.05 0-.099.003-.147.011zM14.6 7.786a.45.45 0 01.652.558l-.033.061-2.541 5.047a.42.42 0 01-.136.16l-.062.037-5.082 2.541a.448.448 0 01-.197.05.449.449 0 01-.319-.135.449.449 0 01-.112-.45l.027-.066 2.54-5.065a.422.422 0 01.137-.16l.061-.037 5.064-2.541zm-1.15 1.768l-2.59 1.298 1.293 1.293 1.298-2.59z"
  })));
}

var _path$1u, _path2$o;
function _extends$1y() { _extends$1y = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1y.apply(this, arguments); }
function SvgIconCopyLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1y({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1u || (_path$1u = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M5.526 16.883h6.566c.445 0 .794-.271.794-.617s-.349-.617-.794-.617H5.526c-.445 0-.794.271-.794.617s.35.617.794.617zM12.092 14.287H5.526c-.438 0-.794-.28-.794-.626 0-.34.35-.608.794-.608h6.566c.438 0 .794.28.794.625 0 .341-.349.609-.794.609z"
  })), _path2$o || (_path2$o = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20.247 5.2c0-.202-.083-.4-.229-.544L16.053.657a.78.78 0 00-.544-.227H7.731c-.879 0-1.621.744-1.621 1.625v2.764H3.35c-.894 0-1.621.728-1.621 1.625V19.94c0 .897.727 1.626 1.621 1.626h10.916c.895 0 1.623-.73 1.623-1.626v-2.764h2.756c.88 0 1.624-.745 1.624-1.624l-.023-10.353zM3.295 6.421c0-.03.026-.056.056-.056h7.006v3.2c0 .427.346.774.773.774h3.193v9.58c0 .028-.026.055-.056.055H3.35a.058.058 0 01-.056-.056V6.422zm12.366 2.601l-3.966-3.998a.779.779 0 00-.543-.228H7.675V2.055c0-.03.025-.056.056-.056h7.006v3.2c0 .427.346.774.772.774h3.194v9.579c0 .029-.026.056-.057.056H15.89V9.567c0-.2-.084-.4-.23-.544zm-3.737-.252V7.455l1.314 1.316h-1.314zm4.357-4.367V3.087l1.315 1.317H16.28z"
  })));
}

var _path$1t;
function _extends$1x() { _extends$1x = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1x.apply(this, arguments); }
function SvgIconCopySmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1x({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1t || (_path$1t = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M9.87.75c.13 0 .257.031.388.102l.098.06.096.081 2.196 2.213a.826.826 0 01.233.453l.01.129.013 5.738c0 .603-.432 1.128-1.028 1.264l-.13.024-.137.008-1.99-.001v1.136c0 .565-.362 1.052-.89 1.229l-.136.038-.131.022-.138.008h-5.93c-.61 0-1.13-.427-1.264-1.028l-.022-.131-.008-.138V4.48c0-.612.425-1.132 1.026-1.266l.13-.023.138-.008h1.99V2.046c0-.557.368-1.047.893-1.227l.135-.038.13-.023.136-.008H9.87zM6.15 4.581H2.5v7.273h5.72l-.002-5.241H7.057a.902.902 0 01-.858-.62l-.036-.132-.012-.136V4.581zm3.277-2.43H5.786v1.225h.963c.142 0 .282.034.426.11l.108.064.106.088 1.964 1.978a.87.87 0 01.225.373l.031.121.012.133v3.18h1.869l.003-5.241h-1.16a.901.901 0 01-.857-.62L9.44 3.43l-.011-.135-.002-1.144z"
  })));
}

var _path$1s;
function _extends$1w() { _extends$1w = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1w.apply(this, arguments); }
function SvgIconDnaLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1w({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1s || (_path$1s = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M15.515 1.502a.684.684 0 01.733.63c.158 2.11.007 3.557-.231 4.552-.224.935-.522 1.452-.666 1.7l-.032.057c-.17.3-.638.89-1.31 1.497-.392.355-.87.729-1.421 1.064.551.335 1.029.71 1.421 1.064.672.607 1.14 1.198 1.31 1.498l.032.055c.143.25.442.766.666 1.701.238.996.389 2.442.23 4.552h.002a.684.684 0 01-.734.63l-.032-.002a.684.684 0 01-.63-.73h-.002c.063-.84.074-1.557.05-2.166H9.66a.7.7 0 110-1.4h5.106a7.824 7.824 0 00-.112-.558 4.761 4.761 0 00-.406-1.127h-2.884a.7.7 0 010-1.4h1.72l-.014-.014c-.542-.49-1.248-1-2.072-1.35-.822.35-1.528.86-2.07 1.35-.605.546-.958 1.023-1.03 1.149l-.032.056c-.124.214-.345.595-.522 1.336-.198.826-.347 2.123-.196 4.124a.685.685 0 01-.63.729l-.032.002a.684.684 0 01-.735-.629c-.159-2.11-.007-3.557.231-4.553.224-.935.522-1.45.666-1.7l.032-.056c.17-.3.638-.89 1.31-1.497.392-.355.87-.729 1.42-1.064a9.483 9.483 0 01-1.42-1.063C7.319 9.332 6.85 8.74 6.68 8.44l-.032-.056c-.144-.249-.442-.765-.666-1.7-.238-.996-.389-2.442-.23-4.553a.683.683 0 01.734-.629l.032.002a.684.684 0 01.63.73 19.107 19.107 0 00-.051 2.135h5.241a.7.7 0 110 1.4H7.23c.034.219.074.414.116.589.125.522.271.865.39 1.097h2.9a.7.7 0 110 1.4H8.881l.048.044c.542.489 1.248 1 2.07 1.35.824-.35 1.53-.861 2.072-1.35.605-.548.959-1.024 1.03-1.15l.032-.056c.124-.214.345-.595.522-1.336.198-.826.347-2.123.196-4.124h.001a.684.684 0 01.63-.73l.033-.002z"
  })));
}

var _path$1r;
function _extends$1v() { _extends$1v = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1v.apply(this, arguments); }
function SvgIconDocumentSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1v({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1r || (_path$1r = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.5 5.5v7a1 1 0 01-1 1h-9a1 1 0 01-1-1v-11a1 1 0 011-1h5l5 5zm-4 .725h2.55v5.825h-8.1V1.95h3.825V4.5c0 .953.772 1.725 1.725 1.725z"
  })));
}

var _path$1q;
function _extends$1u() { _extends$1u = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1u.apply(this, arguments); }
function SvgIconDotsHorizontal3Large(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1u({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1q || (_path$1q = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M9.232 10.968a1.768 1.768 0 113.536 0 1.768 1.768 0 01-3.536 0zM2.75 10.968a1.768 1.768 0 113.536 0 1.768 1.768 0 01-3.536 0zM17.482 9.2a1.768 1.768 0 100 3.536 1.768 1.768 0 000-3.536z"
  })));
}

var _path$1p;
function _extends$1t() { _extends$1t = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1t.apply(this, arguments); }
function SvgIconDotsHorizontal3Small(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1t({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1p || (_path$1p = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M3.5 7.05a1.75 1.75 0 11-3.5 0 1.75 1.75 0 013.5 0zM8.75 7.05a1.75 1.75 0 11-3.5 0 1.75 1.75 0 013.5 0zM12.25 8.8a1.75 1.75 0 100-3.5 1.75 1.75 0 000 3.5z"
  })));
}

var _path$1o;
function _extends$1s() { _extends$1s = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1s.apply(this, arguments); }
function SvgIconDownloadLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1s({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1o || (_path$1o = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M9.778 3.438c-2.697 0-4.957 1.95-5.5 4.542C1.872 8.29 0 10.364 0 12.896c0 2.746 2.193 4.979 4.889 4.979h.733a.731.731 0 00.644-.37.759.759 0 000-.753.73.73 0 00-.644-.37H4.89c-1.909 0-3.422-1.542-3.422-3.486 0-1.943 1.513-3.484 3.422-3.484a.739.739 0 00.733-.677C5.832 6.6 7.616 4.93 9.778 4.93c1.179 0 2.126.454 2.895 1.26a.724.724 0 00.787.18c.314-.122.799-.195 1.207-.195a3.211 3.211 0 013.185 2.823c.032.28.215.517.474.615 1.3.486 2.207 1.76 2.207 3.282 0 1.944-1.513 3.485-3.422 3.485h-.733a.73.73 0 00-.644.37.759.759 0 000 .754c.133.232.38.374.644.37h.733c2.696 0 4.889-2.233 4.889-4.979 0-1.973-1.13-3.669-2.78-4.472-.447-2.147-2.328-3.742-4.553-3.742-.423 0-.859.068-1.284.179-.968-.87-2.197-1.423-3.605-1.423zm1.214 4.464a.727.727 0 00-.519.228.754.754 0 00-.206.535v3.983l-.428-.498a.727.727 0 00-1.249.229.757.757 0 00.149.759l1.711 1.991a.728.728 0 001.1 0l1.711-1.991c.178-.2.236-.481.153-.737a.726.726 0 00-1.253-.252l-.428.499V8.665a.754.754 0 00-.212-.541.727.727 0 00-.529-.222zm-2.933 6.97a.727.727 0 00-.519.227.754.754 0 00-.207.536v1.493a.74.74 0 00.734.747h5.866a.74.74 0 00.734-.747v-1.493a.75.75 0 00-.364-.656.722.722 0 00-.74 0 .75.75 0 00-.363.656v.746H8.8v-.746a.754.754 0 00-.212-.541.727.727 0 00-.529-.222z"
  })));
}

var _path$1n;
function _extends$1r() { _extends$1r = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1r.apply(this, arguments); }
function SvgIconDownloadSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1r({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1n || (_path$1n = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7.01.8a.858.858 0 01.624.262c.166.17.257.402.252.643v5.337l.974-1.134a.857.857 0 011.48.298.905.905 0 01-.182.876L7.668 9.98a.858.858 0 01-.65.298.859.859 0 01-.648-.299L3.882 7.084a.903.903 0 01-.18-.906.857.857 0 011.474-.272l.976 1.136V1.709a.9.9 0 01.246-.64.86.86 0 01.498-.26L7.01.8zm4.786 8.106a.947.947 0 00-.836.94l-.001 1.272H3.042l.001-1.271a.947.947 0 10-1.893 0v2.212c0 .529.424.953.947.953h9.806a.947.947 0 00.94-.837l.009-.155.001-2.173a.947.947 0 00-.946-.947l-.11.006z",
    fillRule: "evenodd"
  })));
}

var _path$1m;
function _extends$1q() { _extends$1q = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1q.apply(this, arguments); }
function SvgIconEditLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1q({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1m || (_path$1m = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M6.616 11.443a.742.742 0 00-.213.444l-.36 3.254a.742.742 0 00.819.82l3.253-.362a.742.742 0 00.445-.213l8.328-8.332a1.767 1.767 0 00.093-2.394l.003-.004-1.544-1.544a1.768 1.768 0 00-2.494 0l-8.33 8.33zm11.221-5.438l-.002.003-1.489 1.488-1.842-1.842 1.49-1.49c.11-.11.288-.11.398 0l1.445 1.445a.28.28 0 010 .396zm-4.383.698l1.843 1.842-5.604 5.605-2.073.23.23-2.072 5.604-5.605zM3.16 3.748c-.36.36-.563.849-.563 1.359v12.375a1.921 1.921 0 001.921 1.92h12.376a1.92 1.92 0 001.92-1.92v-5.304a.742.742 0 00-1.484 0v5.304a.437.437 0 01-.436.437H4.518a.437.437 0 01-.437-.437V5.107a.437.437 0 01.437-.437h5.304a.742.742 0 100-1.484H4.518c-.51 0-.998.202-1.358.562z"
  })));
}

var _path$1l;
function _extends$1p() { _extends$1p = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1p.apply(this, arguments); }
function SvgIconEditSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1p({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1l || (_path$1l = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M8.237 3.858L10.6 6.304l-7.004 7.004-2.556.44a.25.25 0 01-.289-.288l.443-2.56 7.043-7.042zm3.314-2.798l.07.047.085.074 1.644 1.646a.515.515 0 010 .729l-1.641 1.639-2.363-2.446 1.6-1.598a.516.516 0 01.605-.091z",
    fillRule: "evenodd"
  })));
}

var _path$1k, _path2$n;
function _extends$1o() { _extends$1o = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1o.apply(this, arguments); }
function SvgIconExclamationMarkCircleLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1o({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1k || (_path$1k = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11 13.32c-.607 0-1.241-.39-1.287-1.261l-.257-6v-.023c0-.853.693-1.546 1.545-1.546s1.545.693 1.545 1.546v.01a.22.22 0 010 .012l-.257 5.995A1.292 1.292 0 0111 13.32zm.415-6.97a.413.413 0 00-.825 0l.228 5.308c.01.175.064.205.184.205.053 0 .176-.02.185-.207l.228-5.306zM9.75 14.5a1.78 1.78 0 011.251-.518 1.774 1.774 0 011.766 1.766A1.763 1.763 0 0111 17.514c-.467 0-.922-.189-1.25-.517a1.779 1.779 0 01-.516-1.25c0-.464.188-.918.516-1.246zm.781 1.725c.245.246.695.246.935.002A.666.666 0 0011 15.086a.667.667 0 00-.47 1.139z"
  })), _path2$n || (_path2$n = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20.5 11a9.5 9.5 0 11-19 0 9.5 9.5 0 0119 0zm-1.45 0a8.05 8.05 0 11-16.1 0 8.05 8.05 0 0116.1 0z"
  })));
}

var _path$1j;
function _extends$1n() { _extends$1n = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1n.apply(this, arguments); }
function SvgIconExclamationMarkCircleSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1n({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1j || (_path$1j = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7 12.6A5.6 5.6 0 107 1.4a5.6 5.6 0 000 11.2zM7 14A7 7 0 107 0a7 7 0 000 14zm-.8-9.85a.8.8 0 111.6 0v2.9a.8.8 0 01-1.6 0v-2.9zm.8 6.5a.9.9 0 100-1.8.9.9 0 000 1.8z"
  })));
}

var _path$1i, _path2$m, _path3$2;
function _extends$1m() { _extends$1m = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1m.apply(this, arguments); }
function SvgIconExclamationmarkSpeechBubbleLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1m({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1i || (_path$1i = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M10.02 8.65a.95.95 0 101.9 0v-6.1a.95.95 0 00-1.9 0v6.1z"
  })), _path2$m || (_path2$m = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M9.79 16.866l-3.187 2.903v-2.903H3.692V5.083H6.9a.74.74 0 000-1.483H3.27c-.58 0-1.05.47-1.05 1.05v12.625c0 .58.47 1.05 1.05 1.05h1.861v2.404c0 .914 1.087 1.392 1.76.774l3.46-3.178 8.375.001c.58 0 1.05-.47 1.05-1.05L19.774 4.65c0-.58-.47-1.05-1.05-1.05h-3.413a.741.741 0 000 1.483h2.991v11.783H9.79z"
  })), _path3$2 || (_path3$2 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M11.845 13.761l-.004.004c-.208.212-.526.335-.872.335-.345 0-.669-.124-.885-.342a1.282 1.282 0 01-.364-.896 1.3 1.3 0 01.364-.89c.235-.237.56-.372.886-.372.32 0 .642.133.884.376l.001.002a1.26 1.26 0 01-.01 1.783z"
  })));
}

var _path$1h;
function _extends$1l() { _extends$1l = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1l.apply(this, arguments); }
function SvgIconEyeClosedSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1l({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1h || (_path$1h = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M1.205 11.805a.7.7 0 00.99.99l1.768-1.768c.912.528 1.94.896 3.037.896 3.78 0 6.76-4.379 6.884-4.565a.738.738 0 000-.793 14.062 14.062 0 00-2.63-2.83l1.543-1.542a.7.7 0 10-.99-.99l-1.721 1.721C9.162 2.382 8.116 2 7 2 3.22 2 .24 6.378.116 6.565a.738.738 0 000 .793c.072.108 1.094 1.61 2.673 2.863l-1.584 1.584zm4.143-2.163A3.148 3.148 0 009.68 5.31L8.565 6.425a1.653 1.653 0 01-2.1 2.1L5.347 9.643zm.108-2.088L4.349 8.661A3.148 3.148 0 018.7 4.31L7.593 5.417a1.653 1.653 0 00-2.137 2.137z"
  })));
}

var _g$1;
function _extends$1k() { _extends$1k = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1k.apply(this, arguments); }
function SvgIconEyeOpenSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1k({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g$1 || (_g$1 = /*#__PURE__*/React__namespace.createElement("g", {
    fillRule: "nonzero"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7 2.039c3.78 0 6.76 4.378 6.884 4.564a.738.738 0 010 .794C13.76 7.583 10.78 11.96 7 11.96c-3.78 0-6.76-4.378-6.884-4.564a.738.738 0 010-.794C.24 6.417 3.22 2.04 7 2.04zm0 1.813a3.148 3.148 0 100 6.296 3.148 3.148 0 000-6.296z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7 5.347a1.653 1.653 0 110 3.306 1.653 1.653 0 010-3.306z"
  }))));
}

var _path$1g;
function _extends$1j() { _extends$1j = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1j.apply(this, arguments); }
function SvgIconFilterSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1j({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1g || (_path$1g = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M1 3a1 1 0 011-1h10a1 1 0 110 2H2a1 1 0 01-1-1zM3 7a1 1 0 011-1h6a1 1 0 110 2H4a1 1 0 01-1-1zM6 10a1 1 0 100 2h2a1 1 0 100-2H6z"
  })));
}

var _path$1f;
function _extends$1i() { _extends$1i = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1i.apply(this, arguments); }
function SvgIconFlagCheckSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1i({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1f || (_path$1f = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M.781 2h8.302c.186 0 .366.071.508.2l3.864 3.535c.17.156.308.35.402.569a1.76 1.76 0 010 1.392 1.661 1.661 0 01-.402.57L9.59 11.798a.753.753 0 01-.508.201H.78a.757.757 0 01-.552-.244.862.862 0 01-.229-.59V2.834c0-.22.082-.433.229-.589A.757.757 0 01.78 2zm6.645 3.026A.758.758 0 018.464 4.9a.698.698 0 01.186.922l-.056.08-2.877 3.572a.758.758 0 01-1.088.085l-.073-.077-1.644-1.984a.698.698 0 01.116-1.004.76.76 0 01.971.04l.068.071 1.058 1.277 2.301-2.856z"
  })));
}

var _path$1e;
function _extends$1h() { _extends$1h = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1h.apply(this, arguments); }
function SvgIconFlagOutlineSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1h({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1e || (_path$1e = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M13.455 5.735L9.59 2.2A.753.753 0 009.083 2H.78a.757.757 0 00-.552.244.863.863 0 00-.229.59v8.333c0 .22.082.433.229.589A.757.757 0 00.78 12h8.302a.753.753 0 00.508-.2l3.864-3.535c.17-.156.308-.35.402-.569a1.76 1.76 0 000-1.392 1.661 1.661 0 00-.402-.57zm-.675 1.793a.662.662 0 00.159-.227.763.763 0 000-.602.662.662 0 00-.16-.227L8.984 3H1v8h7.983l3.797-3.472z"
  })));
}

var _path$1d;
function _extends$1g() { _extends$1g = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1g.apply(this, arguments); }
function SvgIconFlagQuestionmarkSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1g({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1d || (_path$1d = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M9.083 2H.78a.757.757 0 00-.552.244.863.863 0 00-.229.59v8.333c0 .22.082.433.229.589A.757.757 0 00.78 12h8.302a.753.753 0 00.508-.2l3.864-3.535c.17-.156.308-.35.402-.569a1.76 1.76 0 000-1.392 1.661 1.661 0 00-.402-.57L9.59 2.202A.753.753 0 009.083 2zm-.965 3.411c-.047-.853-.885-1.818-2.07-1.853-1.185-.035-1.983.886-2.12 1.666 0 0-.012.066-.018.131a.773.773 0 00.018.234c.016.049.173.425.612.425.237 0 .393-.065.455-.19a1.52 1.52 0 00.11-.308l.012-.043.001-.003c.028-.096.073-.253.261-.434a.916.916 0 01.554-.272l.076-.006.074-.002c.598 0 .72.429.72.727 0 .276-.293.561-.559.82a8.99 8.99 0 00-.161.16l-.044.045c-.277.282-.555.567-.695.908-.147.359-.024.587.046.657l.02.02c.075.078.216.225.507.225.319 0 .506-.088.62-.202.052-.05.097-.138.159-.257.077-.149.181-.348.357-.591.084-.117.195-.252.313-.395.324-.392.704-.852.744-1.21l.007-.087.003-.092-.002-.073zM5.95 8.825a.738.738 0 01.735.735.737.737 0 01-1.255.52.74.74 0 010-1.04.74.74 0 01.52-.215z"
  })));
}

var _path$1c;
function _extends$1f() { _extends$1f = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1f.apply(this, arguments); }
function SvgIconFlagXmarkSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1f({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1c || (_path$1c = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M.781 2h8.302c.186 0 .366.071.508.2l3.864 3.535c.17.156.308.35.402.569a1.76 1.76 0 010 1.392 1.661 1.661 0 01-.402.57L9.59 11.798a.753.753 0 01-.508.201H.78a.757.757 0 01-.552-.244.862.862 0 01-.229-.59V2.834c0-.22.082-.433.229-.589A.757.757 0 01.78 2zm3.273 2.68a.617.617 0 10-.873.874l1.571 1.571-1.571 1.571a.617.617 0 10.873.873l1.571-1.571 1.571 1.571a.617.617 0 10.873-.873L6.498 7.125l1.571-1.571a.617.617 0 00-.873-.873L5.625 6.252 4.054 4.681z"
  })));
}

var _path$1b;
function _extends$1e() { _extends$1e = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1e.apply(this, arguments); }
function SvgIconFlaskLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1e({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1b || (_path$1b = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M5.712 19.938a2.033 2.033 0 01-1.029-.3c-.895-.588-1.17-1.806-.616-2.739l1.097-1.854a.637.637 0 01.223-.362l2.937-4.969V5.637c-.78-.181-1.33-.904-1.313-1.728v-.09c0-.97.764-1.756 1.706-1.756h4.544c.942 0 1.706.786 1.706 1.756v.09c.016.824-.533 1.547-1.313 1.729v4.076l2.937 4.969c.113.09.192.219.223.362l1.097 1.854c.553.933.28 2.151-.616 2.739-.312.19-.667.294-1.029.3H5.712zm10.554-1.527a.433.433 0 00.316-.13.46.46 0 00.13-.323.44.44 0 00-.08-.25l-.995-1.66H6.34l-.995 1.66a.44.44 0 00-.08.25.46.46 0 00.13.323.433.433 0 00.316.13h10.554zM13.11 3.603h-4.24a.213.213 0 00-.21.216v.09c0 .12.094.216.21.216h.359c.41.004.74.345.744.767v5.045a.712.712 0 01-.108.39l-2.47 4.147h7.19l-2.47-4.146a.712.712 0 01-.108-.39V4.891a.763.763 0 01.744-.767h.359c.116 0 .21-.096.21-.216v-.09a.213.213 0 00-.21-.216z"
  })));
}

var _path$1a, _path2$l;
function _extends$1d() { _extends$1d = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1d.apply(this, arguments); }
function SvgIconFlaskPrivateLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1d({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1a || (_path$1a = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.867 17.252v-.216H4.723a.454.454 0 01-.456-.453.434.434 0 01.082-.25l1.017-1.66h7.186a5.151 5.151 0 012.573-2.264L12.684 8.36V4.283a1.733 1.733 0 001.341-1.749v-.09c0-.97-.78-1.756-1.743-1.756H7.794A1.75 1.75 0 006.05 2.444v.09a1.733 1.733 0 001.342 1.729v4.076L4.39 13.308a.635.635 0 00-.228.362l-1.12 1.854a2.016 2.016 0 00.629 2.739c.318.19.68.294 1.05.3h7.318a5.181 5.181 0 01-.173-1.31zM8.81 8.987a.743.743 0 00.118-.397V3.545a.77.77 0 00-.768-.767h-.366a.207.207 0 01-.208-.216v-.118c0-.117.092-.213.208-.216h4.488c.119 0 .215.096.215.216v.09c0 .12-.096.216-.215.216h-.366a.77.77 0 00-.76.767v5.045a.7.7 0 00.11.39L13.79 13.1H6.286L8.81 8.987z",
    fill: "#CCC"
  })), _path2$l || (_path2$l = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M16.844 11.688a5.156 5.156 0 110 10.312 5.156 5.156 0 010-10.313zm.01 1.947c-.955 0-1.746.743-1.805 1.696v.605a.605.605 0 00-.605.598v2.407c0 .334.271.605.605.605h3.603a.598.598 0 00.598-.605l.007-2.407a.598.598 0 00-.598-.598v-.605a1.808 1.808 0 00-1.805-1.696zm-.01 3.284c.247 0 .447.2.447.447a.44.44 0 01-.227.378v.62a.22.22 0 01-.433 0v-.62a.426.426 0 01-.227-.378c0-.244.196-.443.44-.447zm0-2.79a1.203 1.203 0 011.203 1.202v.605H15.64v-.605a1.21 1.21 0 011.203-1.203z"
  })));
}

var _path$19, _path2$k;
function _extends$1c() { _extends$1c = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1c.apply(this, arguments); }
function SvgIconFlaskPublicLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1c({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$19 || (_path$19 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.867 17.252v-.216H4.723a.454.454 0 01-.456-.453.434.434 0 01.082-.25l1.017-1.66h7.186a5.151 5.151 0 012.573-2.264L12.684 8.36V4.283a1.733 1.733 0 001.341-1.749v-.09c0-.97-.78-1.756-1.743-1.756H7.794A1.75 1.75 0 006.05 2.444v.09a1.733 1.733 0 001.342 1.729v4.076L4.39 13.308a.635.635 0 00-.228.362l-1.12 1.854a2.016 2.016 0 00.629 2.739c.318.19.68.294 1.05.3h7.318a5.181 5.181 0 01-.173-1.31zM8.81 8.987a.743.743 0 00.118-.397V3.545a.77.77 0 00-.768-.767h-.366a.207.207 0 01-.208-.216v-.118c0-.117.092-.213.208-.216h4.488c.119 0 .215.096.215.216v.09c0 .12-.096.216-.215.216h-.366a.77.77 0 00-.76.767v5.045a.7.7 0 00.11.39L13.79 13.1H6.286L8.81 8.987z",
    fill: "#CCC"
  })), _path2$k || (_path2$k = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M17.26 11.704a5.156 5.156 0 10-.832 10.28 5.156 5.156 0 00.832-10.28zm.591.75c.2.047.398.104.591.172.107.073.226.127.351.158a4.371 4.371 0 011.45 1.093.2.2 0 01.049.11.593.593 0 010 .289.523.523 0 00-.041.171.254.254 0 00.199.22c.087.012.175.012.261 0a.165.165 0 01.152.11c.038.117.091.227.158.33.198.484.31.998.33 1.52a.275.275 0 01-.07.192 1.933 1.933 0 00-.24.33c-.14.347-.317.676-.53.983a1.072 1.072 0 00-.288.413 2.067 2.067 0 00-.041.35c0 .049-.09.049-.138 0a2.655 2.655 0 01-.37-.859c-.042-.22-.09-.44-.152-.687a.894.894 0 00-.399-.53 1.991 1.991 0 00-.687-.103.811.811 0 01-.688-.247.522.522 0 01-.11-.303 1.375 1.375 0 01.688-1.45c.061-.048.13-.07.192-.11a.468.468 0 00.158-.461.062.062 0 00-.09-.048c-.128.04-.252.093-.37.158-.07 0-.138 0-.11-.069a2.514 2.514 0 01.082-.687.956.956 0 000-.688.206.206 0 00-.137-.09h-.612a1.19 1.19 0 00.282-.24.172.172 0 01.13-.027zm-2.22.062a.075.075 0 01.11.048c.069.11.11.22.178.35.137.265.152.576.042.853-.152.31-.502.44-.79.598a4.028 4.028 0 00-1.472 1.313s-.041.069-.062.069a.076.076 0 01-.11-.048.536.536 0 01-.179-.152s-.082 0-.082.07a.687.687 0 00.323.79c.05.02.096.047.137.082.083.11 0 .268 0 .4 0 .13.241.28.44.26.181-.035.357-.093.523-.172a1.32 1.32 0 011.19.152c.171.11.33.288.501.398a.853.853 0 00.53.172c.04.001.078.016.11.041.05.191.01.394-.11.55-.149.166-.31.32-.482.461-.378.42-.46 1.059-.77 1.52-.071.085-.131.18-.178.281-.045.15-.059.306-.042.461 0 0 0 .069-.041.048a.874.874 0 01-.22-.09.144.144 0 01-.09-.11 5.934 5.934 0 00-.639-1.821 1.569 1.569 0 00-.481-.591c-.069-.049-.13-.09-.151-.159-.02-.068 0-.11 0-.15a1.691 1.691 0 00-.688-1.561.564.564 0 01-.22-.2c-.048-.082-.048-.22-.09-.302a1.317 1.317 0 00-.309-.268c-.04 0-.04-.062-.04-.11a4.468 4.468 0 013.162-3.183z"
  })));
}

var _path$18;
function _extends$1b() { _extends$1b = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1b.apply(this, arguments); }
function SvgIconGearSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1b({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$18 || (_path$18 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M13.292 5.6h-1.618a4.684 4.684 0 00-.394-.91l1.19-1.19a.703.703 0 000-.989l-.988-.989a.702.702 0 00-.989 0l-1.189 1.19a5.256 5.256 0 00-.91-.385V.7c0-.385-.314-.7-.699-.7H6.296c-.385 0-.7.315-.7.7v1.628a5.22 5.22 0 00-.961.41L3.498 1.602a.675.675 0 00-.953 0l-.945.954a.676.676 0 000 .954l1.137 1.137a4.448 4.448 0 00-.42.954H.7c-.385 0-.7.315-.7.7v1.4c0 .385.315.7.7.7h1.617c.096.324.236.621.394.91L1.52 10.5a.703.703 0 000 .989l.989.988a.702.702 0 00.988 0l1.19-1.19c.288.158.585.29.909.385V13.3c0 .385.314.7.7.7h1.398c.385 0 .7-.315.7-.7v-1.628c.34-.104.656-.245.962-.41l1.136 1.137c.263.262.691.262.954 0l.953-.954a.676.676 0 000-.954l-1.137-1.137c.166-.306.315-.621.42-.963H13.3c.385 0 .7-.315.7-.7v-1.4a.714.714 0 00-.708-.691zM6.996 9.625A2.62 2.62 0 014.372 7a2.62 2.62 0 012.624-2.625A2.62 2.62 0 019.619 7a2.62 2.62 0 01-2.623 2.625z"
  })));
}

var _path$17;
function _extends$1a() { _extends$1a = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1a.apply(this, arguments); }
function SvgIconGlobeBasicLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1a({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$17 || (_path$17 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11 0c6.075 0 11 4.925 11 11s-4.925 11-11 11S0 17.075 0 11 4.925 0 11 0zm-.75 12.21v8.444c-.812-.293-1.673-1.067-2.43-2.455-.833-1.527-1.42-3.613-1.572-5.989h4.002zm1.21 0v8.528c.893-.2 1.872-.985 2.72-2.54.833-1.526 1.42-3.612 1.572-5.988H11.46zM15.79 11h-4.33V1.262c.893.2 1.872.985 2.72 2.54.972 1.78 1.61 4.323 1.61 7.198zm1.174 1.21c-.2 3.363-1.228 6.27-2.701 8.023a9.8 9.8 0 006.453-8.023h-3.752zM20.79 11a9.794 9.794 0 00-6.527-9.233C15.91 3.727 17 7.13 17 11h3.79zm-10.54 0H6.21c0-2.875.638-5.418 1.61-7.199.757-1.388 1.618-2.162 2.43-2.455V11zM5 11c0-3.87 1.09-7.272 2.737-9.233A9.794 9.794 0 001.21 11H5zm-3.716 1.21a9.8 9.8 0 006.453 8.023c-1.473-1.753-2.5-4.66-2.701-8.023H1.284z"
  })));
}

var _path$16;
function _extends$19() { _extends$19 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$19.apply(this, arguments); }
function SvgIconGlobeSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$19({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$16 || (_path$16 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7.554.175c-4.2-.35-7.729 3.18-7.379 7.38.263 3.324 2.946 6.008 6.27 6.27 4.23.35 7.73-3.18 7.38-7.38-.262-3.324-2.946-6.008-6.27-6.27zm.788.992c.262.058.525.145.787.233.146.088.292.175.467.204.729.35 1.4.846 1.925 1.458.029.03.058.088.058.146.03.117 0 .263-.029.38-.03.087-.058.145-.058.233 0 .146.145.262.262.291.088.03.234.03.35.03a.22.22 0 01.204.145c.059.146.146.38.204.438.263.642.409 1.313.438 2.013 0 .087-.03.204-.087.262a2.414 2.414 0 00-.321.438c-.204.408-.38.875-.671 1.224-.146.175-.321.321-.38.555-.058.146-.028.32-.058.466 0 .059-.116.059-.175.03a3.299 3.299 0 01-.495-1.138 9.48 9.48 0 00-.205-.875c-.087-.292-.262-.554-.525-.7-.291-.146-.612-.117-.933-.146-.32 0-.67-.058-.875-.32a.697.697 0 01-.146-.409c-.146-.758.263-1.575.933-1.925.088-.058.175-.088.263-.146a.605.605 0 00.204-.612c0-.059-.087-.088-.116-.059-.175.059-.35.117-.496.204-.088.03-.175-.029-.146-.087 0-.263.029-.583.117-.875.087-.32.175-.67.029-.933-.03-.059-.117-.117-.175-.117h-.817c-.03 0-.03-.03-.03-.03.147-.087.263-.203.38-.32a.221.221 0 01.117-.058zm-2.946.087c.058-.029.117 0 .146.058.087.146.146.292.233.467.146.38.233.788.058 1.138-.204.408-.67.583-1.05.787a5.372 5.372 0 00-1.954 1.75c-.029.03-.058.088-.087.088-.059.029-.117 0-.146-.059-.088-.058-.175-.116-.234-.204-.029-.029-.116.03-.116.088-.117.408.087.846.437 1.05a.61.61 0 01.175.116c.117.146 0 .35.03.525.029.234.32.38.583.35.262-.029.466-.146.7-.233.525-.175 1.137-.117 1.575.204.233.146.437.38.67.525.205.146.467.263.7.233.059 0 .117.03.147.059.087.233 0 .525-.146.729-.175.233-.438.408-.642.612-.496.555-.612 1.4-1.02 2.013-.088.117-.176.233-.234.38-.088.203-.059.408-.059.612 0 .029-.029.087-.058.058-.087-.03-.204-.058-.292-.117-.058-.029-.116-.087-.116-.146a7.974 7.974 0 00-.846-2.42c-.175-.292-.35-.613-.642-.788-.087-.058-.175-.117-.204-.204-.029-.058 0-.146 0-.204.117-.788-.262-1.604-.904-2.071-.117-.088-.233-.146-.292-.263-.058-.116-.058-.291-.116-.408-.059-.117-.292-.262-.409-.35-.058-.029-.058-.087-.058-.146.496-2.012 2.13-3.675 4.17-4.229z",
    fillRule: "evenodd"
  })));
}

var _path$15;
function _extends$18() { _extends$18 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$18.apply(this, arguments); }
function SvgIconGridLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$18({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$15 || (_path$15 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M2.617 2.063a.605.605 0 00-.554.596v16.683c0 .329.277.596.618.596h17.325a.608.608 0 00.619-.596V2.659a.608.608 0 00-.619-.596H2.681a.642.642 0 00-.064 0zM3.3 3.255h3.3v3.178H3.3V3.255zm4.538 0h2.887v3.178H7.838V3.255zm4.125 0h2.887v3.178h-2.887V3.255zm4.124 0h3.3v3.178h-3.3V3.255zM3.3 7.625h3.3v2.78H3.3v-2.78zm4.538 0h2.887v2.78H7.838v-2.78zm4.125 0h2.887v2.78h-2.887v-2.78zm4.124 0h3.3v2.78h-3.3v-2.78zM3.3 11.595h3.3v2.78H3.3v-2.78zm4.538 0h2.887v2.78H7.838v-2.78zm4.125 0h2.887v2.78h-2.887v-2.78zm4.124 0h3.3v2.78h-3.3v-2.78zM3.3 15.568h3.3v3.178H3.3v-3.178zm4.538 0h2.887v3.178H7.838v-3.178zm4.125 0h2.887v3.178h-2.887v-3.178zm4.124 0h3.3v3.178h-3.3v-3.178z"
  })));
}

var _path$14, _path2$j;
function _extends$17() { _extends$17 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$17.apply(this, arguments); }
function SvgIconGridPrivateLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$17({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$14 || (_path$14 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.78 17.398H9.864v-2.944h2.534a4.61 4.61 0 011.301-1.507V10.62h2.944v1.164h.274c.343 0 .685.069.959.069v-9.86a.614.614 0 00-.616-.617H1.235c-.342 0-.548.274-.548.616v15.955c0 .343.274.616.617.616h10.682a3.198 3.198 0 01-.205-1.164zm1.918-14.79h2.944v2.944h-2.944V2.608zm0 4.245h2.944v2.534h-2.944V6.853zM9.863 2.608h2.534v2.944H9.863V2.608zm0 4.245h2.534v2.534H9.863V6.853zm0 3.766h2.534v2.534H9.863v-2.534zM4.796 17.4H1.852v-2.945h2.944v2.944zm0-4.246H1.852v-2.534h2.944v2.534zm0-3.766H1.852V6.853h2.944v2.534zm0-3.835H1.852V2.608h2.944v2.944zm3.835 11.846H6.097v-2.944h2.534v2.944zm0-4.245H6.097v-2.534h2.534v2.534zm0-3.766H6.097V6.853h2.534v2.534zm0-3.835H6.097V2.608h2.534v2.944z",
    fill: "#CCC"
  })), _path2$j || (_path2$j = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M16.844 11.688A5.15 5.15 0 0122 16.843C22 19.663 19.663 22 16.844 22c-2.819 0-5.157-2.337-5.157-5.156 0-2.819 2.338-5.157 5.157-5.157zm0 1.787c-.963 0-1.788.825-1.788 1.787v.62a.616.616 0 00-.618.618v2.406c0 .344.274.619.618.619h3.575a.616.616 0 00.619-.619V16.5a.616.616 0 00-.619-.619v-.619c0-.962-.825-1.787-1.787-1.787zm0 3.438c.275 0 .481.206.412.412 0 .206-.069.344-.206.413v.618c0 .138-.069.206-.206.206-.138 0-.207-.068-.207-.206v-.619c-.137-.137-.206-.274-.206-.412 0-.206.138-.412.413-.412zm0-2.82c.687 0 1.237.55 1.168 1.238v.619h-2.406v-.619c0-.687.55-1.237 1.238-1.237z"
  })));
}

var _path$13, _path2$i;
function _extends$16() { _extends$16 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$16.apply(this, arguments); }
function SvgIconGridPublicLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$16({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$13 || (_path$13 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.78 17.398H9.864v-2.944h2.534a4.61 4.61 0 011.301-1.507V10.62h2.944v1.164h.274c.343 0 .685.069.959.069v-9.86a.614.614 0 00-.616-.617H1.235c-.342 0-.548.274-.548.616v15.955c0 .343.274.616.617.616h10.682a3.198 3.198 0 01-.205-1.164zm1.918-14.79h2.944v2.944h-2.944V2.608zm0 4.245h2.944v2.534h-2.944V6.853zM9.863 2.608h2.534v2.944H9.863V2.608zm0 4.245h2.534v2.534H9.863V6.853zm0 3.766h2.534v2.534H9.863v-2.534zM4.796 17.4H1.852v-2.945h2.944v2.944zm0-4.246H1.852v-2.534h2.944v2.534zm0-3.766H1.852V6.853h2.944v2.534zm0-3.835H1.852V2.608h2.944v2.944zm3.835 11.846H6.097v-2.944h2.534v2.944zm0-4.245H6.097v-2.534h2.534v2.534zm0-3.766H6.097V6.853h2.534v2.534zm0-3.835H6.097V2.608h2.534v2.944z",
    fill: "#CCC"
  })), _path2$i || (_path2$i = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M17.255 11.707c-3.15-.274-5.822 2.397-5.548 5.548.205 2.465 2.192 4.52 4.726 4.726 3.15.274 5.822-2.398 5.548-5.548-.206-2.534-2.192-4.59-4.726-4.726zm.616.685l.617.205c.137.069.205.137.342.137a4.47 4.47 0 011.438 1.096s.069.069.069.137v.274c0 .069-.069.137-.069.206 0 .137.137.205.206.205h.274c.068 0 .137.069.137.137.068.137.137.274.137.343.205.479.274.958.342 1.506 0 .069 0 .137-.068.206a1.491 1.491 0 00-.274.342c-.137.274-.274.685-.48.89-.137.138-.274.275-.274.412-.068.137 0 .274-.068.342 0 .069-.069.069-.137 0-.206-.274-.274-.548-.343-.822-.068-.205-.068-.41-.137-.685a1.065 1.065 0 00-.41-.548c-.206-.137-.48-.068-.685-.137-.274 0-.48-.068-.685-.274a.52.52 0 01-.137-.274c-.137-.548.205-1.164.685-1.438.068-.068.137-.068.205-.137.137-.137.206-.274.137-.48 0-.068-.069-.068-.069-.068-.136.069-.273.069-.342.137-.068 0-.137 0-.137-.068 0-.206 0-.411.069-.685.068-.274.137-.48 0-.685 0-.069-.069-.069-.137-.069h-.617a.534.534 0 00.274-.274c.069.137.137.069.137.069zm-2.192.068c.069 0 .069 0 .137.069.069.137.137.205.206.342.137.274.205.617.068.822-.137.274-.48.411-.753.617-.617.274-1.096.753-1.438 1.3l-.069.07c-.068 0-.068 0-.137-.07-.068-.068-.137-.068-.205-.136 0 0-.069 0-.069.068a.689.689 0 00.343.754c.068 0 .068.068.137.068.068.137 0 .274 0 .411 0 .206.274.274.41.274.206 0 .343-.137.549-.205.41-.137.821-.069 1.164.137.205.137.342.274.48.41a.778.778 0 00.547.206c.069 0 .069 0 .137.069.069.205 0 .41-.137.548-.137.205-.342.274-.48.479-.342.411-.479 1.027-.753 1.507-.068.068-.137.205-.205.274-.069.137-.069.274-.069.48 0 0 0 .068-.068.068-.069 0-.137-.069-.206-.069-.068 0-.068-.068-.068-.137a9.758 9.758 0 00-.616-1.849c-.137-.205-.274-.48-.48-.616-.068-.069-.137-.069-.137-.137v-.137a1.722 1.722 0 00-.685-1.576c-.068-.068-.205-.137-.205-.205 0-.069-.069-.206-.069-.274l-.274-.274c-.068 0-.068-.069-.068-.137.274-1.438 1.438-2.74 3.013-3.15z"
  })));
}

var _path$12;
function _extends$15() { _extends$15 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$15.apply(this, arguments); }
function SvgIconHouseSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$15({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$12 || (_path$12 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M6.686 1.306a.45.45 0 01.628 0l5.822 5.672a.45.45 0 01-.315.772H11.5v4.8a.45.45 0 01-.45.45H9.2a.45.45 0 01-.45-.45v-2.6a.45.45 0 00-.45-.45H5.7a.45.45 0 00-.45.45v2.6a.45.45 0 01-.45.45H2.95a.45.45 0 01-.45-.45v-4.8H1.179a.45.45 0 01-.315-.772l5.822-5.672z"
  })));
}

var _path$11, _path2$h;
function _extends$14() { _extends$14 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$14.apply(this, arguments); }
function SvgIconInfoCircleLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$14({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$11 || (_path$11 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.251 7.503a1.78 1.78 0 01-1.25.519 1.774 1.774 0 01-1.766-1.766 1.763 1.763 0 011.766-1.766c.467 0 .922.188 1.25.516.328.328.516.784.516 1.25 0 .465-.188.92-.516 1.247zm-.78-1.724c-.245-.247-.695-.247-.935-.002a.666.666 0 00.465 1.141.667.667 0 00.47-1.139zM11.001 8.684c.608 0 1.5.39 1.545 1.261v6.023c0 .852-.693 1.546-1.545 1.546a1.547 1.547 0 01-1.545-1.546V9.95c.039-.823.95-1.266 1.545-1.266zm-.414 6.97a.413.413 0 00.825 0v-5.102c-.01-.174-.185-.411-.413-.411-.228 0-.403.227-.412.414v5.099z"
  })), _path2$h || (_path2$h = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20.5 11a9.5 9.5 0 11-19 0 9.5 9.5 0 0119 0zm-1.45 0a8.05 8.05 0 11-16.1 0 8.05 8.05 0 0116.1 0z"
  })));
}

var _path$10;
function _extends$13() { _extends$13 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$13.apply(this, arguments); }
function SvgIconInfoCircleSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$13({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$10 || (_path$10 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.6 7A5.6 5.6 0 111.4 7a5.6 5.6 0 0111.2 0zM14 7A7 7 0 110 7a7 7 0 0114 0zM6.1 4.25a.9.9 0 111.8 0 .9.9 0 01-1.8 0zm1.7 5.6a.8.8 0 01-1.6 0v-2.9a.8.8 0 111.6 0v2.9z"
  })));
}

var _path$$;
function _extends$12() { _extends$12 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$12.apply(this, arguments); }
function SvgIconInfoSpeechBubbleLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$12({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$$ || (_path$$ = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M18.011 4.403a9.608 9.608 0 01-.027 13.203l-.17.174a9.63 9.63 0 01-6.79 2.845 9.653 9.653 0 01-4.507-1.12 5.647 5.647 0 01-3.983.901 1.028 1.028 0 01-.843-.888.975.975 0 01.564-1.028 3.204 3.204 0 001.328-1.373A9.608 9.608 0 014.633 3.78a9.632 9.632 0 0113.378.624zm-12.55.489a8.283 8.283 0 00-.664 11.569l.458.345-.225.484a5.584 5.584 0 01-1.328 1.85 4.65 4.65 0 002.39-.942l.458-.345.378.352a8.31 8.31 0 009.83-1.17l.16-.157a8.282 8.282 0 00.136-11.587 8.304 8.304 0 00-11.593-.4zm4.253 4.63l.142.01H11.7a1.493 1.493 0 011.507 1.472v.02a7.202 7.202 0 01-.067.855l-.053.338c-.106.703-.212 1.439-.325 2.102.312.05.594.216.79.464.258.322.351.747.252 1.147v.053a1.762 1.762 0 01-.358.703 2.802 2.802 0 01-2.124 1.114h-.04a4.507 4.507 0 01-.97-.08 2.394 2.394 0 01-1.705-2.512c.046-.458.1-.909.172-1.327.073-.57.16-1.14.246-1.717a1.392 1.392 0 01-.737-1.4 1.36 1.36 0 011.142-1.233 2.18 2.18 0 01.425 0l-.142-.009zm.068 1.137a.87.87 0 00-.225 0 .225.225 0 00-.22.232.279.279 0 00.167.305c.104.03.21.052.318.066.253.033.332.146.332.451v.133c-.113.742-.219 1.478-.318 2.214a20.87 20.87 0 00-.166 1.274c-.039.58.306 1.118.85 1.326.232.038.467.054.703.046a1.693 1.693 0 001.327-.703.717.717 0 00.14-.285c.033-.146-.04-.252-.146-.252h-.073c-.1.046-.186.113-.279.166a1.68 1.68 0 01-.365.12h-.033c-.12 0-.22-.087-.26-.253-.02-.134-.02-.27 0-.404.027-.285.074-.557.114-.842.14-.836.265-1.691.391-2.527.03-.22.049-.441.053-.663-.013-.272-.152-.404-.378-.404H9.782zm1.66-6.14a2.143 2.143 0 11-1.956 3.243 2.14 2.14 0 011.956-3.244zm0 1.127a1.016 1.016 0 10.989 1.008c.004-.55-.438-1.001-.989-1.008z"
  })));
}

var _path$_;
function _extends$11() { _extends$11 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$11.apply(this, arguments); }
function SvgIconLifeRingSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$11({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$_ || (_path$_ = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7 14A7 7 0 107 0a7 7 0 000 14zm2.763-2.186A5.524 5.524 0 017 12.55a5.524 5.524 0 01-2.763-.736L5.81 10.24c.37.136.771.21 1.189.21.418 0 .818-.074 1.189-.21l1.574 1.574zm2.051-2.05A5.525 5.525 0 0012.55 7c0-1.006-.268-1.95-.736-2.763L10.24 5.81c.136.37.21.771.21 1.189 0 .418-.074.818-.21 1.19l1.574 1.574zm-2.05-7.578L8.189 3.76A3.443 3.443 0 007 3.55c-.418 0-.818.074-1.19.21L4.237 2.186A5.524 5.524 0 017 1.45c1.006 0 1.95.268 2.764.736zm-7.578 2.05A5.525 5.525 0 001.45 7c0 1.006.268 1.95.736 2.764L3.76 8.189A3.443 3.443 0 013.55 7c0-.418.074-.818.21-1.189L2.186 4.237zM7 9a2 2 0 100-4 2 2 0 000 4z"
  })));
}

var _path$Z, _path2$g;
function _extends$10() { _extends$10 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$10.apply(this, arguments); }
function SvgIconLightBulbLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$10({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$Z || (_path$Z = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.27 2.011c3.064.132 5.563 2.551 5.723 5.534a5.582 5.582 0 01-1.285 3.824c-.686.825-1.152 1.623-1.448 2.455l-.007.023v2.87a.82.82 0 01-.524.766c-.073.6-.619 2.47-1.185 2.47-.068.042-3.007.042-3.094 0-.616 0-1.112-1.859-1.185-2.45a.842.842 0 01-.524-.765v-2.891l-.007-.022c-.296-.832-.762-1.63-1.45-2.478A5.59 5.59 0 015 7.77c0-1.593.667-3.072 1.857-4.173 1.192-1.103 2.772-1.652 4.414-1.586zm3.085 8.3c.64-.776.972-1.729.952-2.744-.105-2.077-1.88-3.814-4.08-3.914a4.341 4.341 0 00-3.173 1.136c-.85.799-1.323 1.851-1.323 2.98 0 .934.309 1.806.908 2.542.631.77 1.106 1.54 1.46 2.313h3.795c.355-.791.831-1.545 1.461-2.314zm-1.811 5.585v-1.608H9.45v1.608h3.094zm-2.282 2.52c.043.073 1.397.06 1.475 0 .101-.174.21-.658.252-.878h-1.983c.043.214.156.704.256.877z"
  })), _path2$g || (_path2$g = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M11.908 5.933c0-.502-.407-.728-.908-.728a2.56 2.56 0 00-2.558 2.558c0 .501.29.907.79.907.46 0 .84-.341.9-.784l.008-.123c0-.372.393-.861.75-.914L11 6.84a.908.908 0 00.908-.908z"
  })));
}

var _path$Y;
function _extends$$() { _extends$$ = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$$.apply(this, arguments); }
function SvgIconLightBulbSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$$({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$Y || (_path$Y = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7.001 0a4.851 4.851 0 013.65 8.043l-.148.177c-.498.622-1.03 1.547-1.23 2.217l-.001.001v2.02a.555.555 0 01-.054.235l-.04.07-.658.99a.552.552 0 01-.46.247H5.942a.553.553 0 01-.46-.247l-.659-.99a.55.55 0 01-.092-.305l-.001-1.997c-.227-.77-.845-1.809-1.38-2.419l-.159-.191a4.821 4.821 0 01-1.041-3A4.833 4.833 0 017.001 0zm0 1.535a3.301 3.301 0 00-3.315 3.316c.003.808.29 1.576.82 2.18l.226.269A8.333 8.333 0 016.2 10.02l-.066-.196 1.733.001A8.387 8.387 0 019.27 7.298l.226-.268c.529-.603.82-1.377.82-2.179A3.32 3.32 0 007 1.535zm.247 1.388a.772.772 0 110 1.544l-.093.007a.633.633 0 00-.538.624l-.007.105a.772.772 0 01-1.537-.105c0-1.2.975-2.175 2.175-2.175z",
    fillRule: "evenodd"
  })));
}

var _path$X;
function _extends$_() { _extends$_ = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$_.apply(this, arguments); }
function SvgIconLinesDashed3Solid1Small(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$_({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$X || (_path$X = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7.201 9.116a.864.864 0 100-1.727H3.728a.864.864 0 000 1.727H7.2zM10.804 9.116a.864.864 0 000-1.727H9.33a.864.864 0 000 1.727h1.474zM3.6 6.628a.864.864 0 000-1.727H2.127a.864.864 0 000 1.727H3.6zM9.204 6.622a.864.864 0 000-1.727H5.73a.864.864 0 000 1.727h3.474zM5.073 4.14a.864.864 0 000-1.727H3.6a.864.864 0 100 1.727h1.474zM10.672 4.14a.864.864 0 000-1.727H7.198a.864.864 0 100 1.727h3.474zM12.359 11.616a.864.864 0 100-1.727H1.847a.864.864 0 100 1.727H12.36z"
  })));
}

var _path$W;
function _extends$Z() { _extends$Z = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$Z.apply(this, arguments); }
function SvgIconLinesHorizontalLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$Z({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$W || (_path$W = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M21.089 11.189a1.33 1.33 0 01-1.33 1.33H1.99a1.33 1.33 0 010-2.66h17.767c.735 0 1.33.595 1.33 1.33zm0-6.401a1.33 1.33 0 01-1.33 1.33H1.99a1.33 1.33 0 010-2.66h17.767c.735 0 1.33.595 1.33 1.33zm0 12.802a1.33 1.33 0 01-1.33 1.33H1.99a1.33 1.33 0 110-2.66h17.767c.735 0 1.33.595 1.33 1.33z"
  })));
}

var _path$V;
function _extends$Y() { _extends$Y = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$Y.apply(this, arguments); }
function SvgIconLinesHorizontalSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$Y({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$V || (_path$V = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M13.42 7.12c0 .468-.379.847-.847.847H1.267a.847.847 0 110-1.694h11.306c.468 0 .847.38.847.847zm0-4.073c0 .467-.379.846-.847.846H1.267a.847.847 0 110-1.693h11.306c.468 0 .847.38.847.847zm0 8.147c0 .467-.379.846-.847.846H1.267a.847.847 0 110-1.693h11.306c.468 0 .847.379.847.847z",
    fillRule: "evenodd"
  })));
}

var _path$U;
function _extends$X() { _extends$X = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$X.apply(this, arguments); }
function SvgIconLinkSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$X({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$U || (_path$U = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M8.586 5.414a3.412 3.412 0 01.008 4.82l-.008.008-1.51 1.51a3.418 3.418 0 01-4.828 0 3.418 3.418 0 010-4.829l.834-.833a.36.36 0 01.613.238c.014.398.086.798.218 1.184a.361.361 0 01-.085.373l-.294.294c-.63.63-.65 1.655-.026 2.29.63.642 1.664.646 2.298.012l1.51-1.51a1.617 1.617 0 00-.233-2.479.36.36 0 01-.156-.283.895.895 0 01.263-.67l.473-.472a.36.36 0 01.462-.04c.165.116.319.245.461.387zm3.166-3.166a3.418 3.418 0 00-4.829 0l-1.509 1.51a3.412 3.412 0 00.46 5.214.36.36 0 00.463-.039l.473-.473a.895.895 0 00.263-.67.36.36 0 00-.156-.282 1.617 1.617 0 01-.232-2.48L8.194 3.52a1.619 1.619 0 012.298.011c.624.636.604 1.661-.026 2.29l-.294.294a.361.361 0 00-.085.374c.132.386.203.786.218 1.184a.36.36 0 00.613.238l.834-.833a3.418 3.418 0 000-4.829h0z",
    stroke: "#FFF",
    strokeWidth: 0.1,
    fillRule: "evenodd"
  })));
}

var _path$T;
function _extends$W() { _extends$W = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$W.apply(this, arguments); }
function SvgIconListSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$W({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$T || (_path$T = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M1.925 9.825a1.3 1.3 0 110 2.6 1.3 1.3 0 010-2.6zm10.711.375c.23 0 .429.147.507.37l.024.087.008.093v.75c0 .229-.138.43-.351.513l-.096.028-.092.009H5.364a.538.538 0 01-.507-.37l-.024-.087-.008-.093v-.75c0-.229.138-.43.351-.513l.096-.028.092-.009h7.272zM1.925 5.825a1.3 1.3 0 110 2.6 1.3 1.3 0 010-2.6zm10.711.375c.23 0 .429.147.507.37l.024.087.008.093v.75c0 .229-.138.43-.351.513l-.096.028-.092.009H5.364a.538.538 0 01-.507-.37l-.024-.087-.008-.093v-.75c0-.229.138-.43.351-.513l.096-.028.092-.009h7.272zM1.925 1.825a1.3 1.3 0 110 2.6 1.3 1.3 0 010-2.6zm10.711.375c.23 0 .429.147.507.37l.024.087.008.093v.75c0 .229-.138.43-.351.513l-.096.028-.092.009H5.364a.538.538 0 01-.507-.37l-.024-.087-.008-.093v-.75c0-.229.138-.43.351-.513l.096-.028.092-.009h7.272z",
    fillRule: "evenodd"
  })));
}

var _path$S, _path2$f, _path3$1, _path4$1, _path5$1, _path6$1, _path7$1, _path8$1, _path9$1;
function _extends$V() { _extends$V = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$V.apply(this, arguments); }
function SvgIconLoadingLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$V({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$S || (_path$S = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M12.812 17.935a.836.836 0 01-.841.835.835.835 0 01-.839-.835.84.84 0 111.68 0z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0
  }))), _path2$f || (_path2$f = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M9.44 17.29c0 .599-.484 1.079-1.08 1.079a1.08 1.08 0 01-1.084-1.079c0-.598.486-1.086 1.084-1.086.596 0 1.08.488 1.08 1.086z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.1
  }))), _path3$1 || (_path3$1 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M6.56 14.858a1.188 1.188 0 11-2.375 0 1.188 1.188 0 112.375 0z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.2
  }))), _path4$1 || (_path4$1 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M5.559 10.854a1.328 1.328 0 11-2.656.002 1.328 1.328 0 012.656-.002z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.3
  }))), _path5$1 || (_path5$1 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7.529 6.408c0 .811-.66 1.465-1.472 1.465a1.464 1.464 0 01-1.465-1.465c0-.81.656-1.472 1.465-1.472.812 0 1.472.662 1.472 1.472z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.4
  }))), _path6$1 || (_path6$1 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M12.19 4.375c0 .852-.685 1.537-1.537 1.537a1.532 1.532 0 01-1.535-1.537c0-.848.684-1.535 1.535-1.535.852 0 1.537.687 1.537 1.535z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.5
  }))), _path7$1 || (_path7$1 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M17.357 6.308a1.607 1.607 0 11-3.214-.002 1.607 1.607 0 013.214.002z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.6
  }))), _path8$1 || (_path8$1 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M19.467 11.05a1.678 1.678 0 11-3.354.002 1.678 1.678 0 013.354-.002z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.7
  }))), _path9$1 || (_path9$1 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M17.371 15.878a1.817 1.817 0 01-3.635 0c0-1.004.814-1.816 1.815-1.816 1.007 0 1.82.812 1.82 1.816z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 11 11",
    to: "360 11 11",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.8
  }))));
}

var _path$R, _path2$e, _path3, _path4, _path5, _path6, _path7, _path8, _path9;
function _extends$U() { _extends$U = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$U.apply(this, arguments); }
function SvgIconLoadingSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$U({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$R || (_path$R = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7.973 11.26a.5.5 0 01-.503.499.499.499 0 01-.501-.499.502.502 0 111.004 0z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0
  }))), _path2$e || (_path2$e = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M5.958 10.874a.646.646 0 11-1.294-.002.646.646 0 011.294.002z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.1
  }))), _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M4.237 9.421a.71.71 0 11-1.419.003.71.71 0 011.419-.003z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.2
  }))), _path4 || (_path4 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M3.639 7.029a.793.793 0 11-1.586.002.793.793 0 011.586-.002z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.3
  }))), _path5 || (_path5 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M4.816 4.373a.876.876 0 11-1.752-.002.876.876 0 011.752.002z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.4
  }))), _path6 || (_path6 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7.601 3.158a.916.916 0 11-1.835 0 .917.917 0 111.835 0z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.5
  }))), _path7 || (_path7 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M10.688 4.313a.96.96 0 11-1.92 0 .96.96 0 011.92 0z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.6
  }))), _path8 || (_path8 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M11.949 7.146a1.004 1.004 0 11-1.003-1.001c.552 0 1.003.448 1.003 1.001z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.7
  }))), _path9 || (_path9 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M10.696 10.031a1.085 1.085 0 11-2.17-.002 1.085 1.085 0 012.17.002z",
    opacity: 0.01
  }, /*#__PURE__*/React__namespace.createElement("animateTransform", {
    attributeType: "xml",
    attributeName: "transform",
    type: "rotate",
    from: "0 7 7",
    to: "360 7 7",
    dur: "2s",
    repeatCount: "indefinite"
  }), /*#__PURE__*/React__namespace.createElement("animate", {
    attributeName: "opacity",
    dur: "1.8s",
    values: "1;1;1;1;0;0;0;0;0;",
    repeatCount: "indefinite",
    begin: 0.8
  }))));
}

var _path$Q, _path2$d;
function _extends$T() { _extends$T = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$T.apply(this, arguments); }
function SvgIconLockCircleSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$T({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$Q || (_path$Q = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7 3.267c-.933 0-1.68.746-1.68 1.68v.84h3.267v-.84c.093-.934-.654-1.68-1.587-1.68zM7 7.093c-.373 0-.56.28-.56.56 0 .187.093.374.28.56v.84c0 .187.093.28.28.28.187 0 .28-.093.28-.28v-.84c.187-.093.28-.28.28-.56.093-.28-.187-.56-.56-.56z"
  })), _path2$d || (_path2$d = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7 0C3.173 0 0 3.173 0 7s3.173 7 7 7 7-3.173 7-7-3.08-7-7-7zm3.267 9.8c0 .467-.374.84-.84.84H4.573a.836.836 0 01-.84-.84V6.533c0-.466.374-.84.84-.84v-.84c0-1.306 1.12-2.426 2.427-2.426s2.427 1.12 2.427 2.426v.84c.466 0 .84.374.84.84V9.8z"
  })));
}

var _path$P;
function _extends$S() { _extends$S = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$S.apply(this, arguments); }
function SvgIconLockLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$S({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$P || (_path$P = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M14.322 7.727V6.09a3.322 3.322 0 00-6.644 0v1.637H6.09V6.09a4.91 4.91 0 119.822 0v1.637h-1.589zm2.006 1.589H5.672a.722.722 0 00-.722.722v8.473c0 .4.323.723.722.723h10.656a.722.722 0 00.722-.723v-8.473a.722.722 0 00-.722-.722zM5.672 7.727a2.31 2.31 0 00-2.31 2.31v8.474a2.31 2.31 0 002.31 2.311h10.656a2.311 2.311 0 002.31-2.31v-8.474a2.311 2.311 0 00-2.31-2.311H5.672zM11.8 14.18c.396-.279.68-.739.68-1.21 0-.753-.727-1.48-1.48-1.48s-1.48.727-1.48 1.48c0 .471.284.931.68 1.21v2.2c0 .377.423.68.8.68.377 0 .8-.303.8-.68v-2.2z"
  })));
}

var _path$O;
function _extends$R() { _extends$R = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$R.apply(this, arguments); }
function SvgIconLockSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$R({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$O || (_path$O = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M6.848 1c1.97 0 3.592 1.56 3.691 3.506l.005.19v.933l.024.004c.555.108.995.548 1.103 1.103l.019.13.006.134v4.608c0 .721-.554 1.318-1.258 1.386l-.134.006H3.392a1.396 1.396 0 01-1.386-1.258L2 11.608V7c0-.63.424-1.167 1.002-1.336l.126-.03.024-.005v-.933a3.708 3.708 0 013.32-3.677l.186-.014.19-.005zm0 6.348c-.739 0-1.354.562-1.354 1.267l.008.14.025.135c.052.22.16.413.316.571l.09.083.001.793c0 .49.412.871.914.871l.114-.007.113-.022c.403-.1.687-.436.687-.842l-.001-.799.089-.082c.227-.236.352-.529.352-.84 0-.706-.615-1.268-1.354-1.268zm0-4.716c-1.085 0-1.983.85-2.059 1.917l-.005.147v.912h4.128v-.912c0-1.085-.85-1.983-1.917-2.059l-.147-.005z",
    fillRule: "evenodd"
  })));
}

var _path$N;
function _extends$Q() { _extends$Q = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$Q.apply(this, arguments); }
function SvgIconMinusSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$Q({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$N || (_path$N = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M13 7.005a.875.875 0 00-.875-.875H1.875a.875.875 0 000 1.75h10.25A.875.875 0 0013 7.005z"
  })));
}

var _path$M;
function _extends$P() { _extends$P = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$P.apply(this, arguments); }
function SvgIconOpenSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$P({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$M || (_path$M = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M9.036 1.923c0-.51.412-.923.923-.923h2.538c.51 0 .923.414.923.923v2.538a.923.923 0 11-1.846 0v-.42L7.202 8.1a.923.923 0 01-1.257-1.353l4.201-3.902H9.96a.923.923 0 01-.923-.923zm-6.983.316c.353-.28.784-.393 1.136-.393h2.919a.923.923 0 110 1.846H3.266v7.462h7.462V7.889a.923.923 0 111.846 0v3.342c0 .62-.26 1.08-.632 1.376-.354.28-.785.393-1.137.393H3.19c-.62 0-1.08-.261-1.375-.633a1.868 1.868 0 01-.394-1.136V3.615c0-.62.261-1.081.633-1.376z"
  })));
}

var _path$L;
function _extends$O() { _extends$O = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$O.apply(this, arguments); }
function SvgIconPeopleLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$O({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$L || (_path$L = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M10.444 11.298a.731.731 0 01.677-.242 4.64 4.64 0 013.07 1.983c.439.348 1.071.586 1.67.633.14.02.189.03.337.03.148-.007.12-.005.331-.03.766-.06 1.591-.43 1.99-.948a.74.74 0 01.773-.266C20.864 12.87 22 14.392 22 16.084v1.451a2.167 2.167 0 01-2.176 2.176H2.176A2.167 2.167 0 010 17.535v-1.861a4.646 4.646 0 013.868-4.594.71.71 0 01.677.242 3.85 3.85 0 002.95 1.378 3.796 3.796 0 002.949-1.402zm8.848 2.732c-.79.724-1.98 1.145-3.097 1.108a4.47 4.47 0 01-1.257-.146c.03.215.051.434.051.657v1.886c0 .255-.045.498-.125.725h4.96a.712.712 0 00.725-.725v-1.45c0-.87-.531-1.693-1.257-2.056zM3.747 12.579a3.19 3.19 0 00-2.296 3.07v1.886c0 .411.314.725.725.725h10.637c.41 0 .726-.314.726-.725v-1.861a3.191 3.191 0 00-2.297-3.07 5.266 5.266 0 01-3.747 1.546 5.19 5.19 0 01-3.748-1.571zm12.45-6.48a3.137 3.137 0 013.144 3.144v.169a3.137 3.137 0 01-3.143 3.143 3.152 3.152 0 01-3.143-3.143v-.17A3.137 3.137 0 0116.198 6.1zm0 1.427c-.942 0-1.691.75-1.691 1.693v.169c0 .943.749 1.692 1.692 1.692.942 0 1.692-.75 1.692-1.692v-.17c0-.942-.75-1.692-1.692-1.692zM7.496 2.063a4.365 4.365 0 014.351 4.351 4.365 4.365 0 01-4.351 4.352 4.364 4.364 0 01-4.352-4.352 4.364 4.364 0 014.352-4.351zm0 1.45a2.91 2.91 0 00-2.902 2.901 2.91 2.91 0 002.902 2.901 2.91 2.91 0 002.9-2.9 2.91 2.91 0 00-2.9-2.902z"
  })));
}

var _path$K;
function _extends$N() { _extends$N = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$N.apply(this, arguments); }
function SvgIconPeopleSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$N({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$K || (_path$K = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7 7.715l.077.008.026.005.023.008-.084-.016a2.976 2.976 0 012.462 2.942v1.184c0 .713-.53 1.294-1.22 1.375l-.13.01h-6.77a1.378 1.378 0 01-1.378-1.25L0 11.845v-1.184a2.957 2.957 0 012.462-2.924l.083-.007c.136-.001.258.059.347.161l.069.079-.069-.079a2.406 2.406 0 00.975.704 2.461 2.461 0 00.447.13l.08.014.017.003a2.416 2.416 0 002.235-.866.465.465 0 01.43-.154zm5.185.886l.092.014c1 .262 1.723 1.231 1.723 2.308v.923c0 .77-.615 1.385-1.385 1.385H10.65c.228-.412.355-.884.355-1.385v-1.184l-.005-.217a4.497 4.497 0 00-.192-1.103c.394-.088.774-.292.978-.557a.471.471 0 01.492-.17zM4.769 6.788A2.777 2.777 0 007.54 4.02a2.777 2.777 0 00-2.77-2.769A2.777 2.777 0 002 4.02a2.777 2.777 0 002.77 2.768m5.538.889c1.107 0 2-.892 2-2v-.108c0-1.107-.893-2-2-2-1.108 0-2 .893-2 2v.108c0 1.092.892 2 2 2z",
    fillRule: "evenodd"
  })));
}

var _path$J, _rect$3, _path2$c;
function _extends$M() { _extends$M = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$M.apply(this, arguments); }
function SvgIconPercentageSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$M({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$J || (_path$J = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M10.976 12.476a1.5 1.5 0 100-3 1.5 1.5 0 000 3z"
  })), _rect$3 || (_rect$3 = /*#__PURE__*/React__namespace.createElement("rect", {
    x: 11.208,
    y: 1.024,
    width: 2.5,
    height: 14.402,
    rx: 1,
    transform: "rotate(45 11.208 1.024)"
  })), _path2$c || (_path2$c = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M3.026 4.526a1.5 1.5 0 100-3 1.5 1.5 0 000 3z"
  })));
}

var _path$I;
function _extends$L() { _extends$L = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$L.apply(this, arguments); }
function SvgIconPersonLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$L({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$I || (_path$I = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M18.494 15.675c0-2.269-1.65-4.194-3.85-4.606-.275-.069-.482.068-.688.275A3.784 3.784 0 0111 12.719c-1.169 0-2.2-.481-2.956-1.375-.138-.207-.413-.275-.688-.275a4.648 4.648 0 00-3.85 4.606v1.994c0 .167.033.363.069.481.275.894 1.1 1.581 2.063 1.581h10.656c.962 0 1.925-.481 2.131-1.581.052-.275.069-.316.069-.481 0-.758-.028-1.237 0-1.994zm-1.444 1.856a.763.763 0 01-.756.757H5.706a.763.763 0 01-.756-.757v-1.856c0-1.444.962-2.681 2.269-3.094.825.825 1.856 1.306 2.956 1.513.275.069.55.069.825.069.275 0 .55 0 .825-.07 1.1-.137 2.131-.687 2.956-1.512 1.375.413 2.269 1.65 2.269 3.094v1.856zM11 10.794a4.313 4.313 0 004.331-4.332c0-2.406-1.925-4.4-4.331-4.4a4.313 4.313 0 00-4.331 4.332c0 2.406 1.925 4.4 4.331 4.4zm0-7.288a2.905 2.905 0 012.887 2.888A2.905 2.905 0 0111 9.28a2.905 2.905 0 01-2.887-2.887A2.905 2.905 0 0111 3.506z"
  })));
}

var _path$H;
function _extends$K() { _extends$K = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$K.apply(this, arguments); }
function SvgIconPersonSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$K({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$H || (_path$H = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M9.8 4a2.8 2.8 0 11-5.6 0 2.8 2.8 0 015.6 0zM8.928 7.872c.094-.096.203-.208.372-.172 1.4.3 2.4 1.5 2.4 3v1.2c0 .7-.452 1.4-1.2 1.4h-7c-.781 0-1.2-.7-1.2-1.4v-1.2c0-1.5 1-2.7 2.4-3 .168-.036.28.079.376.175L5.1 7.9c.5.6 1.2.9 1.9.9s1.4-.4 1.9-.9l.028-.028z"
  })));
}

var _g, _defs;
function _extends$J() { _extends$J = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$J.apply(this, arguments); }
function SvgIconPinLocationSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$J({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#IconPinLocationSmall_svg__clip0_406_28)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M3.234 8.756l3.19 4.67a1.119 1.119 0 001.953 0l3.19-4.67c.202-.361.455-.873.66-1.412.194-.511.394-1.166.394-1.77C12.62 2.734 10.245.5 7.4.5 4.555.5 2.18 2.734 2.18 5.574c0 .604.2 1.259.394 1.77.205.539.458 1.05.66 1.412zM7.4 8.284a2.564 2.564 0 100-5.127 2.564 2.564 0 000 5.127z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "IconPinLocationSmall_svg__clip0_406_28"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M0 0h14v14H0z"
  })))));
}

var _path$G;
function _extends$I() { _extends$I = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$I.apply(this, arguments); }
function SvgIconPinSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$I({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$G || (_path$G = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M9.35 6.364h-.138a.14.14 0 01-.139-.122l-.309-2.399a.254.254 0 01.254-.293c.249.003.496 0 .654-.204.22-.284.336-.653.322-1.032-.013-.378-.024-.596-.264-.858-.24-.261-.481-.407-.814-.406H5.05c-.333-.001-.516.145-.756.406-.24.262-.309.48-.322.858-.014.379.101.748.322 1.032.158.203.405.207.654.204a.254.254 0 01.254.293l-.309 2.399a.14.14 0 01-.139.122h-.139c-.342 0-.845.33-1.086.605-.242.275-.413.544-.413.933v.489c0 .155.125.28.28.28h2.593a.07.07 0 01.07.07v3.214c0 .077.032.15.088.203l.644.61a.28.28 0 00.385 0l.644-.61a.28.28 0 00.088-.203V8.74a.07.07 0 01.07-.07h2.593a.28.28 0 00.28-.28v-.489c0-.389-.17-.658-.413-.933-.241-.275-.744-.605-1.086-.605z"
  })));
}

var _path$F, _path2$b;
function _extends$H() { _extends$H = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$H.apply(this, arguments); }
function SvgIconPlayLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$H({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$F || (_path$F = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11 18.639A7.639 7.639 0 1011 3.36a7.639 7.639 0 000 15.278zm0 1.528a9.167 9.167 0 100-18.334 9.167 9.167 0 000 18.334z"
  })), _path2$b || (_path2$b = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M14.056 11.306L9.014 8.395v5.821l5.042-2.91zm1.222 1.058a1.222 1.222 0 000-2.117l-5.959-3.44a1.222 1.222 0 00-1.833 1.059v6.88c0 .94 1.019 1.528 1.833 1.058l5.959-3.44z"
  })));
}

var _path$E;
function _extends$G() { _extends$G = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$G.apply(this, arguments); }
function SvgIconPlusCircleSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$G({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$E || (_path$E = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M7 0a7 7 0 110 14A7 7 0 017 0zm0 1.707A5.3 5.3 0 001.707 7 5.3 5.3 0 007 12.293 5.3 5.3 0 0012.293 7 5.3 5.3 0 007 1.707zm0 2.39c.435 0 .794.326.847.747l.007.107-.001 1.195h1.196c.399 0 .734.274.827.644l.02.103.006.107a.854.854 0 01-.746.847l-.107.007H7.853v1.195a.854.854 0 01-.643.827l-.103.02L7 9.902a.854.854 0 01-.847-.746l-.007-.107V7.854H4.951a.854.854 0 01-.827-.644l-.02-.103L4.098 7c0-.435.325-.794.746-.847l.107-.007h1.195V4.951c0-.399.274-.734.644-.827l.103-.02L7 4.098z",
    fillRule: "evenodd"
  })));
}

var _path$D;
function _extends$F() { _extends$F = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$F.apply(this, arguments); }
function SvgIconPlusSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$F({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$D || (_path$D = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7 1c.483 0 .875.392.875.875v4.25h4.25a.875.875 0 010 1.75h-4.25v4.25a.875.875 0 01-1.75 0v-4.25h-4.25a.875.875 0 110-1.75h4.25v-4.25C6.125 1.392 6.517 1 7 1z"
  })));
}

var _path$C, _path2$a;
function _extends$E() { _extends$E = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$E.apply(this, arguments); }
function SvgIconProjectPrivateLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$E({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$C || (_path$C = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20.009 5.294c-.137-.206-.343-.344-.548-.481l.068-.482c.137-1.237-.753-2.337-1.985-2.406H8.778c-.205 0-.41-.069-.548-.275L7.546.825C7.066.344 6.45 0 5.766 0H3.367c-.616 0-1.232.275-1.643.756-.48.482-.685 1.1-.616 1.788l.274 2.2c-.274.137-.548.275-.822.55a2.27 2.27 0 00-.548 1.719l.753 8.593A2.532 2.532 0 003.3 17.875h8.834c-.069-.275-.069-.55-.069-.825 0-.206 0-.481.069-.688H3.3c-.548 0-.959-.412-.959-.893L1.52 6.875c0-.206.069-.412.206-.55.137-.138.342-.275.548-.275h16.092c.206 0 .411.069.548.275a.782.782 0 01.206.55l-.48 5.225c.548.138 1.027.412 1.438.688l.548-5.776c0-.618-.205-1.237-.616-1.718zm-2.055-.756H2.89l-.274-2.2c0-.207.069-.413.206-.55.137-.138.342-.276.547-.276h2.397c.206 0 .411.07.548.276l.685.824c.41.55 1.027.825 1.712.825H17.2c.206 0 .41.07.548.207a.782.782 0 01.205.55v.343z",
    fill: "#CCC"
  })), _path2$a || (_path2$a = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M16.844 11.688A5.15 5.15 0 0122 16.843C22 19.663 19.663 22 16.844 22c-2.819 0-5.157-2.337-5.157-5.156 0-2.819 2.338-5.157 5.157-5.157zm0 1.787c-.963 0-1.788.825-1.788 1.787v.62a.616.616 0 00-.618.618v2.406c0 .344.274.619.618.619h3.575a.616.616 0 00.619-.619V16.5a.616.616 0 00-.619-.619v-.619c0-.962-.825-1.787-1.787-1.787zm0 3.438c.275 0 .481.206.412.412 0 .206-.069.344-.206.413v.618c0 .138-.069.206-.206.206-.138 0-.207-.068-.207-.206v-.619c-.137-.137-.206-.274-.206-.412 0-.206.138-.412.413-.412zm0-2.82c.687 0 1.237.55 1.168 1.238v.619h-2.406v-.619c0-.687.55-1.237 1.238-1.237z"
  })));
}

var _path$B, _path2$9;
function _extends$D() { _extends$D = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$D.apply(this, arguments); }
function SvgIconProjectPublicLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$D({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$B || (_path$B = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.03 17.462v-.412c0-.206 0-.481.068-.688h-8.79c-.548 0-.96-.412-.96-.893l-.824-8.594c0-.206.068-.412.206-.55.137-.138.343-.275.549-.275h16.136c.206 0 .412.069.55.275a.781.781 0 01.205.55l-.48 5.225c.274.069.48.138.686.275 0 0 .069 0 .069.069.206.137.412.206.618.343l.549-5.775a2.265 2.265 0 00-.55-1.718c-.137-.206-.343-.344-.549-.481l.069-.482c.137-1.237-.755-2.337-1.991-2.406H8.802c-.206 0-.412-.069-.55-.275L7.567.825C7.086.344 6.467 0 5.781 0H3.378C2.76 0 2.142.275 1.73.756c-.481.482-.687 1.1-.618 1.788l.274 2.2c-.274.137-.549.275-.824.55a2.266 2.266 0 00-.549 1.719l.755 8.593a2.536 2.536 0 002.54 2.269h8.858c-.068-.137-.068-.275-.137-.413zM2.827 1.787c.138-.137.344-.274.55-.274H5.78c.206 0 .412.068.549.275l.687.824c.412.55 1.03.825 1.716.825h8.514c.206 0 .413.07.55.207a.781.781 0 01.206.55l-.069.343H2.828l-.206-2.2c0-.206.069-.412.206-.55z",
    fill: "#CCC"
  })), _path2$9 || (_path2$9 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M17.255 11.707c-3.15-.274-5.822 2.397-5.548 5.548.205 2.465 2.192 4.52 4.726 4.726 3.15.274 5.822-2.398 5.548-5.548a5.138 5.138 0 00-4.726-4.726zm.616.753l.617.206c.137.068.205.137.342.137a4.47 4.47 0 011.438 1.096s.069.068.069.137v.274c0 .068-.069.136-.069.205 0 .137.137.205.206.205h.274c.068 0 .137.069.137.137.068.138.137.275.137.343.205.48.274.959.342 1.507 0 .068 0 .137-.068.205-.069.069-.206.206-.274.343-.137.274-.274.685-.48.89-.137.137-.274.274-.274.411-.068.137 0 .274-.068.342 0 .069-.069.069-.137 0-.206-.273-.274-.547-.343-.821-.068-.206-.068-.411-.137-.685a1.065 1.065 0 00-.41-.548c-.206-.137-.48-.069-.685-.137-.274 0-.48-.069-.685-.274a.52.52 0 01-.137-.274c-.137-.548.205-1.164.685-1.438.068-.069.137-.069.205-.137.137-.137.206-.274.137-.48 0-.068-.069-.068-.069-.068-.136.068-.273.068-.342.137-.068 0-.137 0-.137-.069 0-.205 0-.41.069-.685.068-.274.137-.48 0-.685 0-.068-.069-.068-.137-.068h-.617a.534.534 0 00.274-.274c.069.068.069.068.137.068zm-2.192.069c.069 0 .069 0 .137.068.069.137.137.206.206.343.137.274.205.616.068.822-.137.274-.48.41-.753.616-.617.274-1.096.754-1.438 1.301l-.069.069c-.068 0-.068 0-.137-.069-.068-.068-.137-.068-.205-.137 0 0-.069 0-.069.069a.689.689 0 00.343.753c.068 0 .068.069.137.069.068.137 0 .274 0 .41 0 .206.274.275.41.275.138 0 .343-.137.549-.206.41-.137.821-.068 1.164.137.205.137.342.274.48.411a.778.778 0 00.547.206c.069 0 .069 0 .137.068a.533.533 0 01-.137.548c-.137.206-.342.274-.48.48-.342.41-.479 1.027-.753 1.506-.068.069-.137.206-.205.274-.137.137-.137.274-.137.48 0 0 0 .068-.069.068-.068 0-.137-.068-.205-.068-.068 0-.068-.069-.068-.137a9.765 9.765 0 00-.617-1.85c-.137-.205-.274-.479-.48-.616-.068-.068-.136-.068-.136-.137v-.137a1.722 1.722 0 00-.685-1.575c-.069-.069-.206-.137-.206-.206-.068-.068-.068-.205-.068-.274l-.274-.274c-.069 0-.069-.068-.069-.137.274-1.506 1.507-2.74 3.082-3.15z"
  })));
}

var _path$A;
function _extends$C() { _extends$C = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$C.apply(this, arguments); }
function SvgIconPuzzlePieceSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$C({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$A || (_path$A = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M5.627.709c.748 0 1.283.432 1.283 1.11 0 .299-.074.496-.276.794l-.137.193c-.272.374-.377.602-.377.952 0 .94.901 1.148 2.34.864.347-.068.715-.164 1.092-.28l.277-.088.267-.09.337-.123-.009.032c-.06.217-.12.452-.177.698-.081.35-.147.692-.193 1.015-.184 1.306-.02 2.654.693 2.654.095 0 .189-.02.287-.056.055-.021.111-.047.173-.08l.098-.056c.052-.03.237-.145.271-.165.367-.22.65-.322 1.023-.322.709 0 1.151.57 1.151 1.359 0 .746-.43 1.263-1.115 1.263-.3 0-.499-.073-.799-.274l-.193-.136c-.376-.268-.604-.373-.956-.373-.692 0-.962.57-.928 1.468.01.283.05.584.111.888l.05.233.022.091-.134.008c-.09.006-.199.017-.348.034l-1.049.121-.13.013c-1.441.14-2.142-.018-2.142-.634 0-.248.069-.421.254-.685l.482-.512c.315-.418.28-.73.28-1.14 0-.832-.838-1.36-1.716-1.36-.906 0-1.764.524-1.764 1.39 0 .378.054.774.3 1.11l.383.451c.03.038.178.215.215.262.072.09.12.16.154.225a.419.419 0 01.055.194c0 .583-.692.829-1.887.788-.404-.014-.838-.061-1.276-.13l-.295-.05L1 12.302V4.5l.267.053c.09.017.188.034.294.05.437.071.87.119 1.275.133 1.293.046 2.094-.246 2.094-1.037 0-.095-.02-.19-.058-.288a1.706 1.706 0 00-.14-.27l-.17-.27c-.228-.365-.332-.646-.332-1.016 0-.702.591-1.146 1.397-1.146z",
    fillRule: "evenodd"
  })));
}

var _path$z;
function _extends$B() { _extends$B = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$B.apply(this, arguments); }
function SvgIconQuestionMarkLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$B({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$z || (_path$z = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.078 15.2a1.43 1.43 0 011.423 1.424 1.427 1.427 0 01-1.423 1.423c-.377 0-.744-.152-1.008-.416a1.433 1.433 0 01-.416-1.008c0-.374.152-.74.416-1.005a1.434 1.434 0 011.008-.418zm-.023-11.59c2.486 0 4.587 1.69 4.699 3.77l.004.177-.006.223-.018.214c-.128 1.188-.749 1.956-2.056 2.953l-.198.153-.345.276c-.675.565-.905.924-.969 1.52a.688.688 0 01-.688.677h-.717a.78.78 0 01-.779-.794c.123-1.293.803-2.147 2.15-3.174 1.14-.86 1.44-1.236 1.44-2.052 0-1.18-1.11-2.11-2.517-2.11l-.173.005-.178.015c-1.117.127-1.677.58-1.974 1.252a.893.893 0 01-.85.62h-.888c-.326 0-.57-.3-.504-.62.324-1.9 2.223-3.106 4.567-3.106z"
  })));
}

var _path$y;
function _extends$A() { _extends$A = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$A.apply(this, arguments); }
function SvgIconRefreshLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$A({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$y || (_path$y = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M16.59 6.061l.034-1.534a.858.858 0 111.716.04l-.101 4.116a1 1 0 01-1.188.957l-4.022-.77a.887.887 0 01.328-1.744l1.993.368a5.856 5.856 0 00-1.442-1.663 5.274 5.274 0 00-3.475-1.142 5.333 5.333 0 00-3.386 1.422c-.733.67-1.261 1.543-1.58 2.512-.157.476-.633.796-1.122.687-.468-.105-.773-.564-.64-1.024.408-1.408 1.15-2.676 2.198-3.636 1.252-1.148 2.824-1.807 4.463-1.874 1.64-.067 3.253.462 4.581 1.504a7.665 7.665 0 011.643 1.781zm-9.935 8.443c.376.644.864 1.21 1.441 1.663a5.274 5.274 0 003.476 1.141 5.334 5.334 0 003.386-1.421c.732-.671 1.261-1.544 1.58-2.512.157-.476.633-.796 1.122-.687.468.104.773.563.64 1.023-.408 1.408-1.15 2.676-2.198 3.637-1.252 1.147-2.824 1.807-4.463 1.874-1.64.067-3.253-.463-4.581-1.505a7.666 7.666 0 01-1.643-1.781l-.034 1.535a.858.858 0 11-1.716-.04l.1-4.117a1 1 0 011.189-.957l4.022.77a.887.887 0 01-.328 1.744l-1.993-.367z"
  })));
}

var _path$x;
function _extends$z() { _extends$z = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$z.apply(this, arguments); }
function SvgIconRefreshSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$z({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$x || (_path$x = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.74 2.456l-.029 1.271a6.353 6.353 0 00-1.361-1.476 5.76 5.76 0 00-3.797-1.246c-1.358.055-2.66.602-3.698 1.553-.869.795-1.483 1.847-1.821 3.013-.11.381.142.762.53.848.405.09.8-.175.93-.57.264-.802.702-1.525 1.309-2.08A4.42 4.42 0 016.609 2.59a4.37 4.37 0 012.88.946c.479.376.883.844 1.194 1.378L9.032 4.61a.735.735 0 00-.272 1.445l3.134.6a1 1 0 001.188-.957l.08-3.209a.711.711 0 10-1.423-.033zM1 11.94a.711.711 0 101.422.033l.028-1.271a6.352 6.352 0 001.362 1.476 5.76 5.76 0 003.796 1.246c1.359-.055 2.66-.602 3.698-1.553.869-.795 1.484-1.847 1.822-3.013.11-.382-.143-.762-.53-.848-.406-.09-.8.175-.93.57-.264.802-.703 1.524-1.31 2.08a4.42 4.42 0 01-2.805 1.179 4.37 4.37 0 01-2.88-.946 4.854 4.854 0 01-1.195-1.378l1.652.304a.735.735 0 00.272-1.445l-3.135-.6a1 1 0 00-1.188.957L1 11.941z"
  })));
}

var _path$w, _path2$8;
function _extends$y() { _extends$y = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$y.apply(this, arguments); }
function SvgIconSaveLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$y({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$w || (_path$w = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M14.649 13.332a3.648 3.648 0 11-7.297 0 3.648 3.648 0 017.296 0zm-1.57 0a2.078 2.078 0 11-4.157 0 2.078 2.078 0 014.156 0z"
  })), _path2$8 || (_path2$8 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M3 2a1 1 0 00-1 1v16a1 1 0 001 1h16a1 1 0 001-1V6.473a1 1 0 00-.293-.707l-3.473-3.473A1 1 0 0015.527 2H3zm12.677 1.956l2.753 2.753V18.43H3.57V3.57h2.75v3.45a1 1 0 001 1h7.357a1 1 0 001-1V3.956zM7.89 6.45V3.57h6.217v2.88H7.89z"
  })));
}

var _path$v;
function _extends$x() { _extends$x = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$x.apply(this, arguments); }
function SvgIconSearchLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$x({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$v || (_path$v = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M14.2 12.861a7.211 7.211 0 00-.624-9.489 7.218 7.218 0 00-10.205 0 7.21 7.21 0 000 10.2 7.22 7.22 0 009.492.625c.02.026.043.05.067.074l6.188 6.188a.95.95 0 101.343-1.343l-6.188-6.189a.976.976 0 00-.073-.066zM12.198 4.68a5.317 5.317 0 11-7.52 7.52 5.317 5.317 0 017.52-7.52z"
  })));
}

var _path$u, _path2$7;
function _extends$w() { _extends$w = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$w.apply(this, arguments); }
function SvgIconSearchLinesHorizontalLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$w({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$u || (_path$u = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M5.968 5.22a.75.75 0 100 1.5h3.998a.75.75 0 100-1.5H5.968zM5.218 8.47a.75.75 0 01.75-.75h5.997a.75.75 0 010 1.5H5.968a.75.75 0 01-.75-.75zM5.968 10.22a.75.75 0 100 1.5h2.498a.75.75 0 000-1.5H5.968z"
  })), _path2$7 || (_path2$7 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M13.576 3.372a7.211 7.211 0 01.624 9.49c.025.02.05.042.073.065l6.188 6.189a.95.95 0 11-1.343 1.343l-6.188-6.188a.968.968 0 01-.067-.074 7.22 7.22 0 01-9.492-.625 7.21 7.21 0 010-10.2 7.218 7.218 0 0110.205 0zm-1.378 8.826a5.317 5.317 0 10-7.52-7.519 5.317 5.317 0 007.52 7.52z"
  })));
}

var _path$t, _path2$6;
function _extends$v() { _extends$v = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$v.apply(this, arguments); }
function SvgIconSearchLinesHorizontalSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$v({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$t || (_path$t = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M3.495 2.935a.5.5 0 100 1h3a.5.5 0 000-1h-3zM2.995 5.185a.5.5 0 01.5-.5h4a.5.5 0 110 1h-4a.5.5 0 01-.5-.5zM3.495 6.435a.5.5 0 100 1h2a.5.5 0 000-1h-2z"
  })), _path2$6 || (_path2$6 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8.785 1.685a5.022 5.022 0 01.486 6.538c.026.02.052.043.076.067l4.221 4.222a.749.749 0 01-1.058 1.058L8.288 9.35a.756.756 0 01-.067-.077 5.022 5.022 0 11.564-7.587zM7.678 7.678a3.487 3.487 0 10-4.932-4.932 3.487 3.487 0 004.932 4.932z"
  })));
}

var _path$s;
function _extends$u() { _extends$u = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$u.apply(this, arguments); }
function SvgIconSearchSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$u({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$s || (_path$s = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M9.27 8.223a5.022 5.022 0 10-1.049 1.05c.02.026.043.052.067.076l4.222 4.221a.749.749 0 101.058-1.058L9.347 8.29a.755.755 0 00-.076-.067zM7.679 2.746a3.487 3.487 0 11-4.932 4.932 3.487 3.487 0 014.932-4.932z"
  })));
}

var _path$r;
function _extends$t() { _extends$t = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$t.apply(this, arguments); }
function SvgIconShareLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$t({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$r || (_path$r = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M16.633 18.082a1.78 1.78 0 01-2.411.68 1.713 1.713 0 01-.692-2.363c.482-.843 1.544-1.131 2.42-.657.865.47 1.165 1.497.683 2.34zM5.527 13.315c-.951 0-1.72-.75-1.72-1.675 0-.926.769-1.676 1.72-1.676.952 0 1.722.75 1.722 1.676 0 .925-.77 1.675-1.722 1.675zm8.695-8.703a1.783 1.783 0 012.41.681c.483.843.183 1.872-.683 2.34-.875.475-1.937.186-2.419-.657a1.715 1.715 0 01.692-2.364zm2.557 9.679c-1.367-.74-3.063-.46-4.167.68l-3.886-2.039a3.28 3.28 0 00.266-1.292c0-.428-.09-.833-.239-1.211l3.859-2.025c1.104 1.14 2.8 1.42 4.167.68 1.673-.906 2.277-2.97 1.346-4.599l-.072-.123-.003.003c-.965-1.537-3.02-2.073-4.651-1.188-1.36.737-2.011 2.284-1.607 3.792L7.763 9.083a3.49 3.49 0 00-2.236-.816c-1.914 0-3.465 1.51-3.465 3.373 0 1.862 1.55 3.373 3.465 3.373a3.49 3.49 0 002.164-.758l4.1 2.152c-.403 1.507.248 3.054 1.608 3.791 1.63.885 3.686.35 4.65-1.188l.004.003.072-.123c.931-1.629.327-3.692-1.346-4.6z"
  })));
}

var _path$q;
function _extends$s() { _extends$s = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$s.apply(this, arguments); }
function SvgIconSlidersHorizontalLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$s({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$q || (_path$q = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M14.453 3.24c.982 0 1.818.628 2.127 1.505h2.61a.75.75 0 110 1.5h-2.61a2.255 2.255 0 01-4.254 0H2.815a.75.75 0 110-1.5h9.511a2.256 2.256 0 012.127-1.505zm.458 3.092a.956.956 0 00.495-.836.952.952 0 00-.366-.751h.004a.95.95 0 00-1.182 0h.004a.952.952 0 00.587 1.704.95.95 0 00.458-.117zM6.702 8.749c.982 0 1.818.628 2.127 1.505h10.36a.75.75 0 110 1.5H8.83a2.256 2.256 0 01-4.254 0h-1.76a.75.75 0 010-1.5h1.76a2.255 2.255 0 012.127-1.505zm.458 3.092a.958.958 0 00.495-.836.952.952 0 00-.367-.751h.005a.95.95 0 00-1.182 0h.004a.952.952 0 00.587 1.704.95.95 0 00.458-.117zM13.5 15.768a2.256 2.256 0 00-4.257 0H2.815a.75.75 0 000 1.5h6.432a2.256 2.256 0 004.25 0h5.693a.75.75 0 100-1.5H13.5zm-1.544 1.5a.965.965 0 01-.584.2.95.95 0 01-.953-.954c0-.302.14-.571.36-.746h-.004a.95.95 0 011.194 0h-.004a.951.951 0 01-.01 1.5z"
  })));
}

var _path$p;
function _extends$r() { _extends$r = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$r.apply(this, arguments); }
function SvgIconSpeechBubblesLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$r({
    width: 23,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$p || (_path$p = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M18.049.85a.85.85 0 00-.85-.85H.85A.85.85 0 000 .85v12.39c0 .469.38.85.85.85h2.16v2.956a.85.85 0 001.425.626l3.901-3.583h.817v1.687c0 .47.38.85.85.85h5.624l2.52 2.556c.534.542 1.456.164 1.456-.596v-1.96h1.578c.469 0 .85-.38.85-.85V4.988a.85.85 0 00-.85-.85h-3.132V.85zm0 4.718h2.563v9.628h-2.428v2.002l-1.973-2.002h-5.64V14.09H17.2c.47 0 .85-.38.85-.85V5.568zM16.63 1.43H1.42v11.254h3.01v3.067l3.367-3.067h8.834V1.43zm-5.862 7.583a.5.5 0 01.5.5v.406a.5.5 0 01-.5.5h-5.99a.5.5 0 01-.5-.5v-.406a.5.5 0 01.5-.5h5.99zm-4.699-2.38a.5.5 0 01.5.5v.407a.5.5 0 01-.5.5H4.778a.5.5 0 01-.5-.5v-.407a.5.5 0 01.5-.5h1.291zm7.517 0a.5.5 0 01.5.5v.407a.5.5 0 01-.5.5h-1.014a.5.5 0 01-.5-.5v-.407a.5.5 0 01.5-.5h1.014zm-4.992 0a.5.5 0 01.5.5v.407a.5.5 0 01-.5.5H7.412a.5.5 0 01-.5-.5v-.407a.5.5 0 01.5-.5h1.182zm2.635 0a.5.5 0 01.5.5v.407a.5.5 0 01-.5.5H9.937a.5.5 0 01-.5-.5v-.407a.5.5 0 01.5-.5h1.292zm2.333-2.355a.5.5 0 01.5.5v.406a.5.5 0 01-.5.5H4.778a.5.5 0 01-.5-.5v-.406a.5.5 0 01.5-.5h8.784z"
  })));
}

var _path$o;
function _extends$q() { _extends$q = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$q.apply(this, arguments); }
function SvgIconSquareOnDashedSquareLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$q({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$o || (_path$o = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8.026 8.234v4.845c0 .232.086.45.243.62.115.122.261.213.41.257l.089.021.074.01 4.94.003v4.844a1.18 1.18 0 01-.953 1.16l-.118.017-.111.005H3.182a1.18 1.18 0 01-1.16-.953l-.017-.118-.005-.11V9.415a1.18 1.18 0 01.953-1.159l.118-.017.11-.006h4.845zm-1.396 1.4H3.4v8.98h8.987v-3.23H8.802a2.222 2.222 0 01-1.168-.418l-.125-.097-.195-.187-.09-.09a2.222 2.222 0 01-.573-1.213l-.016-.153-.005-.15V9.635zM16 13.978c.372 0 .677.292.677.65 0 .303-.219.562-.523.632l-.078.014-.076.004h-.66a.661.661 0 01-.671-.65c0-.3.212-.558.512-.63l.077-.015.082-.005h.66zm2.405-.431c.176-.29.502-.413.813-.272a.612.612 0 01.319.842c-.258.566-.781.93-1.401.99-.37.036-.66-.156-.696-.525a.672.672 0 01.448-.698l.075-.022.127-.02a.406.406 0 00.213-.124l.036-.047.066-.124zm.79-4.29c.3 0 .558.212.63.512l.015.077.005.082v1.58c0 .37-.291.671-.65.671a.655.655 0 01-.631-.513l-.014-.076-.005-.082v-1.58c0-.371.29-.672.65-.672zm0-4.07c.3 0 .558.212.63.512l.015.077.005.082v1.58c0 .37-.291.671-.65.671a.655.655 0 01-.631-.513l-.014-.076-.005-.082v-1.58c0-.371.29-.672.65-.672zm-11.734-.25c.313 0 .58.212.655.512l.015.077.005.082v1.072a.675.675 0 01-1.33.159l-.014-.077-.006-.082V5.607c0-.371.303-.672.675-.672zm1.084-2.73a.671.671 0 01.203 1.317l-.076.017-.13.012a.404.404 0 00-.22.11l-.038.045-.075.12a.672.672 0 01-1.143-.7 1.743 1.743 0 011.48-.921zm9.585-.065c.624.021 1.187.374 1.48.922a.671.671 0 01-1.095.76l-.053-.067-.037-.06a.404.404 0 00-.227-.193l-.057-.014-.055-.006a.672.672 0 01.044-1.342zM12.217 2c.371 0 .672.291.672.65a.655.655 0 01-.513.63l-.077.015-.082.005h-1.58a.661.661 0 01-.671-.65c0-.301.213-.558.513-.63l.077-.015.081-.005h1.58zm3.793 0c.37 0 .671.291.671.65a.655.655 0 01-.512.63l-.077.015-.082.005h-1.58a.661.661 0 01-.671-.65c0-.301.212-.558.512-.63l.077-.015L14.43 2h1.58z"
  })));
}

var _path$n;
function _extends$p() { _extends$p = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$p.apply(this, arguments); }
function SvgIconStarburstSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$p({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$n || (_path$n = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M11.977 8.821l.742 2.154-.846.165-1.391.272c-.299.009-.41.101-.47.393l-.816 2.128-.755-.419-1.237-.687c-.236-.184-.379-.185-.614-.001l-1.993 1.107-.309-.806-.507-1.321c-.063-.293-.174-.386-.472-.395l-2.236-.436.281-.816.461-1.337c.14-.265.117-.407-.106-.604L.274 6.446l.74-.444 1.214-.729c.278-.111.348-.235.306-.531l.04-2.28.853.136 1.396.223c.286.091.422.043.579-.211L6.896.889l.566.652.93 1.071c.156.253.289.3.575.209l2.254-.359.014.865.023 1.415c-.043.296.029.418.306.531l1.955 1.173-.543.671-.893 1.102c-.223.198-.246.338-.106.602zm-1.058-1.548l.348-.429-.475-.285c-.539-.379-.975-1.133-1.034-1.791l-.009-.552-.546.087c-.656.055-1.477-.242-1.945-.711l-.362-.415-.362.417c-.469.468-1.285.764-1.941.709l-.549-.087-.01.552c-.058.658-.492 1.41-1.032 1.791l-.476.285.349.43c.379.543.528 1.399.36 2.034l-.182.525.544.106c.638.171 1.303.73 1.584 1.327l.198.517.483-.269c.597-.276 1.468-.277 2.066-.001l.486.27.198-.516c.28-.598.949-1.158 1.586-1.328l.541-.106-.18-.524c-.17-.636-.019-1.494.36-2.036z"
  })));
}

var _path$m, _path2$5;
function _extends$o() { _extends$o = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$o.apply(this, arguments); }
function SvgIconStarLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$o({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$m || (_path$m = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M10.993 7.986l-.586 1.41a1.7 1.7 0 01-1.434 1.041l-1.522.122 1.16.993a1.7 1.7 0 01.547 1.686l-.354 1.485 1.303-.796a1.7 1.7 0 011.772 0l1.303.796-.354-1.485a1.7 1.7 0 01.547-1.686l1.16-.993-1.522-.122a1.7 1.7 0 01-1.434-1.042l-.586-1.41zm.923-1.556c-.341-.821-1.505-.821-1.846 0L9.068 8.839a.25.25 0 01-.211.153l-2.6.208c-.887.071-1.247 1.178-.571 1.757l1.981 1.697a.25.25 0 01.08.248l-.605 2.537c-.206.865.735 1.55 1.494 1.085l2.227-1.36a.25.25 0 01.26 0l2.227 1.36c.759.464 1.7-.22 1.494-1.085l-.606-2.537a.25.25 0 01.08-.248l1.982-1.697c.675-.58.316-1.686-.57-1.757l-2.601-.208a.25.25 0 01-.21-.153L11.915 6.43z"
  })), _path2$5 || (_path2$5 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M10.268 1.935a.725.725 0 011.45 0v1.55a.725.725 0 01-1.45 0v-1.55zM20.4 10.269a.725.725 0 010 1.45h-1.55a.725.725 0 010-1.45h1.55zM17.224 3.733a.725.725 0 111.026 1.025l-1.096 1.096a.725.725 0 11-1.026-1.025l1.096-1.096zM19.007 17.232a.725.725 0 01-1.026 1.026l-1.096-1.096a.725.725 0 111.026-1.026l1.096 1.096zM10.268 18.503a.725.725 0 011.45 0v1.55a.725.725 0 11-1.45 0v-1.55zM3.135 10.269a.725.725 0 010 1.45h-1.55a.725.725 0 010-1.45h1.55zM4.078 16.136a.725.725 0 011.025 1.026l-1.096 1.096a.725.725 0 01-1.025-1.026l1.096-1.096zM5.857 4.829A.725.725 0 114.83 5.854L3.735 4.758a.725.725 0 011.026-1.025l1.096 1.096z"
  })));
}

var _path$l;
function _extends$n() { _extends$n = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$n.apply(this, arguments); }
function SvgIconTableSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$n({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$l || (_path$l = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M12.688 1H1.312C.589 1 0 1.588 0 2.313v9.624c0 .725.588 1.313 1.313 1.313h11.374c.725 0 1.313-.588 1.313-1.313V2.313C14 1.587 13.412 1 12.687 1zM6.5 11.675H1.25V8.75H6.5v2.925zm0-4.55H1.25V4.15H6.5v2.975zm6.25 4.55H7.5V8.75h5.25v2.925zm0-4.55H7.5V4.15h5.25v2.975z",
    fillRule: "evenodd"
  })));
}

var _path$k, _rect$2, _rect2, _rect3, _path2$4;
function _extends$m() { _extends$m = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$m.apply(this, arguments); }
function SvgIconTrashCanLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$m({
    width: 22,
    height: 22,
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$k || (_path$k = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M16.431 7.178h1.035L17 18.5a1.438 1.438 0 01-.482.991 1.6 1.6 0 01-1.069.404H6.552a1.6 1.6 0 01-1.07-.404A1.438 1.438 0 015 18.5L4.534 7.178h1.035l.465 11.27a.483.483 0 00.161.331.53.53 0 00.357.134h8.897a.525.525 0 00.356-.134.481.481 0 00.161-.33l.465-11.271zm1.237-.194l-.009.202-.465 11.325a1.757 1.757 0 01-.547 1.125 1.913 1.913 0 01-1.199.453H6.552a1.915 1.915 0 01-1.2-.454 1.758 1.758 0 01-.546-1.127L4.332 6.984h1.423l.008.186.465 11.268c-.003.088.023.14.097.197a.256.256 0 00.227.084h8.897a.255.255 0 00.226-.084c.074-.057.099-.106.097-.194l.473-11.457h1.423zM16.16 18.457a.82.82 0 01-.226.466.86.86 0 01-.486.184H6.552a.864.864 0 01-.487-.184.81.81 0 01-.224-.464L5.383 7.372h-.646l.457 11.12c.011.34.151.625.418.855.258.241.576.36.939.354h8.898c.363.006.681-.113.939-.354.266-.23.407-.518.418-.857l.457-11.118h-.646l-.457 11.085z"
  })), _rect$2 || (_rect$2 = /*#__PURE__*/React__namespace.createElement("rect", {
    width: 1.2,
    height: 9.217,
    rx: 0.4,
    transform: "rotate(-2.451 200.602 -177.387) skewX(-.148)"
  })), _rect2 || (_rect2 = /*#__PURE__*/React__namespace.createElement("rect", {
    x: 10.4,
    y: 8.389,
    width: 1.2,
    height: 9.188,
    rx: 0.4
  })), _rect3 || (_rect3 = /*#__PURE__*/React__namespace.createElement("rect", {
    width: 1.2,
    height: 9.217,
    rx: 0.4,
    transform: "rotate(2.511 -184.365 301.642) skewX(.151)"
  })), _path2$4 || (_path2$4 = /*#__PURE__*/React__namespace.createElement("path", {
    clipRule: "evenodd",
    d: "M6.423 4.018a2 2 0 012-2h5.156a2 2 0 012 2v.594h2.661a.45.45 0 01.45.45v.51a.45.45 0 01-.45.45H3.76a.45.45 0 01-.45-.45v-.51a.45.45 0 01.45-.45h2.663v-.594zm2.013-.582a.6.6 0 00-.6.6v.568h6.328v-.568a.6.6 0 00-.6-.6H8.436z"
  })));
}

var _path$j;
function _extends$l() { _extends$l = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$l.apply(this, arguments); }
function SvgIconTrashCanSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$l({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$j || (_path$j = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M9.304 1.4v.459h3.286a.925.925 0 110 1.851h-.44l-.748 9.006A1.4 1.4 0 0110.007 14H3.815a1.4 1.4 0 01-1.395-1.284L1.67 3.71h-.274a.926.926 0 110-1.851h3.088V1.4a1.4 1.4 0 011.4-1.4h2.02a1.4 1.4 0 011.4 1.4zm-1.26-.28H5.762v.723h2.282V1.12zM4.408 11.755A.502.502 0 005.41 11.7l-.34-6.284a.502.502 0 10-1.004.054l.34 6.285zm2.371.45a.502.502 0 00.502-.502V5.435a.502.502 0 00-1.004 0v6.268c0 .277.225.501.502.501zm1.845.008a.502.502 0 00.526-.475l.34-6.285A.502.502 0 008.489 5.4l-.34 6.285a.502.502 0 00.476.529z"
  })));
}

var _path$i;
function _extends$k() { _extends$k = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$k.apply(this, arguments); }
function SvgIconTreeDendogramLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$k({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$i || (_path$i = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M19.078 5.798a1.283 1.283 0 10-1.061-2.005H11a.722.722 0 00-.722.722V7.12H7.15a.722.722 0 00-.722.722v3.793H4.056a1.282 1.282 0 00-2.344.722 1.283 1.283 0 002.344.722h2.372v4.269c0 .399.323.722.722.722h10.867a1.282 1.282 0 002.344-.722 1.283 1.283 0 00-2.344-.722H7.872V8.564h2.406v2.13c0 .398.323.721.722.721h7.017a1.282 1.282 0 002.344-.721 1.283 1.283 0 00-2.344-.722h-6.295V5.236h6.295c.23.34.62.562 1.06.562z"
  })));
}

var _path$h;
function _extends$j() { _extends$j = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$j.apply(this, arguments); }
function SvgIconTreeHorizontalLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$j({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$h || (_path$h = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M17.219 15.836c.779 0 1.39.608 1.39 1.383a1.38 1.38 0 01-1.39 1.397 1.402 1.402 0 01-1.404-1.397c0-.775.617-1.383 1.404-1.383zM4.796 12.399c-.78 0-1.39-.613-1.39-1.396 0-.777.61-1.384 1.39-1.384.787 0 1.404.607 1.404 1.384 0 .77-.63 1.396-1.404 1.396zm12.423-9.016c.779 0 1.39.614 1.39 1.397 0 .776-.611 1.383-1.39 1.383-.787 0-1.404-.607-1.404-1.383 0-.77.629-1.397 1.404-1.397zm0 6.236c.779 0 1.39.607 1.39 1.384 0 .783-.611 1.396-1.39 1.396a1.401 1.401 0 01-1.404-1.396c0-.777.617-1.384 1.404-1.384zM14.52 11.77c.316 1.212 1.474 2.15 2.699 2.15 1.5 0 2.821-1.419 2.821-2.917 0-1.5-1.322-2.923-2.821-2.923-1.231 0-2.389.95-2.699 2.17h-2.73V5.6h2.75c.335 1.18 1.482 2 2.679 2 1.5 0 2.821-1.32 2.821-2.82 0-1.498-1.322-2.82-2.821-2.82-1.241 0-2.42.886-2.709 2.12h-3.488a.977.977 0 00-.57.23c-.128.123-.2.352-.202.54v5.4H7.49c-.31-1.22-1.464-2.17-2.694-2.17-1.507 0-2.836 1.42-2.836 2.923 0 1.462 1.367 2.917 2.836 2.917 1.225 0 2.378-.938 2.694-2.15h2.76v5.4c.006.361.41.75.77.75h3.49c.29 1.231 1.47 2.12 2.709 2.12 1.5 0 2.821-1.322 2.821-2.821S18.718 14.4 17.219 14.4c-1.197 0-2.344.82-2.679 2h-2.75v-4.63h2.73z"
  })));
}

var _path$g, _path2$3;
function _extends$i() { _extends$i = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$i.apply(this, arguments); }
function SvgIconTreeHorizontalPrivateLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$i({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$g || (_path$g = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.568 14.575H8.847v-4.4h2.738a2.46 2.46 0 002.387 1.856c1.405 0 2.528-1.1 2.528-2.475s-1.123-2.475-2.528-2.475a2.46 2.46 0 00-2.387 1.856H8.847v-4.4h2.738c.281 1.1 1.264 1.788 2.387 1.788 1.405 0 2.528-1.1 2.528-2.475s-1.123-2.475-2.528-2.475c-1.123 0-2.176.825-2.387 1.925h-3.3c-.14 0-.28.069-.421.206-.14.138-.21.275-.21.413v5.018h-2.74a2.46 2.46 0 00-2.386-1.856C1.123 7.081 0 8.181 0 9.556v.069c.07 1.306 1.194 2.406 2.528 2.406a2.46 2.46 0 002.387-1.856h2.738v5.019c0 .343.281.618.632.618h3.721c.07-.48.281-.824.562-1.237zm1.404-6.256c.703 0 1.264.55 1.264 1.237 0 .688-.562 1.307-1.264 1.307s-1.263-.55-1.263-1.307c-.07-.687.491-1.237 1.263-1.237zm0-5.707c.703 0 1.264.55 1.264 1.307 0 .687-.562 1.237-1.264 1.237s-1.263-.55-1.263-1.237c-.07-.688.561-1.307 1.263-1.307zm-11.515 8.25c-.702 0-1.263-.55-1.263-1.306 0-.687.561-1.237 1.263-1.237.703 0 1.334.55 1.334 1.237 0 .688-.631 1.307-1.334 1.307z",
    fill: "#CCC"
  })), _path2$3 || (_path2$3 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M16.844 11.688A5.15 5.15 0 0122 16.843C22 19.663 19.663 22 16.844 22c-2.819 0-5.157-2.337-5.157-5.156 0-2.819 2.338-5.157 5.157-5.157zm0 1.787c-.963 0-1.788.825-1.788 1.787v.62a.616.616 0 00-.618.618v2.406c0 .344.274.619.618.619h3.575a.616.616 0 00.619-.619V16.5a.616.616 0 00-.619-.619v-.619c0-.962-.825-1.787-1.787-1.787zm0 3.438c.275 0 .481.206.412.412 0 .206-.069.344-.206.413v.618c0 .138-.069.206-.206.206-.138 0-.207-.068-.207-.206v-.619c-.137-.137-.206-.274-.206-.412 0-.206.138-.412.413-.412zm0-2.82c.687 0 1.237.55 1.168 1.238v.619h-2.406v-.619c0-.687.55-1.237 1.238-1.237z"
  })));
}

var _path$f, _path2$2;
function _extends$h() { _extends$h = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$h.apply(this, arguments); }
function SvgIconTreeHorizontalPublicLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$h({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$f || (_path$f = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.779 14.575H8.847v-4.4h2.738a2.46 2.46 0 002.387 1.856c1.405 0 2.528-1.1 2.528-2.475s-1.123-2.475-2.528-2.475a2.46 2.46 0 00-2.387 1.856H8.847v-4.4h2.738c.281 1.1 1.264 1.788 2.387 1.788 1.405 0 2.528-1.1 2.528-2.475s-1.123-2.475-2.528-2.475c-1.123 0-2.176.825-2.387 1.925h-3.3c-.14 0-.28.069-.421.206-.14.138-.21.275-.21.413v5.018h-2.74a2.46 2.46 0 00-2.386-1.856C1.123 7.081 0 8.181 0 9.556v.069c.07 1.306 1.194 2.406 2.528 2.406a2.46 2.46 0 002.387-1.856h2.738v5.019c0 .343.281.618.632.618h3.932c.07-.48.28-.893.562-1.237zm1.193-6.256c.703 0 1.264.55 1.264 1.237 0 .688-.562 1.307-1.264 1.307s-1.263-.55-1.263-1.307c-.07-.687.491-1.237 1.263-1.237zm0-5.707c.703 0 1.264.55 1.264 1.307 0 .687-.562 1.237-1.264 1.237s-1.263-.55-1.263-1.237c-.07-.688.561-1.307 1.263-1.307zm-11.515 8.25c-.702 0-1.263-.55-1.263-1.306 0-.687.561-1.237 1.263-1.237.703 0 1.334.55 1.334 1.237 0 .688-.631 1.307-1.334 1.307z",
    fill: "#CCC"
  })), _path2$2 || (_path2$2 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M17.255 11.707c-3.15-.274-5.822 2.397-5.548 5.548.205 2.465 2.192 4.52 4.726 4.726 3.15.274 5.822-2.398 5.548-5.548-.206-2.534-2.192-4.59-4.726-4.726zm.616.685l.617.205c.137.069.205.137.342.137a4.47 4.47 0 011.438 1.096s.069.069.069.137v.274c0 .069-.069.137-.069.206 0 .137.137.205.206.205h.274c.068 0 .137.069.137.137.068.137.137.274.137.343.205.479.274.958.342 1.506 0 .069 0 .137-.068.206a1.491 1.491 0 00-.274.342c-.137.274-.274.685-.48.89-.137.138-.274.275-.274.412-.068.137 0 .274-.068.342 0 .069-.069.069-.137 0-.206-.274-.274-.548-.343-.822-.068-.205-.068-.41-.137-.685a1.065 1.065 0 00-.41-.548c-.206-.137-.48-.068-.685-.137-.274 0-.48-.068-.685-.274a.52.52 0 01-.137-.274c-.137-.548.205-1.164.685-1.438.068-.068.137-.068.205-.137.137-.137.206-.274.137-.48 0-.068-.069-.068-.069-.068-.136.069-.273.069-.342.137-.068 0-.137 0-.137-.068 0-.206 0-.411.069-.685.068-.274.137-.48 0-.685 0-.069-.069-.069-.137-.069h-.617a.534.534 0 00.274-.274c.069.137.137.069.137.069zm-2.192.068c.069 0 .069 0 .137.069.069.137.137.205.206.342.137.274.205.617.068.822-.137.274-.48.411-.753.617-.617.274-1.096.753-1.438 1.3l-.069.07c-.068 0-.068 0-.137-.07-.068-.068-.137-.068-.205-.136 0 0-.069 0-.069.068a.689.689 0 00.343.754c.068 0 .068.068.137.068.068.137 0 .274 0 .411 0 .206.274.274.41.274.206 0 .343-.137.549-.205.41-.137.821-.069 1.164.137.205.137.342.274.48.41a.778.778 0 00.547.206c.069 0 .069 0 .137.069.069.205 0 .41-.137.548-.137.205-.342.274-.48.479-.342.411-.479 1.027-.753 1.507-.068.068-.137.205-.205.274-.069.137-.069.274-.069.48 0 0 0 .068-.068.068-.069 0-.137-.069-.206-.069-.068 0-.068-.068-.068-.137a9.758 9.758 0 00-.616-1.849c-.137-.205-.274-.48-.48-.616-.068-.069-.137-.069-.137-.137v-.137a1.722 1.722 0 00-.685-1.576c-.068-.068-.205-.137-.205-.205 0-.069-.069-.206-.069-.274l-.274-.274c-.068 0-.068-.069-.068-.137.274-1.438 1.438-2.74 3.013-3.15z"
  })));
}

var _path$e;
function _extends$g() { _extends$g = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$g.apply(this, arguments); }
function SvgIconTreeHorizontalSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$g({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$e || (_path$e = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M11.517 1c.981 0 1.75.765 1.75 1.742 0 .985-.769 1.758-1.75 1.758a1.77 1.77 0 01-1.594-1H7.25v2.75h2.662c.278-.596.885-1 1.605-1 .981 0 1.75.765 1.75 1.742 0 .985-.769 1.758-1.75 1.758a1.77 1.77 0 01-1.594-1H7.25v2.75h2.662c.278-.596.885-1 1.605-1 .981 0 1.75.765 1.75 1.742 0 .985-.769 1.758-1.75 1.758a1.77 1.77 0 01-1.594-1H6.5a.75.75 0 01-.743-.648l-.007-.102v-3.5l-1.899.001a1.73 1.73 0 01-1.584.999A1.764 1.764 0 01.5 6.992c0-.977.777-1.742 1.767-1.742a1.73 1.73 0 011.59 1H5.75v-3.5a.75.75 0 01.648-.743L6.5 2h3.412c.278-.596.885-1 1.605-1z",
    fillRule: "evenodd"
  })));
}

var _path$d;
function _extends$f() { _extends$f = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$f.apply(this, arguments); }
function SvgIconTreeHorizontalTopRightFilledLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$f({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$d || (_path$d = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M17.219 15.836c.779 0 1.39.608 1.39 1.383a1.38 1.38 0 01-1.39 1.397 1.402 1.402 0 01-1.404-1.397c0-.775.617-1.383 1.404-1.383zM4.796 12.399c-.78 0-1.39-.613-1.39-1.396 0-.776.61-1.384 1.39-1.384.787 0 1.404.608 1.404 1.384 0 .77-.63 1.396-1.404 1.396zm12.423-2.78c.779 0 1.39.608 1.39 1.384 0 .783-.611 1.396-1.39 1.396a1.401 1.401 0 01-1.404-1.396c0-.776.617-1.384 1.404-1.384zM14.52 11.77c.316 1.213 1.474 2.15 2.699 2.15 1.5 0 2.821-1.419 2.821-2.917 0-1.5-1.322-2.923-2.821-2.923-1.231 0-2.389.95-2.699 2.17h-2.73V5.6h2.75c.335 1.18 1.482 2 2.679 2 1.5 0 2.821-1.32 2.821-2.82 0-1.498-1.322-2.82-2.821-2.82-1.24 0-2.42.886-2.709 2.12h-3.488a.977.977 0 00-.57.23c-.128.123-.2.352-.202.54v5.4H7.49c-.31-1.22-1.464-2.17-2.694-2.17-1.507 0-2.836 1.42-2.836 2.923 0 1.462 1.367 2.917 2.836 2.917 1.225 0 2.378-.938 2.694-2.15h2.76v5.4c.006.361.41.75.77.75h3.49c.29 1.231 1.47 2.12 2.709 2.12 1.5 0 2.821-1.322 2.821-2.821S18.718 14.4 17.219 14.4c-1.197 0-2.344.82-2.679 2h-2.75v-4.63h2.73z"
  })));
}

var _path$c;
function _extends$e() { _extends$e = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$e.apply(this, arguments); }
function SvgIconTreeVerticalSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$e({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$c || (_path$c = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M4.875 1a1.874 1.874 0 01.706 3.612l.006.01v3.146l.156-.056c.34-.113.732-.175 1.346-.237l.65-.064c.883-.098 1.252-.217 1.484-.506.135-.167.212-.425.225-.776A1.885 1.885 0 018.25 4.375a1.874 1.874 0 113.75 0c0 .825-.534 1.526-1.275 1.779l.141-.055.009.017c-.01.614-.152 1.122-.43 1.533l-.11.15c-.581.722-1.288.926-2.873 1.072l-.583.06c-.451.056-.698.116-.912.224a.687.687 0 00-.278.237l-.024.033A1.874 1.874 0 113 11.125c0-.84.55-1.55 1.313-1.79l-.114.04-.037-.081V4.622l.005-.011A1.874 1.874 0 014.875 1z",
    fillRule: "evenodd"
  })));
}

var _path$b;
function _extends$d() { _extends$d = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$d.apply(this, arguments); }
function SvgIconTriangleDownSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$d({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$b || (_path$b = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M3.09 4.2h7.82a.7.7 0 01.495 1.195l-3.91 3.91a.7.7 0 01-.99 0l-3.91-3.91A.7.7 0 013.09 4.2z"
  })));
}

var _path$a;
function _extends$c() { _extends$c = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$c.apply(this, arguments); }
function SvgIconTriangleLeftSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$c({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$a || (_path$a = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M9.8 3.09v7.82a.7.7 0 01-1.195.495l-3.91-3.91a.7.7 0 010-.99l3.91-3.91A.7.7 0 019.8 3.09z"
  })));
}

var _path$9;
function _extends$b() { _extends$b = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$b.apply(this, arguments); }
function SvgIconTriangleRightSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$b({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$9 || (_path$9 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M4.2 10.91V3.09a.7.7 0 011.195-.495l3.91 3.91a.7.7 0 010 .99l-3.91 3.91A.7.7 0 014.2 10.91z"
  })));
}

var _path$8;
function _extends$a() { _extends$a = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$a.apply(this, arguments); }
function SvgIconTriangleUpSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$a({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$8 || (_path$8 = /*#__PURE__*/React__namespace.createElement("path", {
    d: "M10.91 9.8H3.09a.7.7 0 01-.495-1.195l3.91-3.91a.7.7 0 01.99 0l3.91 3.91A.7.7 0 0110.91 9.8z"
  })));
}

var _path$7;
function _extends$9() { _extends$9 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$9.apply(this, arguments); }
function SvgIconUploadLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$9({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$7 || (_path$7 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M9.778 3.438c-2.697 0-4.957 1.95-5.5 4.542C1.872 8.29 0 10.364 0 12.896c0 2.746 2.193 4.979 4.889 4.979h.733a.73.73 0 00.644-.37.759.759 0 000-.753.73.73 0 00-.644-.37H4.89c-1.909 0-3.422-1.542-3.422-3.486 0-1.943 1.513-3.484 3.422-3.484a.739.739 0 00.733-.677C5.832 6.6 7.616 4.93 9.778 4.93c1.179 0 2.126.454 2.895 1.26a.724.724 0 00.787.18c.314-.122.799-.195 1.207-.195a3.211 3.211 0 013.185 2.823c.032.28.215.517.474.615 1.3.486 2.207 1.76 2.207 3.282 0 1.944-1.513 3.485-3.422 3.485h-.733a.73.73 0 00-.644.37.759.759 0 000 .754.73.73 0 00.644.37h.733c2.696 0 4.889-2.233 4.889-4.979 0-1.973-1.13-3.669-2.78-4.472-.447-2.147-2.328-3.742-4.553-3.742-.423 0-.859.068-1.284.179-.968-.87-2.197-1.423-3.605-1.423zm1.227 11.944a.727.727 0 00.519-.227.754.754 0 00.207-.536v-3.982l.427.497a.726.726 0 001.249-.228.757.757 0 00-.149-.76l-1.71-1.99a.728.728 0 00-1.1 0l-1.712 1.99a.757.757 0 00-.152.737.726.726 0 001.253.252l.427-.498v3.982a.753.753 0 00.212.541c.14.144.33.224.529.222zm-2.946-.51a.727.727 0 00-.519.227.754.754 0 00-.207.536v1.493a.74.74 0 00.734.747h5.866a.74.74 0 00.734-.747v-1.493a.75.75 0 00-.364-.656.722.722 0 00-.74 0 .75.75 0 00-.363.656v.746H8.8v-.746a.754.754 0 00-.212-.541.727.727 0 00-.529-.222z"
  })));
}

var _path$6;
function _extends$8() { _extends$8 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$8.apply(this, arguments); }
function SvgIconVirusLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$8({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$6 || (_path$6 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M19.136 9.733a.773.773 0 01.214-.516.755.755 0 01.517-.214c.194 0 .389.087.516.214s.21.322.215.516v2.534a.778.778 0 01-.215.516.755.755 0 01-.516.215.756.756 0 01-.517-.215.773.773 0 01-.214-.516v-.536h-1.082a6.974 6.974 0 01-1.571 3.697l.775.81.386-.385a.77.77 0 01.503-.175.76.76 0 01.489.214c.13.13.207.318.213.488a.787.787 0 01-.179.508l-.907.932-.893.893a.776.776 0 01-.515.213.774.774 0 01-.516-.213.775.775 0 01-.212-.515.78.78 0 01.212-.516l.381-.38-.793-.788a6.97 6.97 0 01-3.696 1.541v1.081h.536a.773.773 0 01.516.214.756.756 0 01.215.517.755.755 0 01-.215.516.778.778 0 01-.516.215H9.733a.778.778 0 01-.516-.215.754.754 0 01-.214-.516c0-.195.087-.39.214-.517a.773.773 0 01.516-.214h.537v-1.082a6.974 6.974 0 01-3.698-1.571l-.81.775.38.38a.775.775 0 01.212.516.778.778 0 01-.212.515.776.776 0 01-.515.213.772.772 0 01-.515-.213l-.901-.888-.877-.889a.783.783 0 01-.272-.731.787.787 0 01.554-.563.784.784 0 01.736.263l.377.377.788-.811a6.977 6.977 0 01-1.54-3.696H2.865v.536a.778.778 0 01-.215.516.756.756 0 01-.517.215.755.755 0 01-.516-.215.773.773 0 01-.214-.516V9.733a.773.773 0 01.214-.516.754.754 0 01.516-.214c.195 0 .39.087.517.214s.21.322.215.516v.537h1.112a6.98 6.98 0 011.541-3.698l-.776-.81-.38.38a.775.775 0 01-.515.212.778.778 0 01-.516-.212.776.776 0 01-.213-.515c0-.179.079-.375.213-.515l.888-.901.889-.877a.783.783 0 01.731-.272.787.787 0 01.563.554.784.784 0 01-.263.736l-.377.377.811.788a6.977 6.977 0 013.697-1.54V2.865h-.537a.778.778 0 01-.516-.215.755.755 0 01-.214-.517c0-.194.087-.389.214-.516a.773.773 0 01.516-.214h2.534a.773.773 0 01.516.214.755.755 0 01.215.516c0 .195-.088.39-.215.517a.778.778 0 01-.516.215h-.536v1.112a6.98 6.98 0 013.697 1.541l.81-.776-.379-.379a.786.786 0 01-.23-.722.788.788 0 01.54-.54.784.784 0 01.721.231l.899.886.893.893a.775.775 0 01.212.516.778.778 0 01-.212.515.775.775 0 01-.515.212.78.78 0 01-.516-.212l-.379-.379-.759.808a6.981 6.981 0 011.542 3.699h1.081zM7.038 7.038A5.563 5.563 0 005.397 11c0 1.554.622 2.942 1.641 3.962A5.563 5.563 0 0011 16.603a5.569 5.569 0 003.962-1.641A5.565 5.565 0 0016.603 11a5.563 5.563 0 00-1.641-3.962A5.563 5.563 0 0011 5.397a5.563 5.563 0 00-3.962 1.641zm.916 2.755c.326 0 .64.14.853.353.213.213.354.528.354.854 0 .326-.141.641-.354.854a1.229 1.229 0 01-.853.354c-.326 0-.641-.141-.854-.354A1.23 1.23 0 016.747 11c0-.326.14-.641.353-.854.213-.213.528-.354.854-.354zm3.284 2.391c.447 0 .871.189 1.164.481.292.293.482.717.482 1.164 0 .447-.19.871-.482 1.164a1.67 1.67 0 01-1.164.482 1.67 1.67 0 01-1.164-.482 1.67 1.67 0 01-.481-1.164c0-.447.189-.871.481-1.164a1.67 1.67 0 011.164-.481zm-.483-4.267a2.167 2.167 0 011.928-1.02 2.155 2.155 0 011.419.658c.354.375.579.899.579 1.453 0 .555-.225 1.079-.579 1.454a2.15 2.15 0 01-1.419.657 2.168 2.168 0 01-1.929-1.02 2.171 2.171 0 01.001-2.182zm1.055 1.249c.031.17.103.319.231.446.124.13.271.205.44.24a.818.818 0 00.499-.048.816.816 0 00.388-.318.817.817 0 00.143-.48.803.803 0 00-.241-.599.81.81 0 00-.593-.254.828.828 0 00-.485.135.82.82 0 00-.326.38.817.817 0 00-.056.498z"
  })));
}

var _path$5;
function _extends$7() { _extends$7 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$7.apply(this, arguments); }
function SvgIconXMarkCircleSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$7({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$5 || (_path$5 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7 0a7 7 0 110 14A7 7 0 017 0zm0 1.707A5.3 5.3 0 001.707 7 5.3 5.3 0 007 12.293 5.3 5.3 0 0012.293 7 5.3 5.3 0 007 1.707zm.845 3.24a.854.854 0 011.284 1.12l-.077.088L8.207 7l.845.845c.278.278.324.7.14 1.025l-.063.095-.077.087a.854.854 0 01-1.12.077l-.087-.077L7 8.207l-.845.845a.854.854 0 01-1.025.14l-.095-.063-.087-.077a.854.854 0 01-.077-1.12l.077-.087L5.793 7l-.845-.845a.854.854 0 01-.14-1.025l.063-.095.077-.087a.854.854 0 011.12-.077l.087.077.845.845.845-.845z"
  })));
}

var _path$4;
function _extends$6() { _extends$6 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$6.apply(this, arguments); }
function SvgIconXMarkLarge(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$6({
    width: 22,
    height: 22,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$4 || (_path$4 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.001 12.416l6.24 6.24a1 1 0 001.415-1.415l-6.24-6.24 6.24-6.24a1 1 0 00-1.415-1.414l-6.24 6.24-6.24-6.24a1 1 0 00-1.414 1.414l6.24 6.24-6.24 6.24a1 1 0 101.414 1.415l6.24-6.24z"
  })));
}

var _path$3;
function _extends$5() { _extends$5 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$5.apply(this, arguments); }
function SvgIconXMarkSmall(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$5({
    width: 14,
    height: 14,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$3 || (_path$3 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.688 1.309a.875.875 0 00-1.237 0L6.998 5.76 2.546 1.31A.875.875 0 101.31 2.546L5.76 6.998 1.31 11.451a.875.875 0 101.237 1.237l4.452-4.453 4.453 4.453a.875.875 0 101.237-1.237L8.235 6.998l4.453-4.452a.875.875 0 000-1.237z"
  })));
}

var iconMap = {
    bacteria: {
        largeIcon: SvgIconBacteriaLarge,
        smallIcon: SvgIconBacteriaSmall,
    },
    barChartHorizontal3: {
        largeIcon: null,
        smallIcon: SvgIconBarChartHorizontal3Small,
    },
    barChartVertical3: {
        largeIcon: null,
        smallIcon: SvgIconBarChartVertical3Small,
    },
    barChartVertical4: {
        largeIcon: null,
        smallIcon: SvgIconBarChartVertical4Small,
    },
    book: {
        largeIcon: SvgIconBookLarge,
        smallIcon: null,
    },
    check: {
        largeIcon: null,
        smallIcon: SvgIconCheckSmall,
    },
    checkCircle: {
        largeIcon: SvgIconCheckCircleLarge,
        smallIcon: SvgIconCheckCircleSmall,
    },
    chevronDown: {
        largeIcon: SvgIconChevronDownLarge,
        smallIcon: SvgIconChevronDownSmall,
    },
    chevronLeft: {
        largeIcon: SvgIconChevronLeftLarge,
        smallIcon: SvgIconChevronLeftSmall,
    },
    chevronRight: {
        largeIcon: SvgIconChevronRightLarge,
        smallIcon: SvgIconChevronRightSmall,
    },
    chevronUp: {
        largeIcon: SvgIconChevronUpLarge,
        smallIcon: SvgIconChevronUpSmall,
    },
    circlesOverlap: {
        largeIcon: SvgIconCirclesOverlapLarge,
        smallIcon: SvgIconCirclesOverlapSmall,
    },
    compass: {
        largeIcon: SvgIconCompassLarge,
        smallIcon: null,
    },
    copy: {
        largeIcon: SvgIconCopyLarge,
        smallIcon: SvgIconCopySmall,
    },
    dna: {
        largeIcon: SvgIconDnaLarge,
        smallIcon: null,
    },
    document: {
        largeIcon: null,
        smallIcon: SvgIconDocumentSmall,
    },
    dotsHorizontal: {
        largeIcon: SvgIconDotsHorizontal3Large,
        smallIcon: SvgIconDotsHorizontal3Small,
    },
    download: {
        largeIcon: SvgIconDownloadLarge,
        smallIcon: SvgIconDownloadSmall,
    },
    edit: {
        largeIcon: SvgIconEditLarge,
        smallIcon: SvgIconEditSmall,
    },
    exclamationMarkCircle: {
        largeIcon: SvgIconExclamationMarkCircleLarge,
        smallIcon: SvgIconExclamationMarkCircleSmall,
    },
    exclamationMarkSpeechBubble: {
        largeIcon: SvgIconExclamationmarkSpeechBubbleLarge,
        smallIcon: null,
    },
    eyeClosed: {
        largeIcon: null,
        smallIcon: SvgIconEyeClosedSmall,
    },
    eyeOpen: {
        largeIcon: null,
        smallIcon: SvgIconEyeOpenSmall,
    },
    filter: {
        largeIcon: null,
        smallIcon: SvgIconFilterSmall,
    },
    flagCheck: {
        largeIcon: null,
        smallIcon: SvgIconFlagCheckSmall,
    },
    flagOutline: {
        largeIcon: null,
        smallIcon: SvgIconFlagOutlineSmall,
    },
    flagQuestionmark: {
        largeIcon: null,
        smallIcon: SvgIconFlagQuestionmarkSmall,
    },
    flagXmark: {
        largeIcon: null,
        smallIcon: SvgIconFlagXmarkSmall,
    },
    flask: {
        largeIcon: SvgIconFlaskLarge,
        smallIcon: null,
    },
    flaskPrivate: {
        largeIcon: SvgIconFlaskPrivateLarge,
        smallIcon: null,
    },
    flaskPublic: {
        largeIcon: SvgIconFlaskPublicLarge,
        smallIcon: null,
    },
    gear: {
        largeIcon: null,
        smallIcon: SvgIconGearSmall,
    },
    globe: {
        largeIcon: null,
        smallIcon: SvgIconGlobeSmall,
    },
    globeBasic: {
        largeIcon: SvgIconGlobeBasicLarge,
        smallIcon: null,
    },
    grid: {
        largeIcon: SvgIconGridLarge,
        smallIcon: null,
    },
    gridPrivate: {
        largeIcon: SvgIconGridPrivateLarge,
        smallIcon: null,
    },
    gridPublic: {
        largeIcon: SvgIconGridPublicLarge,
        smallIcon: null,
    },
    house: {
        largeIcon: null,
        smallIcon: SvgIconHouseSmall,
    },
    infoCircle: {
        largeIcon: SvgIconInfoCircleLarge,
        smallIcon: SvgIconInfoCircleSmall,
    },
    infoSpeechBubble: {
        largeIcon: SvgIconInfoSpeechBubbleLarge,
        smallIcon: null,
    },
    lifeRing: {
        largeIcon: null,
        smallIcon: SvgIconLifeRingSmall,
    },
    lightBulb: {
        largeIcon: SvgIconLightBulbLarge,
        smallIcon: SvgIconLightBulbSmall,
    },
    linesDashed3Solid1: {
        largeIcon: null,
        smallIcon: SvgIconLinesDashed3Solid1Small,
    },
    linesHorizontal: {
        largeIcon: SvgIconLinesHorizontalLarge,
        smallIcon: SvgIconLinesHorizontalSmall,
    },
    link: {
        largeIcon: null,
        smallIcon: SvgIconLinkSmall,
    },
    list: {
        largeIcon: null,
        smallIcon: SvgIconListSmall,
    },
    loading: {
        largeIcon: SvgIconLoadingLarge,
        smallIcon: SvgIconLoadingSmall,
    },
    lock: {
        largeIcon: SvgIconLockLarge,
        smallIcon: SvgIconLockSmall,
    },
    lockCircle: {
        largeIcon: null,
        smallIcon: SvgIconLockCircleSmall,
    },
    minus: {
        largeIcon: null,
        smallIcon: SvgIconMinusSmall,
    },
    open: {
        largeIcon: null,
        smallIcon: SvgIconOpenSmall,
    },
    people: {
        largeIcon: SvgIconPeopleLarge,
        smallIcon: SvgIconPeopleSmall,
    },
    percentage: {
        largeIcon: null,
        smallIcon: SvgIconPercentageSmall,
    },
    person: {
        largeIcon: SvgIconPersonLarge,
        smallIcon: SvgIconPersonSmall,
    },
    pin: {
        largeIcon: null,
        smallIcon: SvgIconPinSmall,
    },
    pinLocation: {
        largeIcon: null,
        smallIcon: SvgIconPinLocationSmall,
    },
    play: {
        largeIcon: SvgIconPlayLarge,
        smallIcon: null,
    },
    plus: {
        largeIcon: null,
        smallIcon: SvgIconPlusSmall,
    },
    plusCircle: {
        largeIcon: null,
        smallIcon: SvgIconPlusCircleSmall,
    },
    projectPrivate: {
        largeIcon: SvgIconProjectPrivateLarge,
        smallIcon: null,
    },
    projectPublic: {
        largeIcon: SvgIconProjectPublicLarge,
        smallIcon: null,
    },
    puzzlePiece: {
        largeIcon: null,
        smallIcon: SvgIconPuzzlePieceSmall,
    },
    questionMark: {
        largeIcon: SvgIconQuestionMarkLarge,
        smallIcon: null,
    },
    refresh: {
        largeIcon: SvgIconRefreshLarge,
        smallIcon: SvgIconRefreshSmall,
    },
    save: {
        largeIcon: SvgIconSaveLarge,
        smallIcon: null,
    },
    search: {
        largeIcon: SvgIconSearchLarge,
        smallIcon: SvgIconSearchSmall,
    },
    searchLinesHorizontal: {
        largeIcon: SvgIconSearchLinesHorizontalLarge,
        smallIcon: SvgIconSearchLinesHorizontalSmall,
    },
    share: {
        largeIcon: SvgIconShareLarge,
        smallIcon: null,
    },
    slidersHorizontal: {
        largeIcon: SvgIconSlidersHorizontalLarge,
        smallIcon: null,
    },
    speechBubbles: {
        largeIcon: SvgIconSpeechBubblesLarge,
        smallIcon: null,
    },
    squareOnDashedSquare: {
        largeIcon: SvgIconSquareOnDashedSquareLarge,
        smallIcon: null,
    },
    star: {
        largeIcon: SvgIconStarLarge,
        smallIcon: null,
    },
    starburst: {
        largeIcon: null,
        smallIcon: SvgIconStarburstSmall,
    },
    table: {
        largeIcon: null,
        smallIcon: SvgIconTableSmall,
    },
    trashCan: {
        largeIcon: SvgIconTrashCanLarge,
        smallIcon: SvgIconTrashCanSmall,
    },
    treeDendogram: {
        largeIcon: SvgIconTreeDendogramLarge,
        smallIcon: null,
    },
    treeHorizontal: {
        largeIcon: SvgIconTreeHorizontalLarge,
        smallIcon: SvgIconTreeHorizontalSmall,
    },
    treeHorizontalPrivate: {
        largeIcon: SvgIconTreeHorizontalPrivateLarge,
        smallIcon: null,
    },
    treeHorizontalPublic: {
        largeIcon: SvgIconTreeHorizontalPublicLarge,
        smallIcon: null,
    },
    treeHorizontalTopRightFilled: {
        largeIcon: SvgIconTreeHorizontalTopRightFilledLarge,
        smallIcon: null,
    },
    treeVertical: {
        largeIcon: null,
        smallIcon: SvgIconTreeVerticalSmall,
    },
    triangleDown: {
        largeIcon: null,
        smallIcon: SvgIconTriangleDownSmall,
    },
    triangleLeft: {
        largeIcon: null,
        smallIcon: SvgIconTriangleLeftSmall,
    },
    triangleRight: {
        largeIcon: null,
        smallIcon: SvgIconTriangleRightSmall,
    },
    triangleUp: {
        largeIcon: null,
        smallIcon: SvgIconTriangleUpSmall,
    },
    upload: {
        largeIcon: SvgIconUploadLarge,
        smallIcon: null,
    },
    virus: {
        largeIcon: SvgIconVirusLarge,
        smallIcon: null,
    },
    xMark: {
        largeIcon: SvgIconXMarkLarge,
        smallIcon: SvgIconXMarkSmall,
    },
    xMarkCircle: {
        largeIcon: null,
        smallIcon: SvgIconXMarkCircleSmall,
    },
};

/**
 * @see https://mui.com/material-ui/icons/#svgicon
 */
function iconSize(props) {
    var _a, _b;
    var sdsSize = props.sdsSize;
    var iconSizes = getIconSizes(props);
    return react.css(templateObject_1$O || (templateObject_1$O = __makeTemplateObject(["\n    height: ", "px;\n    width: ", "px;\n  "], ["\n    height: ", "px;\n    width: ", "px;\n  "])), (_a = iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes[sdsSize]) === null || _a === void 0 ? void 0 : _a.height, (_b = iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes[sdsSize]) === null || _b === void 0 ? void 0 : _b.width);
}
function buttonStyle() {
    return react.css(templateObject_2$v || (templateObject_2$v = __makeTemplateObject(["\n    color: inherit;\n  "], ["\n    color: inherit;\n  "])));
}
function staticStyle(props) {
    var _a = props.iconColor, iconColor = _a === void 0 ? "primary" : _a, _b = props.shade, shade = _b === void 0 ? 400 : _b;
    var colors = getColors(props);
    return react.css(templateObject_3$n || (templateObject_3$n = __makeTemplateObject(["\n    color: ", ";\n  "], ["\n    color: ", ";\n  "])), colors === null || colors === void 0 ? void 0 : colors[iconColor][shade]);
}
function interactive(props) {
    var colors = getColors(props);
    var _a = props.iconColor, iconColor = _a === void 0 ? "primary" : _a, _b = props.shade, shade = _b === void 0 ? 400 : _b;
    return react.css(templateObject_4$i || (templateObject_4$i = __makeTemplateObject(["\n    color: ", ";\n\n    &:hover {\n      color: ", ";\n    }\n\n    &:active {\n      color: ", ";\n    }\n\n    &:disabled {\n      color: ", ";\n    }\n  "], ["\n    color: ", ";\n\n    &:hover {\n      color: ", ";\n    }\n\n    &:active {\n      color: ", ";\n    }\n\n    &:disabled {\n      color: ", ";\n    }\n  "])), colors === null || colors === void 0 ? void 0 : colors.gray[500], colors === null || colors === void 0 ? void 0 : colors.gray[600], colors === null || colors === void 0 ? void 0 : colors[iconColor][shade], colors === null || colors === void 0 ? void 0 : colors.gray[300]);
}
var doNotForwardProps$j = ["sdsIcon", "sdsSize", "sdsType", "iconColor"];
var StyledSvgIcon = styles.styled(material.SvgIcon, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$j.includes(prop); },
})(templateObject_6$c || (templateObject_6$c = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var sdsType = props.sdsType;
    return react.css(templateObject_5$f || (templateObject_5$f = __makeTemplateObject(["\n      ", "\n      ", "\n      ", "\n      ", "\n    "], ["\n      ", "\n      ", "\n      ", "\n      ", "\n    "])), sdsType !== "iconButton" && iconSize(props), sdsType === "static" && staticStyle(props), sdsType === "interactive" && interactive(props), sdsType === "button" && buttonStyle());
});
var StyledIcon = styles.styled("div")(templateObject_7$a || (templateObject_7$a = __makeTemplateObject(["\n  /* display: contents causes an element's children to appear as if they were direct children of the element's parent, ignoring the element itself. This can be useful when a wrapper element should be ignored when using CSS grid or similar layout techniques. */\n  display: contents;\n"], ["\n  /* display: contents causes an element's children to appear as if they were direct children of the element's parent, ignoring the element itself. This can be useful when a wrapper element should be ignored when using CSS grid or similar layout techniques. */\n  display: contents;\n"])));
var templateObject_1$O, templateObject_2$v, templateObject_3$n, templateObject_4$i, templateObject_5$f, templateObject_6$c, templateObject_7$a;

/**
 * @see https://mui.com/material-ui/icons/#icons
 */
var Icon = React.forwardRef(function Icon(_a, ref) {
    var _b;
    var className = _a.className, color = _a.color, shade = _a.shade, sdsIcon = _a.sdsIcon, sdsSize = _a.sdsSize, sdsType = _a.sdsType;
    var icon = (_b = iconMap[sdsIcon]) !== null && _b !== void 0 ? _b : {};
    var largeIcon = icon.largeIcon, smallIcon = icon.smallIcon;
    if ((sdsSize === "xs" || sdsSize === "s") && smallIcon) {
        return (React__default["default"].createElement(StyledIcon, { ref: ref },
            React__default["default"].createElement(StyledSvgIcon, { iconColor: color, shade: shade, className: className, fillcontrast: "white", viewBox: "0 0 14 14", component: smallIcon, sdsSize: sdsSize, sdsType: sdsType, sdsIcon: sdsIcon })));
    }
    if ((sdsSize === "l" || sdsSize === "xl") && largeIcon) {
        return (React__default["default"].createElement(StyledIcon, { ref: ref },
            React__default["default"].createElement(StyledSvgIcon, { iconColor: color, shade: shade, className: className, fillcontrast: "white", viewBox: "0 0 22 22", component: largeIcon, sdsSize: sdsSize, sdsType: sdsType, sdsIcon: sdsIcon })));
    }
    // eslint-disable-next-line no-console
    console.error("Error: Icon ".concat(sdsIcon, " not found for size ").concat(sdsSize, ". This is a czifui problem."));
    return null;
});

var StyledAccordionHeader = styles.styled(material.AccordionSummary)(templateObject_2$u || (templateObject_2$u = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontHeaderS, function (props) {
    var spaces = getSpaces(props);
    var colors = getColors(props);
    return react.css(templateObject_1$N || (templateObject_1$N = __makeTemplateObject(["\n      padding: ", "px;\n      min-height: 40px;\n      align-items: flex-start;\n      box-sizing: border-box;\n\n      &.Mui-expanded {\n        min-height: 40px;\n      }\n\n      .MuiAccordionSummary-content {\n        margin: 0;\n        flex-direction: column;\n\n        &.Mui-expanded {\n          margin: 0;\n        }\n      }\n\n      .MuiAccordionSummary-expandIconWrapper {\n        padding: 0px;\n        margin-right: 0;\n        margin-left: ", "px;\n        svg {\n          color: ", ";\n        }\n      }\n    "], ["\n      padding: ", "px;\n      min-height: 40px;\n      align-items: flex-start;\n      box-sizing: border-box;\n\n      &.Mui-expanded {\n        min-height: 40px;\n      }\n\n      .MuiAccordionSummary-content {\n        margin: 0;\n        flex-direction: column;\n\n        &.Mui-expanded {\n          margin: 0;\n        }\n      }\n\n      .MuiAccordionSummary-expandIconWrapper {\n        padding: 0px;\n        margin-right: 0;\n        margin-left: ", "px;\n        svg {\n          color: ", ";\n        }\n      }\n    "])), spaces === null || spaces === void 0 ? void 0 : spaces.m, spaces === null || spaces === void 0 ? void 0 : spaces.m, colors === null || colors === void 0 ? void 0 : colors.gray[500]);
});
var StyledSubtitle = styles.styled("p")(templateObject_4$h || (templateObject_4$h = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyXxs$1, function (props) {
    var colors = getColors(props);
    return react.css(templateObject_3$m || (templateObject_3$m = __makeTemplateObject(["\n      color: ", ";\n      margin: 0;\n    "], ["\n      color: ", ";\n      margin: 0;\n    "])), colors === null || colors === void 0 ? void 0 : colors.gray[500]);
});
var templateObject_1$N, templateObject_2$u, templateObject_3$m, templateObject_4$h;

var AccordionHeader = function (props) {
    var children = props.children, id = props.id, subtitle = props.subtitle;
    return (React__default["default"].createElement(StyledAccordionHeader, { "aria-controls": "".concat(id, "-panel-content"), id: id, expandIcon: React__default["default"].createElement(Icon, { sdsIcon: "chevronDown", sdsSize: "s", sdsType: "static" }) },
        children,
        subtitle && React__default["default"].createElement(StyledSubtitle, null, subtitle)));
};

var sdsPropNames$5 = ["useDivider", "togglePosition"];
var StyledAccordion = styles.styled(material.Accordion, {
    shouldForwardProp: function (prop) {
        return !sdsPropNames$5.includes(prop.toString());
    },
})(templateObject_2$t || (templateObject_2$t = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var useDivider = props.useDivider, togglePosition = props.togglePosition;
    var shadows = getShadows(props);
    var typography = getTypography(props);
    var border = getBorders(props);
    return react.css(templateObject_1$M || (templateObject_1$M = __makeTemplateObject(["\n      &.MuiAccordion-root {\n        box-shadow: ", ";\n        font-family: ", ";\n        border-bottom: ", ";\n        height: fit-content;\n\n        & .MuiAccordionSummary-root {\n          padding: 10px;\n          min-height: 40px;\n\n          &.Mui-expanded {\n            min-height: unset;\n          }\n\n          & .MuiAccordionSummary-expandIcon,\n          & .MuiAccordionSummary-expandIconWrapper {\n            padding: 0;\n            align-self: flex-start;\n          }\n        }\n\n        .MuiAccordionDetails-root {\n          padding: 10px;\n          padding-top: 4px;\n        }\n\n        &:before {\n          opacity: 0;\n        }\n\n        &.Mui-expanded {\n          margin: 0;\n        }\n        ", "\n      }\n    "], ["\n      &.MuiAccordion-root {\n        box-shadow: ", ";\n        font-family: ", ";\n        border-bottom: ", ";\n        height: fit-content;\n\n        & .MuiAccordionSummary-root {\n          padding: 10px;\n          min-height: 40px;\n\n          &.Mui-expanded {\n            min-height: unset;\n          }\n\n          & .MuiAccordionSummary-expandIcon,\n          & .MuiAccordionSummary-expandIconWrapper {\n            padding: 0;\n            align-self: flex-start;\n          }\n        }\n\n        .MuiAccordionDetails-root {\n          padding: 10px;\n          padding-top: 4px;\n        }\n\n        &:before {\n          opacity: 0;\n        }\n\n        &.Mui-expanded {\n          margin: 0;\n        }\n        ", "\n      }\n    "])), shadows === null || shadows === void 0 ? void 0 : shadows.none, typography === null || typography === void 0 ? void 0 : typography.fontFamily, useDivider ? border === null || border === void 0 ? void 0 : border.gray[300] : "none", togglePosition === "left" && leftPosition(props));
});
var leftPosition = function (props) {
    var spaces = getSpaces(props);
    return react.css(templateObject_3$l || (templateObject_3$l = __makeTemplateObject(["\n    &.MuiAccordion-root {\n      & .MuiAccordionSummary-root {\n        flex-direction: row-reverse;\n\n        .MuiAccordionSummary-content {\n          padding-left: ", "px;\n        }\n\n        .MuiAccordionSummary-expandIconWrapper {\n          margin: 0;\n          transform: rotate(-90deg);\n          align-self: flex-start;\n          margin-top: ", "px;\n\n          &.Mui-expanded {\n            transform: rotate(0deg);\n          }\n        }\n      }\n\n      & .MuiAccordionDetails-root {\n        padding-left: 30px;\n      }\n    }\n  "], ["\n    &.MuiAccordion-root {\n      & .MuiAccordionSummary-root {\n        flex-direction: row-reverse;\n\n        .MuiAccordionSummary-content {\n          padding-left: ", "px;\n        }\n\n        .MuiAccordionSummary-expandIconWrapper {\n          margin: 0;\n          transform: rotate(-90deg);\n          align-self: flex-start;\n          margin-top: ", "px;\n\n          &.Mui-expanded {\n            transform: rotate(0deg);\n          }\n        }\n      }\n\n      & .MuiAccordionDetails-root {\n        padding-left: 30px;\n      }\n    }\n  "])), spaces === null || spaces === void 0 ? void 0 : spaces.xs, spaces === null || spaces === void 0 ? void 0 : spaces.xxs);
};
var templateObject_1$M, templateObject_2$t, templateObject_3$l;

/**
 * @see https://mui.com/material-ui/react-accordion/
 */
var Accordion = React__default["default"].forwardRef(function (props, ref) {
    var children = props.children, useDivider = props.useDivider, _a = props.togglePosition, togglePosition = _a === void 0 ? "right" : _a, id = props.id;
    var _b = React__default["default"].useState(false), expanded = _b[0], setExpanded = _b[1];
    var handleChange = function (panel) {
        return function (_event, isExpanded) {
            setExpanded(isExpanded ? panel : false);
        };
    };
    return (React__default["default"].createElement(StyledAccordion, __assign({ square: true, useDivider: useDivider, togglePosition: togglePosition, expanded: expanded === id, onChange: handleChange(id), ref: ref }, props), children));
});

var StyledAlert = styles.styled(material.Alert)(templateObject_1$L || (templateObject_1$L = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var colors = getColors(props);
    var spacings = getSpaces(props);
    var shadows = getShadows(props);
    var _a = props.severity, severity = _a === void 0 ? "success" : _a;
    var borderColor = (colors && colors[severity][400]) || "black";
    var alertColor = (colors && colors[severity][100]) || "white";
    var iconColor = (colors && colors[severity][400]) || "black";
    var backgroundColor = colors && colors[severity][100];
    return "\n      background-color: ".concat(backgroundColor, ";\n      margin: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px 0;\n      color: ").concat(defaultTheme.palette.text.primary, ";\n      padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px\n        ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px 9px;\n      background-color: ").concat(alertColor, ";\n      &.elevated {\n        border-left: 5px solid;\n        box-shadow: ").concat(shadows === null || shadows === void 0 ? void 0 : shadows.s, ";\n        border-color: ").concat(borderColor, ";\n      }\n      .MuiAlert-icon {\n        path {\n          fill: ").concat(iconColor, ";\n        }\n      }\n    ");
});
var templateObject_1$L;

/**
 * @see https://mui.com/material-ui/react-alert/
 */
var Alert$1 = function (props) {
    return React__default["default"].createElement(StyledAlert, __assign({}, props));
};

var _a;
var SDSWarningTypes;
(function (SDSWarningTypes) {
    SDSWarningTypes["ButtonMissingSDSProps"] = "buttonMissingProps";
    SDSWarningTypes["ChipDeprecated"] = "chipDeprecated";
    SDSWarningTypes["MenuSelectDeprecated"] = "menuSelectDeprecated";
    SDSWarningTypes["ButtonIconMediumSize"] = "buttonIconMediumSize";
    SDSWarningTypes["TooltipSubtitle"] = "tooltipSubtitle";
    SDSWarningTypes["TooltipWidth"] = "tooltipWidth";
    SDSWarningTypes["TooltipInverted"] = "tooltipInverted";
})(SDSWarningTypes || (SDSWarningTypes = {}));
var SDS_WARNINGS = (_a = {},
    _a[SDSWarningTypes.ButtonMissingSDSProps] = {
        hasWarned: false,
        message: "Warning: Buttons without sdsStyle or sdsType props will be deprecated.",
    },
    _a[SDSWarningTypes.ChipDeprecated] = {
        hasWarned: false,
        message: "Warning: <Chip /> will be deprecated and replaced with <Tag />",
    },
    _a[SDSWarningTypes.MenuSelectDeprecated] = {
        hasWarned: false,
        message: "Warning: MenuSelect will be deprecated and replaced with <DropdownMenu />",
    },
    _a[SDSWarningTypes.ButtonIconMediumSize] = {
        hasWarned: false,
        message: "Warning: A medium size ButtonIcon can only be of type tertiary!",
    },
    _a[SDSWarningTypes.TooltipSubtitle] = {
        hasWarned: false,
        message: "Warning: The 'subtitle' text is only available for dark tooltips!",
    },
    _a[SDSWarningTypes.TooltipWidth] = {
        hasWarned: false,
        message: "Warning: The 'wide' width is only available for light tooltips!",
    },
    _a[SDSWarningTypes.TooltipInverted] = {
        hasWarned: false,
        message: "Warning: Tooltips using the inverted prop will be deprecated. Please use sdsStyle: 'dark' | 'light' instead!",
    },
    _a);
var showWarningIfFirstOccurence = function (warningType) {
    if (!(warningType in SDS_WARNINGS)) {
        // add undefined warning to prevent multiple warnings
        SDS_WARNINGS[warningType] = {
            hasWarned: false,
            message: "Warning: SDSWarningType ".concat(warningType, " is not defined in SDS_WARNINGS"),
        };
    }
    if (SDS_WARNINGS[warningType].hasWarned) {
        return;
    }
    // eslint-disable-next-line no-console
    console.warn(SDS_WARNINGS[warningType].message);
    SDS_WARNINGS[warningType].hasWarned = true;
};

var isOn = function (props) {
    var sdsType = props.sdsType;
    var colors = getColors(props);
    return react.css(templateObject_1$K || (templateObject_1$K = __makeTemplateObject(["\n    ", "\n  "], ["\n    ", "\n  "])), sdsType !== "tertiary" &&
        "\n      color: ".concat(sdsType === "primary" ? colors === null || colors === void 0 ? void 0 : colors.primary[600] : colors === null || colors === void 0 ? void 0 : colors.primary[400], ";\n\n      &:hover {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[600], ";\n      }\n    "));
};
var isDisabled$1 = function (props) {
    var colors = getColors(props);
    return react.css(templateObject_2$s || (templateObject_2$s = __makeTemplateObject(["\n    color: ", ";\n  "], ["\n    color: ", ";\n  "])), colors === null || colors === void 0 ? void 0 : colors.gray[300]);
};
var primary$2 = function (props) {
    var colors = getColors(props);
    var sdsSize = props.sdsSize;
    return react.css(templateObject_3$k || (templateObject_3$k = __makeTemplateObject(["\n    color: ", ";\n\n    &:hover {\n      background: ", ";\n      color: ", ";\n    }\n\n    &:active {\n      color: ", ";\n    }\n  "], ["\n    color: ", ";\n\n    &:hover {\n      background: ", ";\n      color: ", ";\n    }\n\n    &:active {\n      color: ", ";\n    }\n  "])), colors === null || colors === void 0 ? void 0 : colors.primary[400], colors === null || colors === void 0 ? void 0 : colors.gray[200], sdsSize === "small" ? colors === null || colors === void 0 ? void 0 : colors.gray[600] : colors === null || colors === void 0 ? void 0 : colors.primary[400], colors === null || colors === void 0 ? void 0 : colors.primary[600]);
};
var secondary$2 = function (props) {
    var colors = getColors(props);
    return react.css(templateObject_4$g || (templateObject_4$g = __makeTemplateObject(["\n    color: ", ";\n\n    &:hover {\n      background: none;\n      color: ", ";\n    }\n  "], ["\n    color: ", ";\n\n    &:hover {\n      background: none;\n      color: ", ";\n    }\n  "])), colors === null || colors === void 0 ? void 0 : colors.gray[500], colors === null || colors === void 0 ? void 0 : colors.primary[400]);
};
var tertiary = function (props) {
    var colors = getColors(props);
    return react.css(templateObject_5$e || (templateObject_5$e = __makeTemplateObject(["\n    color: ", ";\n\n    &:hover {\n      background: none;\n      color: black;\n    }\n\n    &:active {\n      color: black;\n    }\n  "], ["\n    color: ", ";\n\n    &:hover {\n      background: none;\n      color: black;\n    }\n\n    &:active {\n      color: black;\n    }\n  "])), colors === null || colors === void 0 ? void 0 : colors.gray[500]);
};
var small$1 = function (props) {
    var iconSizes = getIconSizes(props);
    return react.css(templateObject_6$b || (templateObject_6$b = __makeTemplateObject(["\n    &:hover {\n      background: none;\n    }\n\n    .MuiSvgIcon-root {\n      height: ", "px;\n      width: ", "px;\n    }\n  "], ["\n    &:hover {\n      background: none;\n    }\n\n    .MuiSvgIcon-root {\n      height: ", "px;\n      width: ", "px;\n    }\n  "])), iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.height, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.width);
};
var medium$1 = function (props) {
    var sdsType = props.sdsType;
    var iconSizes = getIconSizes(props);
    if (sdsType === "primary" || sdsType === "secondary") {
        showWarningIfFirstOccurence(SDSWarningTypes.ButtonIconMediumSize);
    }
    return react.css(templateObject_7$9 || (templateObject_7$9 = __makeTemplateObject(["\n    &:hover {\n      background: none;\n    }\n\n    .MuiSvgIcon-root {\n      height: ", "px;\n      width: ", "px;\n    }\n  "], ["\n    &:hover {\n      background: none;\n    }\n\n    .MuiSvgIcon-root {\n      height: ", "px;\n      width: ", "px;\n    }\n  "])), iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.height, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.width);
};
var large = function (props) {
    var sdsType = props.sdsType;
    var iconSizes = getIconSizes(props);
    return react.css(templateObject_8$5 || (templateObject_8$5 = __makeTemplateObject(["\n    .MuiSvgIcon-root {\n      height: ", "px;\n      width: ", "px;\n      ", "\n    }\n  "], ["\n    .MuiSvgIcon-root {\n      height: ", "px;\n      width: ", "px;\n      ", "\n    }\n  "])), iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.xl.height, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.xl.height, sdsType === "primary" ? "margin: 5px;" : "");
};
var doNotForwardProps$i = [
    "on",
    "sdsSize",
    "sdsType",
    "sdsIcon",
    "sdsIconProps",
];
var StyledButtonIcon$2 = styles.styled(material.IconButton, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$i.includes(prop); },
})(templateObject_10$1 || (templateObject_10$1 = __makeTemplateObject(["\n  padding: 0;\n\n  :focus {\n    outline: 5px auto Highlight;\n    outline: 5px auto -webkit-focus-ring-color;\n  }\n\n  ", "\n"], ["\n  padding: 0;\n\n  :focus {\n    outline: 5px auto Highlight;\n    outline: 5px auto -webkit-focus-ring-color;\n  }\n\n  ", "\n"])), function (props) {
    var on = props.on, disabled = props.disabled, sdsSize = props.sdsSize, sdsType = props.sdsType;
    return react.css(templateObject_9$1 || (templateObject_9$1 = __makeTemplateObject(["\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n    "], ["\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n    "])), sdsType === "primary" && primary$2(props), sdsType === "secondary" && secondary$2(props), sdsType === "tertiary" && tertiary(props), on && isOn(props), disabled && isDisabled$1(props), sdsSize === "small" && small$1(props), sdsSize === "medium" && medium$1(props), sdsSize === "large" && large(props));
});
var templateObject_1$K, templateObject_2$s, templateObject_3$k, templateObject_4$g, templateObject_5$e, templateObject_6$b, templateObject_7$9, templateObject_8$5, templateObject_9$1, templateObject_10$1;

var ButtonIconSizeToSdsIconSize = {
    large: "xl",
    medium: "l",
    small: "s",
};
/**
 * @see https://mui.com/material-ui/react-button/#icon-buttons
 */
var ButtonIcon = React.forwardRef(function ButtonIcon(props, ref) {
    var sdsIcon = props.sdsIcon, _a = props.sdsSize, sdsSize = _a === void 0 ? "large" : _a, sdsIconProps = props.sdsIconProps;
    var iconSize = ButtonIconSizeToSdsIconSize[sdsSize];
    return (React__default["default"].createElement(StyledButtonIcon$2, __assign({}, props, { ref: ref }),
        React__default["default"].createElement(Icon, __assign({ sdsType: "iconButton" }, sdsIconProps, { sdsIcon: sdsIcon, sdsSize: iconSize }))));
});

var Centered = styles.styled("div")(templateObject_1$J || (templateObject_1$J = __makeTemplateObject(["\n  flex: 1 1 auto;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"], ["\n  flex: 1 1 auto;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"])));
var IconWrapper$1 = styles.styled("div")(templateObject_2$r || (templateObject_2$r = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var iconSizes = getIconSizes(props);
    var spaces = getSpaces(props);
    return "\n      height: ".concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.height, "px;\n      margin-right: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.m, "px;\n    ");
});
var doNotForwardPropsButtonIcon = ["bannerType", "textChild"];
var StyledButtonIcon$1 = styles.styled(ButtonIcon, {
    shouldForwardProp: function (prop) {
        return !doNotForwardPropsButtonIcon.includes(prop);
    },
})(templateObject_3$j || (templateObject_3$j = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), function (props) {
    var spaces = getSpaces(props);
    return "\n      flex: 0 0 auto;\n      margin: ".concat(spaces === null || spaces === void 0 ? void 0 : spaces.l, "px;\n    ");
}, function (props) {
    var bannerType = props.bannerType;
    var colors = getColors(props);
    if (bannerType !== "primary")
        return "";
    return "\n      svg:hover {\n        fill: ".concat(colors === null || colors === void 0 ? void 0 : colors.primary[300], ";\n      }\n    ");
});
styles.styled("div")(templateObject_4$f || (templateObject_4$f = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontBodyS$2, function (props) {
    var typography = getTypography(props);
    return "\n      font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n    ");
});
var primary$1 = function (props) {
    var colors = getColors(props);
    return "\n    background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.info[400], ";\n    color: white;\n    svg {\n      fill: white;\n    }\n  ");
};
var secondary$1 = function (props) {
    var colors = getColors(props);
    return "\n    background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.info[100], ";\n    color: black;\n  ");
};
var doNotForwardProps$h = ["sdsType", "textChild"];
var StyledBanner = styles.styled("div", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$h.includes(prop); },
})(templateObject_5$d || (templateObject_5$d = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  height: 40px;\n  width: 100%;\n\n  ", "\n\n  ", "\n"], ["\n  display: flex;\n  align-items: center;\n  height: 40px;\n  width: 100%;\n\n  ", "\n\n  ", "\n"])), fontBodyS$2, function (props) {
    var sdsType = props.sdsType;
    var typography = getTypography(props);
    return "\n      ".concat(sdsType === "primary" ? primary$1(props) : "", "\n      ").concat(sdsType === "secondary" ? secondary$1(props) : "", "\n      font-family: ").concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n    ");
});
var templateObject_1$J, templateObject_2$r, templateObject_3$j, templateObject_4$f, templateObject_5$d;

var Banner = React.forwardRef(function Banner(props, ref) {
    var children = props.children, dismissed = props.dismissed, _a = props.dismissible, dismissible = _a === void 0 ? true : _a, onClose = props.onClose, sdsType = props.sdsType, rest = __rest(props, ["children", "dismissed", "dismissible", "onClose", "sdsType"]);
    var _b = React.useState(false), wasDismissed = _b[0], setWasDismissed = _b[1];
    if (dismissed || wasDismissed)
        return null;
    var handleClose = function (e) {
        if (dismissed === undefined) {
            // let the component be uncontrolled
            setWasDismissed(true);
        }
        if (onClose)
            onClose(e);
    };
    return (React__default["default"].createElement(StyledBanner, __assign({ role: "banner", sdsType: sdsType, ref: ref }, rest),
        React__default["default"].createElement(Centered, null,
            React__default["default"].createElement(IconWrapper$1, null,
                React__default["default"].createElement(Icon, { sdsIcon: "infoCircle", sdsSize: "l", sdsType: "static" })),
            children),
        dismissible && (React__default["default"].createElement(StyledButtonIcon$1, { "aria-label": "Close", bannerType: sdsType, sdsType: "tertiary", sdsSize: "small", onClick: handleClose, sdsIcon: "xMark" }))));
});

var sdsPropNames$4 = ["isAllCaps", "isRounded", "sdsStyle", "sdsType"];
var ButtonBase = styles.styled(material.Button, {
    shouldForwardProp: function (prop) { return !sdsPropNames$4.includes(prop); },
})(templateObject_1$I || (templateObject_1$I = __makeTemplateObject(["\n  box-shadow: none;\n  ", "\n"], ["\n  box-shadow: none;\n  ", "\n"])), function (props) {
    var variant = props.variant;
    var colors = getColors(props);
    var spacings = getSpaces(props);
    var containedPadding = "".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px");
    // (thuang): outline variant has border 1px, so padding needs to be smaller
    var outlinedPadding = "".concat(((spacings === null || spacings === void 0 ? void 0 : spacings.xs) || 0) - 1, "px ").concat(((spacings === null || spacings === void 0 ? void 0 : spacings.l) || 0) - 1, "px");
    var padding = variant === "outlined" ? outlinedPadding : containedPadding;
    var outlineBorder = variant === "outlined" ? "border-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.primary[400], ";") : "";
    return "\n      ".concat(outlineBorder, "\n      padding: ").concat(padding, ";\n      min-width: 120px;\n      height: 34px;\n      &:hover {\n        color: white;\n        background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[500], ";\n        box-shadow: none;\n      }\n      &:focus-visible {\n        outline: 5px auto Highlight;\n        outline: 5px auto -webkit-focus-ring-color;\n      }\n      &:active {\n        color: white;\n        background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[600], ";\n        box-shadow: none;\n      }\n      &:disabled {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[400], ";\n        background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n        border-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n      }\n      .MuiButton-startIcon {\n        margin-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n      }\n      .MuiButton-endIcon {\n        margin-left: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n      }\n    ");
});
var RoundedButton = styles.styled(ButtonBase, {
    shouldForwardProp: function (prop) { return !sdsPropNames$4.includes(prop); },
})(templateObject_2$q || (templateObject_2$q = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var corners = getCorners(props);
    return "\n      border-radius: ".concat(corners === null || corners === void 0 ? void 0 : corners.l, "px;\n    ");
});
var SquareButton = ButtonBase;
var MinimalButton = styles.styled(material.Button, {
    shouldForwardProp: function (prop) { return !sdsPropNames$4.includes(prop); },
})(templateObject_3$i || (templateObject_3$i = __makeTemplateObject(["\n  ", "\n\n  ", "\n  &:hover, &:focus-visible {\n    background-color: transparent;\n  }\n  &:focus-visible {\n    outline: 5px auto Highlight;\n    outline: 5px auto -webkit-focus-ring-color;\n  }\n"], ["\n  ", "\n\n  ", "\n  &:hover, &:focus-visible {\n    background-color: transparent;\n  }\n  &:focus-visible {\n    outline: 5px auto Highlight;\n    outline: 5px auto -webkit-focus-ring-color;\n  }\n"])), function (props) {
    var spacings = getSpaces(props);
    return "\n      padding: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px 0;\n    ");
}, function (props) {
    if (props === null || props === void 0 ? void 0 : props.isAllCaps) {
        return fontCapsXxxs;
    }
    return "";
});
var minimal$2 = function (props) {
    var colors = getColors(props);
    var spaces = getSpaces(props);
    return "\n    &:hover, &:focus-visible {\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.primary[500], ";\n    }\n    &:active {\n      color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[600], ";\n    }\n    &:disabled {\n      color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[400], ";\n    }\n\n    .MuiButton-startIcon {\n      margin-right: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xxs, "px;\n    }\n  ");
};
var PrimaryMinimalButton = styles.styled(MinimalButton)(templateObject_4$e || (templateObject_4$e = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), minimal$2);
var SecondaryMinimalButton = styles.styled(MinimalButton)(templateObject_5$c || (templateObject_5$c = __makeTemplateObject(["\n  ", "\n  color: #000;\n"], ["\n  ", "\n  color: #000;\n"])), minimal$2);
var StyledButton$1 = styles.styled(material.Button, {
    shouldForwardProp: function (prop) { return !sdsPropNames$4.includes(prop); },
})(templateObject_6$a || (templateObject_6$a = __makeTemplateObject(["\n  &:focus-visible {\n    outline: 5px auto Highlight;\n    outline: 5px auto -webkit-focus-ring-color;\n  }\n  ", "\n"], ["\n  &:focus-visible {\n    outline: 5px auto Highlight;\n    outline: 5px auto -webkit-focus-ring-color;\n  }\n  ", "\n"])), function (props) {
    if (!props.isRounded)
        return "";
    var corners = getCorners(props);
    var spacings = getSpaces(props);
    return "\n      border-radius: ".concat(corners === null || corners === void 0 ? void 0 : corners.l, "px;\n      padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n      min-width: 120px;\n      height: 34px;\n    ");
});
var templateObject_1$I, templateObject_2$q, templateObject_3$i, templateObject_4$e, templateObject_5$c, templateObject_6$a;

/**
 * @see https://mui.com/material-ui/react-button/
 */
var Button = React__default["default"].forwardRef(function (props, ref) {
    var sdsStyle = props === null || props === void 0 ? void 0 : props.sdsStyle;
    var sdsType = props === null || props === void 0 ? void 0 : props.sdsType;
    if (!sdsStyle || !sdsType) {
        showWarningIfFirstOccurence(SDSWarningTypes.ButtonMissingSDSProps);
    }
    if (typeof (props === null || props === void 0 ? void 0 : props.isAllCaps) === "boolean" && sdsStyle !== "minimal") {
        // eslint-disable-next-line no-console
        console.warn("Warning: isAllCaps is only applied to buttons with sdsStyle='minimal'.");
    }
    // isAllCaps is only used for the Minimal Button.  It defaults to true.
    var isAllCaps = typeof (props === null || props === void 0 ? void 0 : props.isAllCaps) === "boolean" ? props === null || props === void 0 ? void 0 : props.isAllCaps : true;
    var propsWithDefault = __assign(__assign({}, props), { isAllCaps: isAllCaps });
    switch (true) {
        case sdsStyle === "rounded" && sdsType === "primary":
            return (React__default["default"].createElement(RoundedButton, __assign({ color: "primary", ref: ref, variant: "contained" }, propsWithDefault)));
        case sdsStyle === "rounded" && sdsType === "secondary":
            return (React__default["default"].createElement(RoundedButton, __assign({ color: "primary", ref: ref, variant: "outlined" }, propsWithDefault)));
        case sdsStyle === "square" && sdsType === "primary":
            return (React__default["default"].createElement(SquareButton, __assign({ color: "primary", ref: ref, variant: "contained" }, propsWithDefault)));
        case sdsStyle === "square" && sdsType === "secondary":
            return (React__default["default"].createElement(SquareButton, __assign({ color: "primary", ref: ref, variant: "outlined" }, propsWithDefault)));
        case sdsStyle === "minimal" && sdsType === "primary":
            return (React__default["default"].createElement(PrimaryMinimalButton, __assign({ color: "primary", ref: ref, variant: "text" }, propsWithDefault)));
        case sdsStyle === "minimal" && sdsType === "secondary":
            return (React__default["default"].createElement(SecondaryMinimalButton, __assign({ color: "primary", ref: ref, variant: "text" }, propsWithDefault)));
        default:
            return React__default["default"].createElement(StyledButton$1, __assign({}, propsWithDefault, { ref: ref }));
    }
});

/**
 * @see https://mui.com/material-ui/react-button/
 */
var ButtonDropdown = React__default["default"].forwardRef(function (props, ref) {
    var icon = props === null || props === void 0 ? void 0 : props.icon;
    var sdsStyle = props === null || props === void 0 ? void 0 : props.sdsStyle;
    var sdsType = props === null || props === void 0 ? void 0 : props.sdsType;
    return (React__default["default"].createElement(Button, __assign({}, props, { endIcon: React__default["default"].createElement(Icon, { sdsIcon: "chevronDown", sdsSize: "s", sdsType: "button" }), sdsStyle: sdsStyle, ref: ref, sdsType: sdsType, startIcon: icon })));
});

var fontBodyXs$4 = fontBody("xs");
var doNotForwardProps$g = ["calloutTitle", "collapsed"];
var StyledCallout = styles.styled(material.Alert, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$g.includes(prop); },
})(templateObject_1$H || (templateObject_1$H = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontBodyXs$4, function (props) {
    var colors = getColors(props);
    var spacings = getSpaces(props);
    var _a = props.severity, severity = _a === void 0 ? "success" : _a;
    var corners = getCorners(props);
    var iconSizes = getIconSizes(props);
    var iconColor = (colors && colors[severity][400]) || "black";
    var calloutColor = (colors && colors[severity][100]) || "white";
    var backgroundColor = colors && colors[severity][100];
    // when a title is present Mui's default styling has vertical margin,
    // but for an expandable callout that is collapsed, we do not want
    // any buttom margin
    var titleBottomMargin = props.collapsed ? "margin-bottom: 0;" : "";
    return "\n      background-color: ".concat(backgroundColor, ";\n      width: 360px;\n      margin: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px 0;\n      border-radius: ").concat(corners === null || corners === void 0 ? void 0 : corners.m, "px;\n      color: ").concat(defaultTheme.palette.text.primary, ";\n      padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n      background-color: ").concat(calloutColor, ";\n\n      .MuiAlert-icon {\n        height: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.height, "px;\n        width: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.width, "px;\n        margin-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n        padding: 0;\n        path {\n          fill: ").concat(iconColor, ";\n        }\n      }\n\n      .MuiAlert-message {\n        padding: 0;\n        margin-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n\n        .MuiAlertTitle-root{\n          margin-top: 0;\n          ").concat(titleBottomMargin, "\n        }\n      }\n\n      .MuiAlert-action {\n        margin-right: 0;\n        padding: 0;\n        align-items: flex-start;\n        margin-top: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px;\n\n        > button {\n          padding: 0;\n        }\n      }\n    ");
});
var templateObject_1$H;

var SDS_STAGE_OPEN = "open";
var SDS_STAGE_CLOSED = "closed";
/**
 * @see https://mui.com/material-ui/react-alert/
 */
var Callout = function (_a) {
    var _b, _c;
    var autoDismiss = _a.autoDismiss, children = _a.children, dismissed = _a.dismissed, expandable = _a.expandable, onClose = _a.onClose, icon = _a.icon, intent = _a.intent, sdsStage = _a.sdsStage, rest = __rest(_a, ["autoDismiss", "children", "dismissed", "expandable", "onClose", "icon", "intent", "sdsStage"]);
    var _d = React.useState(dismissed), hide = _d[0], setHide = _d[1];
    var _e = React.useState(sdsStage || SDS_STAGE_CLOSED), stage = _e[0], setStage = _e[1];
    React.useEffect(function () {
        setHide(dismissed);
        if (autoDismiss) {
            var timeout = typeof autoDismiss === "boolean" ? 8000 : autoDismiss;
            setTimeout(function () {
                setHide(true);
            }, timeout);
        }
    }, [dismissed, autoDismiss]);
    var handleClose = function (event) {
        setHide(true);
        if (onClose)
            onClose(event);
    };
    var getIcon = function () {
        if (icon)
            return icon;
        switch (intent) {
            case "success":
                return React__default["default"].createElement(Icon, { sdsSize: "l", sdsIcon: "checkCircle", sdsType: "static" });
            case "info":
                return React__default["default"].createElement(Icon, { sdsSize: "l", sdsIcon: "infoCircle", sdsType: "static" });
            default:
                return (React__default["default"].createElement(Icon, { sdsSize: "l", sdsIcon: "exclamationMarkCircle", sdsType: "static" }));
        }
    };
    var getAction = function (collapsed) {
        if (expandable) {
            return (React__default["default"].createElement(ButtonIcon, { "aria-label": collapsed ? "open" : "close", onClick: function () {
                    setStage(collapsed ? SDS_STAGE_OPEN : SDS_STAGE_CLOSED);
                }, sdsSize: "small", sdsType: "tertiary", sdsIcon: collapsed ? "chevronDown" : "chevronUp" }));
        }
        return onClose ? (React__default["default"].createElement(ButtonIcon, { "aria-label": "Dismiss", onClick: handleClose, sdsSize: "small", sdsType: "tertiary", size: "large", sdsIcon: "xMark" })) : null;
    };
    var collapsed = (expandable && stage === SDS_STAGE_CLOSED) || false;
    // when there is no CalloutTitlecomponent, or there is a single child element
    // the contents of children will be used as the title
    var calloutTitle = children;
    var calloutContent;
    var firstChildIsCalloutTitle = Array.isArray(children) && ((_c = (_b = children[0]) === null || _b === void 0 ? void 0 : _b.type) === null || _c === void 0 ? void 0 : _c.name) === "CalloutTitle";
    if (firstChildIsCalloutTitle) {
        calloutTitle = children[0], calloutContent = children.slice(1);
    }
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        React__default["default"].createElement(material.Grow, { in: !hide },
            React__default["default"].createElement(StyledCallout, __assign({ onClose: onClose ? handleClose : undefined, action: getAction(collapsed), icon: getIcon(), severity: intent, collapsed: collapsed || false }, rest),
                calloutTitle,
                !collapsed && calloutContent))));
};

var fontBodyXs$3 = fontBody("xs");
var StyledCalloutTitle = styles.styled(material.AlertTitle)(templateObject_1$G || (templateObject_1$G = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyXs$3, function (props) {
    var spacings = getSpaces(props);
    return "\n    margin: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxxs, "px 0 ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n  ");
});
var templateObject_1$G;

var CalloutTitle = function (_a) {
    var children = _a.children;
    return React__default["default"].createElement(StyledCalloutTitle, null, children);
};

var dark = function (props) {
    var spacings = getSpaces(props);
    return css.css(templateObject_1$F || (templateObject_1$F = __makeTemplateObject(["\n    ", "\n    background-color: black;\n    color: white;\n    text-align: center;\n    max-width: 250px;\n    padding: ", "px ", "px;\n  "], ["\n    ", "\n    background-color: black;\n    color: white;\n    text-align: center;\n    max-width: 250px;\n    padding: ", "px ", "px;\n  "])), fontHeaderXs(props), spacings === null || spacings === void 0 ? void 0 : spacings.s, spacings === null || spacings === void 0 ? void 0 : spacings.l);
};
var light = function (props) {
    var spacings = getSpaces(props);
    return css.css(templateObject_2$p || (templateObject_2$p = __makeTemplateObject(["\n    ", "\n    background-color: white;\n    color: black;\n    text-align: left;\n    max-width: 250px;\n    padding: ", "px ", "px;\n  "], ["\n    ", "\n    background-color: white;\n    color: black;\n    text-align: left;\n    max-width: 250px;\n    padding: ", "px ", "px;\n  "])), fontBodyXs$5(props), spacings === null || spacings === void 0 ? void 0 : spacings.xs, spacings === null || spacings === void 0 ? void 0 : spacings.l);
};
var wide = function () {
    return css.css(templateObject_3$h || (templateObject_3$h = __makeTemplateObject(["\n    max-width: 550px;\n  "], ["\n    max-width: 550px;\n  "])));
};
var tableStyles = function (props) {
    var spacings = getSpaces(props);
    return css.css(templateObject_4$d || (templateObject_4$d = __makeTemplateObject(["\n    padding: ", "px;\n  "], ["\n    padding: ", "px;\n  "])), spacings === null || spacings === void 0 ? void 0 : spacings.m);
};
var Subtitle$1 = styles.styled("div")(templateObject_5$b || (templateObject_5$b = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontHeaderXxs, function (props) {
    var colors = getColors(props);
    return "\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray["400"], ";\n    ");
});
var tooltipCss = function (props) {
    var inverted = props.inverted, sdsStyle = props.sdsStyle, width = props.width, followCursor = props.followCursor;
    var shadows = getShadows(props);
    return css.css(templateObject_6$9 || (templateObject_6$9 = __makeTemplateObject(["\n    &.MuiTooltip-tooltip {\n      ", "\n      ", "\n\n      ", "\n\n      box-shadow: ", ";\n    }\n  "], ["\n    &.MuiTooltip-tooltip {\n      ", "\n      ", "\n\n      ", "\n\n      box-shadow: ", ";\n    }\n  "])), sdsStyle === "dark" || inverted ? dark(props) : light(props), width === "wide" && sdsStyle === "light" && wide(), followCursor === true && tableStyles(props), shadows === null || shadows === void 0 ? void 0 : shadows.m);
};
var arrowCss = function (props) {
    var inverted = props.inverted, sdsStyle = props.sdsStyle, arrowOffset = props.arrowOffset;
    return css.css(templateObject_7$8 || (templateObject_7$8 = __makeTemplateObject(["\n    &.MuiTooltip-arrow {\n      /* (bethbertozzi): !important is needed to fight inline style */\n      left: ", "px !important;\n      color: ", ";\n      &:before {\n        box-sizing: border-box;\n        width: 12px;\n        height: 12px;\n      }\n    }\n  "], ["\n    &.MuiTooltip-arrow {\n      /* (bethbertozzi): !important is needed to fight inline style */\n      left: ", "px !important;\n      color: ", ";\n      &:before {\n        box-sizing: border-box;\n        width: 12px;\n        height: 12px;\n      }\n    }\n  "])), arrowOffset, inverted || sdsStyle === "dark" ? "black" : "white");
};
/*
 * (masoudmanson): !importants are needed to override arrow's
 * default placement which is calculated by javascript
 */
var StyledPopper$1 = styles.styled(material.Popper)(templateObject_8$4 || (templateObject_8$4 = __makeTemplateObject(["\n  &[data-popper-placement*=\"top\"] .MuiTooltip-arrow {\n    width: 24px !important;\n    height: 12px !important;\n    margin-bottom: -12px !important;\n    &:before {\n      transform: rotate(45deg) translate(0px, -2px);\n      border-bottom-right-radius: 2px;\n      box-shadow: 0 0 3px 2px rgba(0, 0, 0, 0.1);\n    }\n  }\n\n  &[data-popper-placement*=\"bottom\"] .MuiTooltip-arrow {\n    width: 24px !important;\n    height: 12px !important;\n    margin-top: -12px !important;\n    &:before {\n      transform: rotate(45deg) translate(-1px, 2px);\n      border-top-left-radius: 2px;\n      box-shadow: 0 0 2px 0px rgba(0, 0, 0, 0.1);\n    }\n  }\n\n  &[data-popper-placement*=\"left\"] .MuiTooltip-arrow {\n    width: 12px !important;\n    height: 16px !important;\n    margin-right: -12px !important;\n    &:before {\n      transform: rotate(45deg) translate(-1px, 1px);\n      border-top-right-radius: 2px;\n      box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.1);\n    }\n  }\n\n  &[data-popper-placement*=\"right\"] .MuiTooltip-arrow {\n    width: 12px !important;\n    height: 16px !important;\n    margin-left: -12px !important;\n    &:before {\n      transform: rotate(45deg) translate(4px, 2px);\n      border-bottom-left-radius: 2px;\n      box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.1);\n    }\n  }\n"], ["\n  &[data-popper-placement*=\"top\"] .MuiTooltip-arrow {\n    width: 24px !important;\n    height: 12px !important;\n    margin-bottom: -12px !important;\n    &:before {\n      transform: rotate(45deg) translate(0px, -2px);\n      border-bottom-right-radius: 2px;\n      box-shadow: 0 0 3px 2px rgba(0, 0, 0, 0.1);\n    }\n  }\n\n  &[data-popper-placement*=\"bottom\"] .MuiTooltip-arrow {\n    width: 24px !important;\n    height: 12px !important;\n    margin-top: -12px !important;\n    &:before {\n      transform: rotate(45deg) translate(-1px, 2px);\n      border-top-left-radius: 2px;\n      box-shadow: 0 0 2px 0px rgba(0, 0, 0, 0.1);\n    }\n  }\n\n  &[data-popper-placement*=\"left\"] .MuiTooltip-arrow {\n    width: 12px !important;\n    height: 16px !important;\n    margin-right: -12px !important;\n    &:before {\n      transform: rotate(45deg) translate(-1px, 1px);\n      border-top-right-radius: 2px;\n      box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.1);\n    }\n  }\n\n  &[data-popper-placement*=\"right\"] .MuiTooltip-arrow {\n    width: 12px !important;\n    height: 16px !important;\n    margin-left: -12px !important;\n    &:before {\n      transform: rotate(45deg) translate(4px, 2px);\n      border-bottom-left-radius: 2px;\n      box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.1);\n    }\n  }\n"])));
var templateObject_1$F, templateObject_2$p, templateObject_3$h, templateObject_4$d, templateObject_5$b, templateObject_6$9, templateObject_7$8, templateObject_8$4;

/**
 * @see https://mui.com/material-ui/react-tooltip/
 *
 * @warning If the tooltip wraps a disabled component, please make sure to
 * wrap the children in a `<span>` tag.
 * https://mui.com/components/tooltips/#disabled-elements
 */
var Tooltip = React.forwardRef(function Tooltip(props, ref) {
    var arrowOffset = props.arrowOffset, classes = props.classes, inverted = props.inverted, _a = props.sdsStyle, sdsStyle = _a === void 0 ? "light" : _a, subtitle = props.subtitle, title = props.title, _b = props.width, width = _b === void 0 ? "default" : _b, _c = props.PopperComponent, PopperComponent = _c === void 0 ? StyledPopper$1 : _c, rest = __rest(props, ["arrowOffset", "classes", "inverted", "sdsStyle", "subtitle", "title", "width", "PopperComponent"]);
    var children = rest.children;
    if (inverted) {
        showWarningIfFirstOccurence(SDSWarningTypes.TooltipInverted);
    }
    if (width === "wide" && sdsStyle === "dark") {
        showWarningIfFirstOccurence(SDSWarningTypes.TooltipWidth);
    }
    if (subtitle && sdsStyle === "light") {
        showWarningIfFirstOccurence(SDSWarningTypes.TooltipSubtitle);
    }
    var theme = styles.useTheme();
    var extraProps = {
        /* stylelint-disable property-no-unknown -- false positive */
        arrowOffset: arrowOffset,
        classes: classes,
        inverted: inverted,
        sdsStyle: sdsStyle,
        theme: theme,
        width: width,
        /* stylelint-enable property-no-unknown -- false positive */
    };
    var tooltip = mergeClass$1({
        className: tooltipCss(extraProps),
        key: "tooltip",
        props: props,
    });
    var arrow = mergeClass$1({
        className: arrowCss(extraProps),
        key: "arrow",
        props: props,
    });
    // (mlila) if no content is passed into the tooltip, don't render
    // a tooltip. this matches with the native MUI behavior.
    if (!title && !subtitle)
        return React__default["default"].createElement(React__default["default"].Fragment, null, children);
    var content = (React__default["default"].createElement(React__default["default"].Fragment, null,
        title,
        sdsStyle === "dark" && subtitle && React__default["default"].createElement(Subtitle$1, null, subtitle)));
    var leaveDelay = inverted || sdsStyle === "dark" ? 0 : 500;
    return (React__default["default"].createElement(material.Tooltip, __assign({ classes: { arrow: arrow, tooltip: tooltip }, leaveDelay: leaveDelay, title: content, PopperComponent: PopperComponent, ref: ref }, rest)));
});
function mergeClass$1(_a) {
    var props = _a.props, className = _a.className, key = _a.key;
    var classes = props.classes;
    if (!classes)
        return className;
    var propClassName = classes[key];
    return propClassName ? "".concat(propClassName, " ").concat(className) : className;
}

var doNotForwardProps$f = [
    "icon",
    "iconVerticalAlign",
    "horizontalAlign",
    "verticalAlign",
    "primaryText",
    "secondaryText",
    "tertiaryText",
    "shouldTextWrap",
    "shouldShowTooltipOnHover",
    "tooltipProps",
    "primaryTextWrapLineCount",
    "secondaryTextWrapLineCount",
    "tertiaryTextWrapLineCount",
];
var verticalAlignCSSMap = {
    bottom: "bottom",
    center: "middle",
    top: "top",
};
var verticalAlignToFlexMap = {
    bottom: "flex-end",
    center: "center",
    top: "flex-start",
};
var StyledTableData = styles.styled("td", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$f.includes(prop); },
})(templateObject_1$E || (templateObject_1$E = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var _a = props.horizontalAlign, horizontalAlign = _a === void 0 ? "left" : _a, _b = props.verticalAlign, verticalAlign = _b === void 0 ? "top" : _b;
    var spacings = getSpaces(props);
    var typography = getTypography(props);
    return "\n        font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n        padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n        text-align: ").concat(horizontalAlign, ";\n        vertical-align: ").concat(verticalAlignCSSMap[verticalAlign], ";\n        width: 96px;\n        overflow: hidden;\n    ");
});
var ShouldWrap = function (lineCount) {
    return "\n    overflow: hidden;\n    display: -webkit-box;\n    -webkit-line-clamp: ".concat(lineCount, ";\n    -webkit-box-orient: vertical; \n  ");
};
var ShouldTruncate = function () {
    return "\n    text-overflow: ellipsis;\n    white-space: nowrap;\n    overflow: hidden;\n  ";
};
var StyledCellContent = styles.styled("div")(templateObject_2$o || (templateObject_2$o = __makeTemplateObject(["\n  display: flex;\n"], ["\n  display: flex;\n"])));
var StyledCellContentWrapper = styles.styled("div")(templateObject_3$g || (templateObject_3$g = __makeTemplateObject(["\n  width: 100%;\n"], ["\n  width: 100%;\n"])));
var StyledCellIconWrapper = styles.styled("div", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$f.includes(prop); },
})(templateObject_4$c || (templateObject_4$c = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var _a = props.iconVerticalAlign, iconVerticalAlign = _a === void 0 ? "top" : _a;
    var spacings = getSpaces(props);
    return "\n      padding-right: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n      display: flex;\n      flex-direction: column;\n      justify-content: ").concat(verticalAlignToFlexMap[iconVerticalAlign], ";\n    ");
});
var PrimaryText = styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$f.includes(prop); },
})(templateObject_5$a || (templateObject_5$a = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyS$2, function (props) {
    var _a = props.primaryTextWrapLineCount, primaryTextWrapLineCount = _a === void 0 ? 3 : _a;
    return "\n      display: block;\n      line-height: 20px;\n      ".concat(props.shouldTextWrap
        ? ShouldWrap(primaryTextWrapLineCount)
        : ShouldTruncate(), "\n    ");
});
var SecondaryText = styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$f.includes(prop); },
})(templateObject_6$8 || (templateObject_6$8 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyXxs$1, function (props) {
    var _a = props.secondaryTextWrapLineCount, secondaryTextWrapLineCount = _a === void 0 ? 1 : _a;
    var colors = getColors(props);
    var spaces = getSpaces(props);
    return "\n      display: block;\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[600], ";\n      padding-top: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xxxs, "px;\n\n      ").concat(props.shouldTextWrap
        ? ShouldWrap(secondaryTextWrapLineCount)
        : ShouldTruncate(), "\n    ");
});
var TertiaryText = styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$f.includes(prop); },
})(templateObject_7$7 || (templateObject_7$7 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyXxs$1, function (props) {
    var _a = props.tertiaryTextWrapLineCount, tertiaryTextWrapLineCount = _a === void 0 ? 1 : _a;
    var colors = getColors(props);
    var spaces = getSpaces(props);
    return "\n      display: block;\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n      padding-top: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.s, "px;\n\n      ").concat(props.shouldTextWrap
        ? ShouldWrap(tertiaryTextWrapLineCount)
        : ShouldTruncate(), "\n    ");
});
var templateObject_1$E, templateObject_2$o, templateObject_3$g, templateObject_4$c, templateObject_5$a, templateObject_6$8, templateObject_7$7;

var CellBasicContent = function (props) {
    var primaryText = props.primaryText, primaryTextWrapLineCount = props.primaryTextWrapLineCount, secondaryText = props.secondaryText, secondaryTextWrapLineCount = props.secondaryTextWrapLineCount, tertiaryText = props.tertiaryText, tertiaryTextWrapLineCount = props.tertiaryTextWrapLineCount, _a = props.shouldTextWrap, shouldTextWrap = _a === void 0 ? true : _a, icon = props.icon, iconVerticalAlign = props.iconVerticalAlign;
    return (React__default["default"].createElement(StyledCellContent, null,
        icon && (React__default["default"].createElement(StyledCellIconWrapper, { iconVerticalAlign: iconVerticalAlign }, icon)),
        React__default["default"].createElement(StyledCellContentWrapper, null,
            React__default["default"].createElement(PrimaryText, { shouldTextWrap: shouldTextWrap, primaryTextWrapLineCount: primaryTextWrapLineCount }, primaryText),
            secondaryText && (React__default["default"].createElement(SecondaryText, { shouldTextWrap: shouldTextWrap, secondaryTextWrapLineCount: secondaryTextWrapLineCount }, secondaryText)),
            tertiaryText && (React__default["default"].createElement(TertiaryText, { shouldTextWrap: shouldTextWrap, tertiaryTextWrapLineCount: tertiaryTextWrapLineCount }, tertiaryText)))));
};
var CellBasic = React.forwardRef(function (props, ref) {
    var primaryText = props.primaryText, secondaryText = props.secondaryText, _a = props.shouldShowTooltipOnHover, shouldShowTooltipOnHover = _a === void 0 ? true : _a, tooltipProps = props.tooltipProps;
    if (shouldShowTooltipOnHover) {
        return (React__default["default"].createElement(Tooltip, __assign({ title: primaryText, subtitle: secondaryText, arrow: true, leaveDelay: 0, leaveTouchDelay: 0, sdsStyle: "dark" }, tooltipProps),
            React__default["default"].createElement(StyledTableData, __assign({ ref: ref }, props),
                React__default["default"].createElement(CellBasicContent, __assign({}, props)))));
    }
    return (React__default["default"].createElement(StyledTableData, __assign({ ref: ref }, props),
        React__default["default"].createElement(CellBasicContent, __assign({}, props))));
});

var doNotForwardProps$e = ["horizontalAlign", "verticalAlign"];
var StyledCellComponentData = styles.styled("td", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$e.includes(prop); },
})(templateObject_1$D || (templateObject_1$D = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyS$2, function (props) {
    var spacings = getSpaces(props);
    var _a = props.horizontalAlign, horizontalAlign = _a === void 0 ? "left" : _a, _b = props.verticalAlign, verticalAlign = _b === void 0 ? "top" : _b;
    var typography = getTypography(props);
    return "\n        font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n        align-items: center;\n        text-align: ").concat(horizontalAlign, ";\n        vertical-align: ").concat(verticalAlign, ";\n        overflow: hidden;\n        padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n    ");
});
styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$e.includes(prop); },
})(templateObject_2$n || (templateObject_2$n = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontHeaderS, function (props) {
    var typography = getTypography(props);
    return "\n        line-height: 24px;\n        font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n        display: block;\n       \n    ");
});
styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$e.includes(prop); },
})(templateObject_3$f || (templateObject_3$f = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontBodyXxs$1, function (props) {
    var typography = getTypography(props);
    var colors = getColors(props);
    return "\n          font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n          display: block;\n          color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[600], "\n      ");
});
var templateObject_1$D, templateObject_2$n, templateObject_3$f;

var CellComponent = React.forwardRef(function (props, _) {
    var children = props.children;
    return (React__default["default"].createElement(StyledCellComponentData, __assign({ className: "cell-component" }, props), children));
});

var contentPositionMapping = {
    center: "center",
    left: "flex-start",
    right: "flex-end",
};
var doNotForwardProps$d = [
    "active",
    "horizontalAlign",
    "shouldShowTooltipOnHover",
    "tooltipProps",
    "tooltipText",
    "hideSortIcon",
];
var StyledSortingIcon = styles.styled(ButtonIcon, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$d.includes(prop); },
})(templateObject_1$C || (templateObject_1$C = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var _a = props.active, active = _a === void 0 ? false : _a;
    var spacings = getSpaces(props);
    var colors = getColors(props);
    return "\n      margin-left: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n      margin-bottom: 2px;\n      color: ").concat(active ? colors === null || colors === void 0 ? void 0 : colors.primary[400] : colors === null || colors === void 0 ? void 0 : colors.gray[400], ";\n      opacity: ").concat(active ? 1 : 0, ";\n      outline: none !important;\n    ");
});
var StyledTableHeader$1 = styles.styled("th", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$d.includes(prop); },
})(templateObject_2$m || (templateObject_2$m = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontHeaderS, function (props) {
    var _a = props.active, active = _a === void 0 ? false : _a, _b = props.horizontalAlign, horizontalAlign = _b === void 0 ? "left" : _b;
    var spacings = getSpaces(props);
    var typography = getTypography(props);
    var colors = getColors(props);
    return "\n      color: ".concat(active ? colors === null || colors === void 0 ? void 0 : colors.primary[400] : colors === null || colors === void 0 ? void 0 : colors.gray[600], ";\n      font-family: ").concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n      padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n      text-align: ").concat(horizontalAlign, ";\n      min-width: 96px;\n      width: 96px;\n      cursor: pointer;\n      vertical-align: bottom;\n\n      & .MuiButtonBase-root {\n        outline: none;\n      }\n\n      &:hover {\n        color: ").concat(active ? colors === null || colors === void 0 ? void 0 : colors.primary[500] : "black", ";\n\n        & .MuiButtonBase-root {\n          color: ").concat(active ? colors === null || colors === void 0 ? void 0 : colors.primary[500] : colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n          opacity: 1;\n        }\n      }\n    ");
});
var StyledCellHeaderContainer = styles.styled("div", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$d.includes(prop); },
})(templateObject_3$e || (templateObject_3$e = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var _a = props.horizontalAlign, horizontalAlign = _a === void 0 ? "left" : _a;
    return "\n      align-items: flex-end;\n      width: 100%;\n      display: flex;\n      justify-content: ".concat(horizontalAlign ? contentPositionMapping[horizontalAlign] : "flex-start", ";\n    ");
});
var templateObject_1$C, templateObject_2$m, templateObject_3$e;

var CellHeaderContent = function (props) {
    var active = props.active, children = props.children, _a = props.direction, direction = _a === void 0 ? "desc" : _a, _b = props.hideSortIcon, hideSortIcon = _b === void 0 ? false : _b, horizontalAlign = props.horizontalAlign;
    var sdsIconName = direction === "asc" ? "chevronUp" : "chevronDown";
    var sortIcon = (React__default["default"].createElement(StyledSortingIcon, { "aria-label": direction === "asc"
            ? "Change sort direction from ascending to descending"
            : "Change sort direction from descending to ascending", sdsType: "tertiary", sdsSize: "small", active: active, sdsIcon: sdsIconName }));
    return (React__default["default"].createElement(StyledCellHeaderContainer, { horizontalAlign: horizontalAlign },
        React__default["default"].createElement("span", null, children),
        !hideSortIcon && sortIcon));
};
var CellHeader = React.forwardRef(function (props, ref) {
    var children = props.children, _a = props.shouldShowTooltipOnHover, shouldShowTooltipOnHover = _a === void 0 ? false : _a, tooltipProps = props.tooltipProps, _b = props.tooltipText, tooltipText = _b === void 0 ? "" : _b, tooltipSubtitle = props.tooltipSubtitle, rest = __rest(props, ["children", "shouldShowTooltipOnHover", "tooltipProps", "tooltipText", "tooltipSubtitle"]);
    if (shouldShowTooltipOnHover) {
        return (React__default["default"].createElement(Tooltip, __assign({ arrow: true, placement: "top-start", sdsStyle: "dark", subtitle: tooltipSubtitle, title: tooltipText }, tooltipProps),
            React__default["default"].createElement(StyledTableHeader$1, __assign({ ref: ref }, rest),
                React__default["default"].createElement(CellHeaderContent, __assign({}, props), children))));
    }
    return (React__default["default"].createElement(StyledTableHeader$1, __assign({ ref: ref }, rest),
        React__default["default"].createElement(CellHeaderContent, __assign({}, props), children)));
});

var small = function (props) {
    var spacings = getSpaces(props);
    return react.css(templateObject_1$B || (templateObject_1$B = __makeTemplateObject(["\n    height: ", "px;\n    padding: ", "px ", "px;\n\n    .MuiChip-label {\n      ", "\n      padding: 0;\n    }\n  "], ["\n    height: ", "px;\n    padding: ", "px ", "px;\n\n    .MuiChip-label {\n      ", "\n      padding: 0;\n    }\n  "])), spacings === null || spacings === void 0 ? void 0 : spacings.l, spacings === null || spacings === void 0 ? void 0 : spacings.xxs, spacings === null || spacings === void 0 ? void 0 : spacings.xs, fontCapsXxxxs(props));
};
var medium = function (props) {
    var spacings = getSpaces(props);
    var colors = getColors(props);
    return react.css(templateObject_2$l || (templateObject_2$l = __makeTemplateObject(["\n    margin: 0 ", "px;\n    height: 24px;\n\n    background-color: ", ";\n\n    &:hover {\n      background-color: ", ";\n    }\n\n    &:active {\n      background-color: ", ";\n    }\n\n    .MuiChip-label {\n      ", "\n      color: white;\n      padding-left: ", "px;\n    }\n\n    .MuiChip-deleteIcon {\n      color: white;\n      padding-right: ", "px;\n      margin: 0 0 0 -", "px;\n      height: ", "px;\n      width: ", "px;\n\n      &:hover,\n      &:focus-visible {\n        color: white;\n      }\n    }\n  "], ["\n    margin: 0 ", "px;\n    height: 24px;\n\n    background-color: ", ";\n\n    &:hover {\n      background-color: ", ";\n    }\n\n    &:active {\n      background-color: ", ";\n    }\n\n    .MuiChip-label {\n      ", "\n      color: white;\n      padding-left: ", "px;\n    }\n\n    .MuiChip-deleteIcon {\n      color: white;\n      padding-right: ", "px;\n      margin: 0 0 0 -", "px;\n      height: ", "px;\n      width: ", "px;\n\n      &:hover,\n      &:focus-visible {\n        color: white;\n      }\n    }\n  "])), spacings === null || spacings === void 0 ? void 0 : spacings.s, colors === null || colors === void 0 ? void 0 : colors.primary[400], colors === null || colors === void 0 ? void 0 : colors.primary[500], colors === null || colors === void 0 ? void 0 : colors.primary[600], fontHeaderXs(props), spacings === null || spacings === void 0 ? void 0 : spacings.s, spacings === null || spacings === void 0 ? void 0 : spacings.xxs, spacings === null || spacings === void 0 ? void 0 : spacings.s, spacings === null || spacings === void 0 ? void 0 : spacings.l, spacings === null || spacings === void 0 ? void 0 : spacings.l);
};
var rounded$3 = function (props) {
    var corners = getCorners(props);
    return react.css(templateObject_3$d || (templateObject_3$d = __makeTemplateObject(["\n    border-radius: ", "px;\n  "], ["\n    border-radius: ", "px;\n  "])), corners === null || corners === void 0 ? void 0 : corners.l);
};
var square$2 = function (props) {
    var corners = getCorners(props);
    return react.css(templateObject_4$b || (templateObject_4$b = __makeTemplateObject(["\n    border-radius: ", "px;\n  "], ["\n    border-radius: ", "px;\n  "])), corners === null || corners === void 0 ? void 0 : corners.m);
};
var success = function (props) {
    return createStatusCss(props, "success");
};
var error$3 = function (props) {
    return createStatusCss(props, "error");
};
var beta = function (props) {
    return createStatusCss(props, "beta");
};
var pending = function (props) {
    return createStatusCss(props, "pending");
};
var warning$3 = function (props) {
    return createStatusCss(props, "warning");
};
var info = function (props) {
    return createStatusCss(props, "info");
};
function createStatusCss(props, status) {
    var colors = getColors(props);
    if (!colors)
        return;
    var statusToColors = {
        beta: {
            dark: colors.beta[600],
            light: colors.beta[200],
        },
        error: {
            dark: colors.error[600],
            light: colors.error[200],
        },
        info: {
            dark: colors.info[600],
            light: colors.info[200],
        },
        pending: {
            dark: colors.gray[600],
            light: colors.gray[200],
        },
        success: {
            dark: colors.success[600],
            light: colors.success[200],
        },
        warning: {
            dark: colors.warning[600],
            light: colors.warning[200],
        },
    };
    var statusColors = statusToColors[status];
    return react.css(templateObject_5$9 || (templateObject_5$9 = __makeTemplateObject(["\n    background-color: ", ";\n\n    .MuiChip-label {\n      color: ", ";\n    }\n  "], ["\n    background-color: ", ";\n\n    .MuiChip-label {\n      color: ", ";\n    }\n  "])), statusColors.light, statusColors.dark);
}
var statusToCss = {
    beta: beta,
    error: error$3,
    info: info,
    pending: pending,
    success: success,
    warning: warning$3,
};
var doNotForwardProps$c = ["isRounded"];
var StyledChip = styles.styled(material.Chip, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$c.includes(prop); },
})(templateObject_7$6 || (templateObject_7$6 = __makeTemplateObject(["\n  border: none;\n\n  ", "\n"], ["\n  border: none;\n\n  ", "\n"])), function (props) {
    var size = props.size, status = props.status, isRounded = props.isRounded;
    return react.css(templateObject_6$7 || (templateObject_6$7 = __makeTemplateObject(["\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n    "], ["\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n    "])), isRounded && rounded$3(props), !isRounded && square$2(props), size === "small" && small(props), size === "medium" && medium(props), status && statusToCss[status](props));
});
var templateObject_1$B, templateObject_2$l, templateObject_3$d, templateObject_4$b, templateObject_5$9, templateObject_6$7, templateObject_7$6;

/**
 * @see https://mui.com/material-ui/react-chip/
 */
var Chip = function (props) {
    showWarningIfFirstOccurence(SDSWarningTypes.ChipDeprecated);
    var onDelete = props.onDelete;
    if (onDelete) {
        return React__default["default"].createElement(StyledChip, __assign({ deleteIcon: React__default["default"].createElement(iconsMaterial.Clear, null) }, props));
    }
    return React__default["default"].createElement(StyledChip, __assign({}, props));
};

var noop = function () { };

var fontBodyXs$2 = fontBody("xs");
var StyledMenuItem$1 = styles.styled(material.MenuItem)(templateObject_1$A || (templateObject_1$A = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var selected = props.selected;
    var colors = getColors(props);
    var fontWeights = getFontWeights(props);
    var spacings = getSpaces(props);
    var primary = colors === null || colors === void 0 ? void 0 : colors.primary[400];
    return "\n      padding: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px !important;\n      min-height: unset;\n      opacity: 1;\n\n      &.MuiAutocomplete-option {\n        min-height: unset;\n      }\n      \n      .primary-text {\n        font-weight: ").concat(selected ? fontWeights === null || fontWeights === void 0 ? void 0 : fontWeights.semibold : fontWeights === null || fontWeights === void 0 ? void 0 : fontWeights.regular, ";\n      }\n\n      &.MuiButtonBase-root {\n        background-color: transparent;\n        opacity: 1;\n\n        &:hover, &.").concat(material.menuItemClasses.focusVisible, " {\n          background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n\n          &[aria-selected=\"true\"] {\n            background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n          }\n        }\n      }\n\n      &.MuiMenuItem-root .MuiSvgIcon-root {\n        align-self: flex-start;\n      }\n\n      &.MuiMenuItem-root .Mui-disabled {\n        opacity: 1 !important;\n      }\n\n      &.MuiAutocomplete-option[aria-selected=\"true\"] {\n        &:hover {\n          background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], " !important;\n        }\n\n        svg.check-icon {\n          color: ").concat(selected ? primary : colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n        }\n      }\n\n      &.MuiAutocomplete-option[aria-disabled=\"true\"] {\n        opacity: 1;\n      }\n\n      &:hover {\n        background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n        svg.check-icon {\n          color: ").concat(selected ? primary : colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n        }\n      }\n\n      &.Mui-selected.MuiListItem-root.MuiListItem-button {\n        background-color: white;\n        &:hover {\n          background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n        }\n        .primary-text {\n          font-weight: ").concat(fontWeights === null || fontWeights === void 0 ? void 0 : fontWeights.semibold, ";\n        }\n      }\n\n      &:active {\n        svg.check-icon {\n          color: ").concat(primary, ";\n        }\n\n        &:active {\n          svg.check-icon {\n            color: ").concat(primary, ";\n          }\n\n          .primary-text {\n            font-weight: ").concat(fontWeights === null || fontWeights === void 0 ? void 0 : fontWeights.semibold, ";\n          }\n        }\n      }\n    ");
});
var ContentWrapper = styles.styled("span")(templateObject_2$k || (templateObject_2$k = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  align-items: flex-start;\n  width: 100%;\n"], ["\n  display: flex;\n  justify-content: space-between;\n  align-items: flex-start;\n  width: 100%;\n"])));
var disabledStyles = function (props) {
    var disabled = props.disabled;
    if (!disabled)
        return "";
    var colors = getColors(props);
    return "\n    color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n    cursor: default;\n  ");
};
var TextWrapper = styles.styled("span")(templateObject_3$c || (templateObject_3$c = __makeTemplateObject(["\n  ", "\n\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n\n  ", "\n"])), fontBodyXs$2, function (props) {
    var _a;
    var palette = getPalette(props);
    return "\n      color: ".concat((_a = palette === null || palette === void 0 ? void 0 : palette.text) === null || _a === void 0 ? void 0 : _a.primary, ";\n      display: flex;\n      white-space: pre-wrap;\n    ");
}, disabledStyles);
var StyledMenuItemIcon = styles.styled("span")(templateObject_4$a || (templateObject_4$a = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var disabled = props.disabled;
    var spacings = getSpaces(props);
    var iconSizes = getIconSizes(props);
    var colors = getColors(props);
    return "\n      margin-right: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n      margin-top: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxxs, "px;\n      height: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.height, "px;\n\n      .MuiSvgIcon-root {\n        ").concat(disabled ? "color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";") : null, "\n      }\n    ");
});
var ColumnWrapper = styles.styled("span")(templateObject_5$8 || (templateObject_5$8 = __makeTemplateObject(["\n  ", "\n\n  text-align: right;\n  color: black;\n  margin-left: 10px;\n\n  ", "\n"], ["\n  ", "\n\n  text-align: right;\n  color: black;\n  margin-left: 10px;\n\n  ", "\n"])), fontBodyXs$2, disabledStyles);
styles.styled("div")(templateObject_6$6 || (templateObject_6$6 = __makeTemplateObject(["\n  width: 250px;\n"], ["\n  width: 250px;\n"])));
var StyledCheckIconWrapper = styles.styled("span")(templateObject_7$5 || (templateObject_7$5 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var spacings = getSpaces(props);
    var iconSizes = getIconSizes(props);
    return "\n      align-self: start;\n      margin-right: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n      margin-top: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxxs, "px;\n      height: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.height, "px;\n    ");
});
var StyledCheck = styles.styled(iconsMaterial.Check, {
    shouldForwardProp: function (prop) { return prop !== "selected"; },
})(templateObject_8$3 || (templateObject_8$3 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var selected = props.selected, disabled = props.disabled;
    var colors = getColors(props);
    var iconSizes = getIconSizes(props);
    var selectedColor = disabled ? colors === null || colors === void 0 ? void 0 : colors.gray[300] : colors === null || colors === void 0 ? void 0 : colors.primary[400];
    return "\n      color: ".concat(selected ? selectedColor : "transparent", ";\n      padding: 0;\n      height: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.height, "px;\n      width: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.width, "px;\n\n      &.MuiCheckbox-colorPrimary.Mui-checked:hover {\n        background-color: transparent;\n      }\n    ");
});
var templateObject_1$A, templateObject_2$k, templateObject_3$c, templateObject_4$a, templateObject_5$8, templateObject_6$6, templateObject_7$5, templateObject_8$3;

/**
 * @see https://mui.com/material-ui/react-menu/
 */
var MenuItem = React.forwardRef(function MenuItem(props, ref) {
    var children = props.children, _a = props.column, column = _a === void 0 ? null : _a, disabled = props.disabled, _b = props.isMultiSelect, isMultiSelect = _b === void 0 ? false : _b, sdsIcon = props.sdsIcon, sdsIconProps = props.sdsIconProps, originalMenuItemProps = __rest(props, ["children", "column", "disabled", "isMultiSelect", "sdsIcon", "sdsIconProps"]);
    var _c = originalMenuItemProps.selected, selected = _c === void 0 ? false : _c;
    return (React__default["default"].createElement(StyledMenuItem$1, __assign({}, originalMenuItemProps, { disabled: disabled, ref: ref }),
        isMultiSelect && (
        // TODO (mlila): replace with sds InputCheckbox class once complete
        React__default["default"].createElement(StyledCheckIconWrapper, null,
            React__default["default"].createElement(StyledCheck, { className: "check-icon", selected: selected, color: "primary", disabled: disabled }))),
        React__default["default"].createElement(ContentWrapper, null,
            React__default["default"].createElement(TextWrapper, { selected: selected, className: "primary-text", disabled: disabled },
                sdsIcon && (React__default["default"].createElement(StyledMenuItemIcon, { disabled: disabled },
                    React__default["default"].createElement(Icon, __assign({}, sdsIconProps, { sdsType: "static", sdsIcon: sdsIcon, sdsSize: "s" })))),
                children),
            column && React__default["default"].createElement(ColumnWrapper, { disabled: disabled }, column))));
});

var sdsPropNames$3 = ["sdsStyle", "sdsStage", "intent", "handleSubmit"];
var rounded$2 = function (props) {
    var corners = getCorners(props);
    var borders = getBorders(props);
    return react.css(templateObject_1$z || (templateObject_1$z = __makeTemplateObject(["\n    .", " {\n      border-radius: ", "px;\n      border: ", ";\n    }\n  "], ["\n    .", " {\n      border-radius: ", "px;\n      border: ", ";\n    }\n  "])), material.outlinedInputClasses.notchedOutline, corners === null || corners === void 0 ? void 0 : corners.l, borders === null || borders === void 0 ? void 0 : borders.gray[400]);
};
var error$2 = function (props) {
    var borders = getBorders(props);
    return react.css(templateObject_2$j || (templateObject_2$j = __makeTemplateObject(["\n    .", " {\n      border: ", ";\n    }\n  "], ["\n    .", " {\n      border: ", ";\n    }\n  "])), material.outlinedInputClasses.notchedOutline, borders === null || borders === void 0 ? void 0 : borders.error[400]);
};
var warning$2 = function (props) {
    var borders = getBorders(props);
    return react.css(templateObject_3$b || (templateObject_3$b = __makeTemplateObject(["\n    .", " {\n      border: ", ";\n    }\n  "], ["\n    .", " {\n      border: ", ";\n    }\n  "])), material.outlinedInputClasses.notchedOutline, borders === null || borders === void 0 ? void 0 : borders.warning[400]);
};
var disabledStyled$2 = function (props) {
    var borders = getBorders(props);
    var colors = getColors(props);
    return react.css(templateObject_4$9 || (templateObject_4$9 = __makeTemplateObject(["\n    .Mui-disabled {\n      .", " {\n        border: ", ";\n      }\n\n      .MuiInputAdornment-root svg {\n        color: ", ";\n      }\n\n      &:hover .", " {\n        border: ", ";\n      }\n    }\n  "], ["\n    .Mui-disabled {\n      .", " {\n        border: ", ";\n      }\n\n      .MuiInputAdornment-root svg {\n        color: ", ";\n      }\n\n      &:hover .", " {\n        border: ", ";\n      }\n    }\n  "])), material.outlinedInputClasses.notchedOutline, borders === null || borders === void 0 ? void 0 : borders.gray[300], colors === null || colors === void 0 ? void 0 : colors.gray[300], material.outlinedInputClasses.notchedOutline, borders === null || borders === void 0 ? void 0 : borders.gray[300]);
};
var StyledLabel$2 = styles.styled("label")(templateObject_5$7 || (templateObject_5$7 = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontBodyM$1, function (props) {
    var typography = getTypography(props);
    var spacings = getSpaces(props);
    return "\n      font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n      margin-bottom: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px;\n      position: absolute;\n      overflow: hidden;\n      clip: rect(0 0 0 0);\n      height: 1px;\n      width: 1px;\n      margin: -1px; \n      padding: 0; \n      border: 0;\n    ");
});
var StyledSearchBase = styles.styled(material.TextField, {
    shouldForwardProp: function (prop) {
        return !sdsPropNames$3.includes(prop.toString());
    },
})(templateObject_7$4 || (templateObject_7$4 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var intent = props.intent, disabled = props.disabled, sdsStyle = props.sdsStyle;
    var spacings = getSpaces(props);
    var borders = getBorders(props);
    var colors = getColors(props);
    return react.css(templateObject_6$5 || (templateObject_6$5 = __makeTemplateObject(["\n      margin-top: ", "px;\n      margin-bottom: ", "px;\n      margin-right: ", "px;\n      min-width: 120px;\n      display: block;\n\n      .", " {\n        .", " {\n          border: ", ";\n        }\n      }\n\n      .", " {\n        padding: ", "px 0 ", "px ", "px;\n        height: 34px;\n        box-sizing: border-box;\n        background-color: #fff;\n      }\n\n      .", ":hover\n        .", " {\n        border: ", ";\n      }\n\n      .", ".Mui-focused {\n        .", " {\n          border: ", ";\n        }\n\n        .", " svg {\n          color: ", ";\n        }\n      }\n\n      ", "\n      ", "\n      ", "\n      ", "\n    "], ["\n      margin-top: ", "px;\n      margin-bottom: ", "px;\n      margin-right: ", "px;\n      min-width: 120px;\n      display: block;\n\n      .", " {\n        .", " {\n          border: ", ";\n        }\n      }\n\n      .", " {\n        padding: ", "px 0 ", "px ", "px;\n        height: 34px;\n        box-sizing: border-box;\n        background-color: #fff;\n      }\n\n      .", ":hover\n        .", " {\n        border: ", ";\n      }\n\n      .", ".Mui-focused {\n        .", " {\n          border: ", ";\n        }\n\n        .", " svg {\n          color: ", ";\n        }\n      }\n\n      ", "\n      ", "\n      ", "\n      ", "\n    "])), spacings === null || spacings === void 0 ? void 0 : spacings.m, spacings === null || spacings === void 0 ? void 0 : spacings.m, spacings === null || spacings === void 0 ? void 0 : spacings.xl, material.outlinedInputClasses.root, material.outlinedInputClasses.notchedOutline, borders === null || borders === void 0 ? void 0 : borders.gray[400], material.inputBaseClasses.inputSizeSmall, spacings === null || spacings === void 0 ? void 0 : spacings.xs, spacings === null || spacings === void 0 ? void 0 : spacings.xs, spacings === null || spacings === void 0 ? void 0 : spacings.l, material.outlinedInputClasses.root, material.outlinedInputClasses.notchedOutline, borders === null || borders === void 0 ? void 0 : borders.gray[500], material.outlinedInputClasses.root, material.outlinedInputClasses.notchedOutline, borders === null || borders === void 0 ? void 0 : borders.primary[400], material.inputAdornmentClasses.root, colors === null || colors === void 0 ? void 0 : colors.primary[400], sdsStyle === "rounded" && rounded$2(props), intent === "error" && error$2(props), intent === "warning" && warning$2(props), disabled && disabledStyled$2(props));
});
var templateObject_1$z, templateObject_2$j, templateObject_3$b, templateObject_4$9, templateObject_5$7, templateObject_6$5, templateObject_7$4;

/**
 * @see https://mui.com/material-ui/react-text-field/
 */
var InputSearch = React.forwardRef(function InputSearch(props, ref) {
    var label = props.label, id = props.id, placeholder = props.placeholder, _a = props.sdsStyle, sdsStyle = _a === void 0 ? "square" : _a, _b = props.intent, intent = _b === void 0 ? "default" : _b, handleSubmit = props.handleSubmit, onChange = props.onChange, rest = __rest(props, ["label", "id", "placeholder", "sdsStyle", "intent", "handleSubmit", "onChange"]);
    var _c = React.useState(false), hasValue = _c[0], setHasValue = _c[1];
    var _d = React.useState(""), value = _d[0], setValue = _d[1];
    var handleChange = function (event) {
        if (event.target.value) {
            setHasValue(true);
        }
        else {
            setHasValue(false);
        }
        setValue(event.target.value);
        if (onChange)
            onChange(event);
    };
    var localHandleSubmit = function () {
        if (handleSubmit)
            handleSubmit(value);
    };
    var handleKeyPress = function (event) {
        if (event.key === "Enter") {
            event.preventDefault();
            if (handleSubmit)
                handleSubmit(value);
        }
    };
    if (!id || !label) {
        // eslint-disable-next-line no-console
        console.error("Error: czifui component InputText requires id and label props for accessibility.");
        return React__default["default"].createElement(React__default["default"].Fragment, null);
    }
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        React__default["default"].createElement(StyledLabel$2, { htmlFor: id }, label),
        React__default["default"].createElement(StyledSearchBase, __assign({ ref: ref, 
            // passed to mui Input
            InputProps: {
                endAdornment: (React__default["default"].createElement(material.InputAdornment, { position: "end" },
                    React__default["default"].createElement(ButtonIcon, { "aria-label": "search-button", onClick: localHandleSubmit, sdsType: "secondary", sdsSize: "small", sdsIconProps: {
                            sdsType: "interactive",
                        }, sdsIcon: "search" }))),
            }, type: "search", id: id, variant: "outlined", size: "small", placeholder: placeholder, value: value, sdsStyle: sdsStyle, sdsStage: hasValue ? "userInput" : "default", onChange: handleChange, onKeyPress: handleKeyPress, intent: intent }, rest))));
});

var doNotForwardProps$b = [
    "anchorEl",
    "count",
    "keepSearchOnSelect",
    "search",
    "InputBaseProps",
    "hasSections",
    "title",
    "PopperBaseProps",
    "onClickAway",
];
var StyledAutocomplete$1 = styles.styled(Autocomplete__default["default"], {
    shouldForwardProp: function (prop) { return !doNotForwardProps$b.includes(prop); },
})(templateObject_1$y || (templateObject_1$y = __makeTemplateObject(["\n  + .MuiAutocomplete-popper\n    > .MuiAutocomplete-paper\n    .MuiAutocomplete-groupLabel {\n    ", "\n  }\n\n  ", "\n"], ["\n  + .MuiAutocomplete-popper\n    > .MuiAutocomplete-paper\n    .MuiAutocomplete-groupLabel {\n    ", "\n  }\n\n  ", "\n"])), fontCapsXxxxs, function (props) {
    var search = props.search, title = props.title, hasSections = props.hasSections;
    var spacings = getSpaces(props);
    var colors = getColors(props);
    var borders = getBorders(props);
    return "\n      ".concat(!search && "height: 0", ";\n\n      .MuiOutlinedInput-root.MuiInputBase-formControl.MuiInputBase-adornedEnd {\n        padding: 0 ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px 0 0;\n\n        .MuiAutocomplete-input {\n          padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n        }\n      }\n\n      & + .MuiAutocomplete-popper {\n        position: relative !important;\n        transform: none !important;\n        width: 100% !important;\n      }\n\n      & + .MuiAutocomplete-popper > .MuiAutocomplete-paper {\n\n      ").concat(search || title || hasSections
        ? "padding-left: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px !important;")
        : "", "\n\n      .MuiAutocomplete-listbox {\n        max-height: 40vh;\n        padding-top: 0;\n        padding-bottom: 0;\n        \n        ").concat(search || title || hasSections
        ? "padding-right: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;")
        : "", "\n\n        .MuiAutocomplete-option {\n          min-height: unset;\n        }\n\n        .MuiAutocomplete-option.Mui-focused {\n          background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n        }\n\n        .MuiAutocomplete-option[aria-selected=\"true\"] {\n          background-color: white;\n        }\n\n        .MuiAutocomplete-option[aria-disabled=\"true\"] {\n          opacity: 1;\n        }\n\n        .MuiAutocomplete-option[aria-selected=\"true\"].Mui-focused {\n          background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n        }\n\n        & > li:last-child .MuiAutocomplete-groupUl {\n          border-bottom: none;\n          margin-bottom: 0;\n        }\n      }\n\n      .MuiAutocomplete-groupLabel {\n        top: 0;\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n        padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px 0 ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px 0;\n      }\n\n      .MuiAutocomplete-groupUl {\n        margin-bottom: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n        position: relative;\n        padding: 0 0 ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px 0 0;\n        border-bottom: ").concat(borders === null || borders === void 0 ? void 0 : borders.gray[200], ";\n\n        & li:last-of-type {\n          position: relative;\n          margin-bottom: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px;\n        }\n      } \n    ");
});
var InputBaseWrapper$1 = styles.styled("div", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$b.includes(prop); },
})(templateObject_2$i || (templateObject_2$i = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var search = props.search;
    if (!search) {
        // (thuang): We cannot use `display: none;` here, since
        // the component needs to be in the DOM to handle backdrop
        // click to close the menu
        return "\n        border: 0;\n        padding: 0;\n\n        white-space: nowrap;\n\n        clip-path: inset(100%);\n        clip: rect(0 0 0 0);\n        overflow: hidden;\n        margin: 0;\n      ";
    }
    var spacings = getSpaces(props);
    return "\n      margin: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n    ");
});
var StyledMenuInputSearch$1 = styles.styled(InputSearch, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$b.includes(prop); },
})(templateObject_3$a || (templateObject_3$a = __makeTemplateObject(["\n  margin: 0;\n  .MuiInputBase-root {\n    width: 100%;\n  }\n  /* (thuang): Works with attribute inputMode: \"none\" to hide mobile keyboard */\n  caret-color: ", ";\n"], ["\n  margin: 0;\n  .MuiInputBase-root {\n    width: 100%;\n  }\n  /* (thuang): Works with attribute inputMode: \"none\" to hide mobile keyboard */\n  caret-color: ", ";\n"])), function (_a) {
    var search = _a.search;
    return (search ? "auto" : "transparent");
});
var StyledHeaderTitle = styles.styled("div", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$b.includes(prop); },
})(templateObject_4$8 || (templateObject_4$8 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontHeaderXs, function (props) {
    var search = props.search;
    var typography = getTypography(props);
    var spacings = getSpaces(props);
    return "\n      font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n      color: black;\n      padding-top: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px;\n      padding-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n      padding-left: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px; \n      ").concat(search ? "padding-bottom: 0px;" : "padding-bottom: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;"), "\n    ");
});
var StyledPopper = styles.styled(material.Popper, {
    shouldForwardProp: function (prop) {
        return !doNotForwardProps$b.includes(prop) || prop === "anchorEl";
    },
})(templateObject_5$6 || (templateObject_5$6 = __makeTemplateObject(["\n  .MuiAutocomplete-popperDisablePortal {\n    position: relative;\n    width: 100% !important;\n    box-shadow: none;\n    padding: 0;\n    border: none;\n  }\n\n  ", "\n"], ["\n  .MuiAutocomplete-popperDisablePortal {\n    position: relative;\n    width: 100% !important;\n    box-shadow: none;\n    padding: 0;\n    border: none;\n  }\n\n  ", "\n"])), function (props) {
    var borders = getBorders(props);
    var corners = getCorners(props);
    var shadows = getShadows(props);
    var spacings = getSpaces(props);
    return "\n      background-color: white;\n      border: ".concat(borders === null || borders === void 0 ? void 0 : borders.gray[100], ";\n      border-radius: ").concat(corners === null || corners === void 0 ? void 0 : corners.m, "px;\n      box-shadow: ").concat(shadows === null || shadows === void 0 ? void 0 : shadows.m, ";\n      padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n      box-sizing: border-box;\n      z-index: 1400;\n    ");
});
var StyledPaper$1 = styles.styled(material.Paper)(templateObject_6$4 || (templateObject_6$4 = __makeTemplateObject(["\n  box-shadow: none;\n  margin: 0;\n  border-radius: 0;\n  padding-top: 0;\n  padding-bottom: 0;\n"], ["\n  box-shadow: none;\n  margin: 0;\n  border-radius: 0;\n  padding-top: 0;\n  padding-bottom: 0;\n"])));
var StyledMenuItemDetails = styles.styled("div")(templateObject_7$3 || (templateObject_7$3 = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontBodyXxs$1, function (props) {
    var colors = getColors(props);
    return "\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n      white-space: pre-wrap;\n    ");
});
var StyledMenuItemText = styles.styled("div")(templateObject_8$2 || (templateObject_8$2 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n"], ["\n  display: flex;\n  flex-direction: column;\n"])));
var templateObject_1$y, templateObject_2$i, templateObject_3$a, templateObject_4$8, templateObject_5$6, templateObject_6$4, templateObject_7$3, templateObject_8$2;

var DropdownMenu = function (props) {
    var _a = props.multiple, multiple = _a === void 0 ? false : _a, anchorEl = props.anchorEl, _b = props.disableCloseOnSelect, disableCloseOnSelect = _b === void 0 ? multiple : _b, _c = props.getOptionLabel, getOptionLabel = _c === void 0 ? defaultGetOptionLabel : _c, id = props.id, _d = props.InputBaseProps, InputBaseProps = _d === void 0 ? {} : _d, _e = props.isOptionEqualToValue, isOptionEqualToValue = _e === void 0 ? defaultIsOptionEqualToValue : _e, _f = props.keepSearchOnSelect, keepSearchOnSelect = _f === void 0 ? true : _f, _g = props.loading, loading = _g === void 0 ? false : _g, _h = props.loadingText, loadingText = _h === void 0 ? "" : _h, _j = props.noOptionsText, noOptionsText = _j === void 0 ? "No options" : _j, _k = props.onInputChange, onInputChange = _k === void 0 ? noop : _k, _l = props.open, open = _l === void 0 ? false : _l, _m = props.PaperComponent, PaperComponent = _m === void 0 ? StyledPaper$1 : _m, _o = props.PopperComponent, PopperComponent = _o === void 0 ? StyledPopper : _o, _p = props.PopperBaseProps, PopperBaseProps = _p === void 0 ? {} : _p, _q = props.renderOption, renderOption = _q === void 0 ? defaultRenderOption : _q, _r = props.renderTags, renderTags = _r === void 0 ? defaultRenderTags : _r, _s = props.search, search = _s === void 0 ? false : _s, title = props.title, children = props.children, onClickAway = props.onClickAway;
    var _t = React.useState(""), inputValue = _t[0], setInputValue = _t[1];
    return (React__default["default"].createElement(PopperComponent, __assign({ id: id, modifiers: [
            {
                name: "offset",
                options: {
                    offset: [0, 8],
                },
            },
        ], open: open, anchorEl: anchorEl, placement: "bottom-start" }, PopperBaseProps),
        React__default["default"].createElement(material.ClickAwayListener, { onClickAway: onClickAway },
            React__default["default"].createElement("div", null,
                title && (React__default["default"].createElement(StyledHeaderTitle, { search: search }, title)),
                React__default["default"].createElement(StyledAutocomplete$1, __assign({ clearOnBlur: false, disableCloseOnSelect: disableCloseOnSelect, disablePortal: true, renderTags: renderTags, loading: loading, loadingText: loadingText, noOptionsText: noOptionsText, PaperComponent: PaperComponent, renderOption: renderOption, getOptionLabel: getOptionLabel, isOptionEqualToValue: isOptionEqualToValue, inputValue: inputValue, renderInput: function (params) { return (React__default["default"].createElement(InputBaseWrapper$1, { search: search },
                        React__default["default"].createElement(StyledMenuInputSearch$1, __assign({ id: "location-search", label: "Search for a location", placeholder: "Search", ref: params.InputProps.ref, search: search, autoFocus: true, 
                            // (masoudmanson): This prevents Backspace from deselecting selected dropdown options.
                            onKeyDown: function (event) {
                                if (event.key === "Backspace") {
                                    event.stopPropagation();
                                }
                            }, InputProps: __assign(__assign({ 
                                /**
                                 * (thuang): Works with css caret-color: "transparent" to hide
                                 * mobile keyboard
                                 */
                                inputMode: search ? "text" : "none" }, params.InputProps.ref), { endAdornment: (React__default["default"].createElement(material.InputAdornment, { position: "end" },
                                    React__default["default"].createElement(ButtonIcon, { sdsType: "secondary", sdsSize: "small", sdsIcon: "search" }))), inputProps: params.inputProps }) }, InputBaseProps)))); } }, props, { onInputChange: function (event, value, reason) {
                        if (event && event.type === "blur") {
                            setInputValue("");
                        }
                        else if (reason !== "reset" ||
                            (reason === "reset" && !keepSearchOnSelect)) {
                            setInputValue(value);
                        }
                        if (onInputChange)
                            onInputChange(event, value, reason);
                    } })),
                children))));
    function defaultGetOptionLabel(option) {
        if (typeof option === "object" && "name" in option)
            return option.name;
        return option.toString();
    }
    function defaultIsOptionEqualToValue(option, val) {
        return option.name === val.name;
    }
    function defaultRenderTags() {
        return null;
    }
    function defaultRenderOption(optionProps, option, _a) {
        var selected = _a.selected;
        var MenuItemContent;
        var component = option.component, name = option.name, details = option.details, count = option.count, sdsIcon = option.sdsIcon, sdsIconProps = option.sdsIconProps;
        if (component) {
            MenuItemContent = component;
        }
        else {
            MenuItemContent = (React__default["default"].createElement(StyledMenuItemText, null,
                name,
                details && (React__default["default"].createElement(StyledMenuItemDetails, { className: "menuItem-details" }, details))));
        }
        return (React__default["default"].createElement(MenuItem, __assign({ column: count, disabled: optionProps["aria-disabled"] === true, sdsIcon: sdsIcon, sdsIconProps: sdsIconProps, isMultiSelect: multiple, selected: selected }, optionProps), MenuItemContent));
    }
};

var labelFontBodyS = fontBody("s");
var labelFontBodyXs = fontBody("xs");
var inputDropdownStyles = function (props) {
    var _a, _b, _c;
    var colors = getColors(props);
    var palette = getPalette(props);
    var spacings = getSpaces(props);
    var borders = getBorders(props);
    return react.css(templateObject_1$x || (templateObject_1$x = __makeTemplateObject(["\n    border: ", ";\n    color: ", ";\n    cursor: pointer;\n    padding: ", "px;\n    justify-content: start;\n\n    &.MuiButton-text {\n      &:hover {\n        color: #000;\n      }\n\n      .styled-label {\n        margin-left: ", "px;\n        overflow: hidden;\n        white-space: nowrap;\n        text-overflow: ellipsis;\n      }\n\n      svg {\n        margin-right: ", "px;\n        margin-left: ", "px;\n      }\n    }\n\n    path {\n      fill: ", ";\n    }\n\n    &:hover {\n      background-color: unset;\n      border: ", ";\n      color: ", ";\n\n      path {\n        fill: ", ";\n      }\n\n      .styled-label {\n        color: #000;\n      }\n    }\n\n    &:active {\n      border: ", ";\n      color: ", ";\n\n      path {\n        fill: ", ";\n      }\n    }\n\n    &:focus {\n      outline-offset: -1px;\n    }\n  "], ["\n    border: ", ";\n    color: ", ";\n    cursor: pointer;\n    padding: ", "px;\n    justify-content: start;\n\n    &.MuiButton-text {\n      &:hover {\n        color: #000;\n      }\n\n      .styled-label {\n        margin-left: ", "px;\n        overflow: hidden;\n        white-space: nowrap;\n        text-overflow: ellipsis;\n      }\n\n      svg {\n        margin-right: ", "px;\n        margin-left: ", "px;\n      }\n    }\n\n    path {\n      fill: ", ";\n    }\n\n    &:hover {\n      background-color: unset;\n      border: ", ";\n      color: ", ";\n\n      path {\n        fill: ", ";\n      }\n\n      .styled-label {\n        color: #000;\n      }\n    }\n\n    &:active {\n      border: ", ";\n      color: ", ";\n\n      path {\n        fill: ", ";\n      }\n    }\n\n    &:focus {\n      outline-offset: -1px;\n    }\n  "])), borders === null || borders === void 0 ? void 0 : borders.gray[400], (_a = palette === null || palette === void 0 ? void 0 : palette.text) === null || _a === void 0 ? void 0 : _a.primary, spacings === null || spacings === void 0 ? void 0 : spacings.xs, spacings === null || spacings === void 0 ? void 0 : spacings.s, spacings === null || spacings === void 0 ? void 0 : spacings.s, spacings === null || spacings === void 0 ? void 0 : spacings.l, colors === null || colors === void 0 ? void 0 : colors.gray[500], borders === null || borders === void 0 ? void 0 : borders.gray[500], (_b = palette === null || palette === void 0 ? void 0 : palette.text) === null || _b === void 0 ? void 0 : _b.primary, colors === null || colors === void 0 ? void 0 : colors.gray[600], borders === null || borders === void 0 ? void 0 : borders.primary[400], (_c = palette === null || palette === void 0 ? void 0 : palette.text) === null || _c === void 0 ? void 0 : _c.primary, colors === null || colors === void 0 ? void 0 : colors.primary[400]);
};
var minimal$1 = function (props) {
    var colors = getColors(props);
    var spacings = getSpaces(props);
    return react.css(templateObject_2$h || (templateObject_2$h = __makeTemplateObject(["\n    ", "\n\n    /* this is needed to left align the label text */\n    align-items: flex-start;\n    border: none;\n    flex-direction: column;\n    padding: ", "px ", "px;\n\n    /* Nesting to increase CSS specificity for style override */\n    &.MuiButton-text {\n      .styled-label {\n        margin: 0;\n      }\n    }\n\n    span {\n      color: ", ";\n    }\n\n    path {\n      fill: ", ";\n    }\n\n    &:hover {\n      background-color: ", ";\n      border: none;\n    }\n\n    &:active {\n      background-color: ", ";\n      border: none;\n    }\n\n    &:focus {\n      outline: none;\n    }\n\n    &.MuiButton-root.MuiButton-text > span {\n      ", "\n      margin-left: 0;\n    }\n\n    &.MuiButton-root.MuiButton-text svg {\n      margin-left: ", "px;\n      margin-right: 0;\n    }\n  "], ["\n    ", "\n\n    /* this is needed to left align the label text */\n    align-items: flex-start;\n    border: none;\n    flex-direction: column;\n    padding: ", "px ", "px;\n\n    /* Nesting to increase CSS specificity for style override */\n    &.MuiButton-text {\n      .styled-label {\n        margin: 0;\n      }\n    }\n\n    span {\n      color: ", ";\n    }\n\n    path {\n      fill: ", ";\n    }\n\n    &:hover {\n      background-color: ", ";\n      border: none;\n    }\n\n    &:active {\n      background-color: ", ";\n      border: none;\n    }\n\n    &:focus {\n      outline: none;\n    }\n\n    &.MuiButton-root.MuiButton-text > span {\n      ", "\n      margin-left: 0;\n    }\n\n    &.MuiButton-root.MuiButton-text svg {\n      margin-left: ", "px;\n      margin-right: 0;\n    }\n  "])), labelStyle(props), spacings === null || spacings === void 0 ? void 0 : spacings.xs, spacings === null || spacings === void 0 ? void 0 : spacings.s, colors === null || colors === void 0 ? void 0 : colors.gray[500], colors === null || colors === void 0 ? void 0 : colors.gray[500], colors === null || colors === void 0 ? void 0 : colors.gray[100], colors === null || colors === void 0 ? void 0 : colors.gray[100], labelFontBodyS(props), spacings === null || spacings === void 0 ? void 0 : spacings.xs);
};
var square$1 = function (props) {
    var corners = getCorners(props);
    return react.css(templateObject_3$9 || (templateObject_3$9 = __makeTemplateObject(["\n    border-radius: ", "px;\n    height: 34px;\n    min-width: 90px;\n  "], ["\n    border-radius: ", "px;\n    height: 34px;\n    min-width: 90px;\n  "])), corners === null || corners === void 0 ? void 0 : corners.m);
};
var rounded$1 = function (props) {
    var corners = getCorners(props);
    return react.css(templateObject_4$7 || (templateObject_4$7 = __makeTemplateObject(["\n    ", "\n\n    border-radius: ", "px;\n    height: 34px;\n    min-width: 90px;\n  "], ["\n    ", "\n\n    border-radius: ", "px;\n    height: 34px;\n    min-width: 90px;\n  "])), labelStyle(props), corners === null || corners === void 0 ? void 0 : corners.l);
};
var userInput = function (props) {
    var _a;
    var colors = getColors(props);
    var palette = getPalette(props);
    return react.css(templateObject_5$5 || (templateObject_5$5 = __makeTemplateObject(["\n    ", "\n\n    path {\n      fill: ", ";\n    }\n\n    border-color: ", ";\n\n    &:hover {\n      path {\n        fill: ", ";\n      }\n\n      border-color: ", ";\n    }\n  "], ["\n    ", "\n\n    path {\n      fill: ", ";\n    }\n\n    border-color: ", ";\n\n    &:hover {\n      path {\n        fill: ", ";\n      }\n\n      border-color: ", ";\n    }\n  "])), props.sdsStyle === "minimal"
        ? "& > span, &:hover > span { color: ".concat((_a = palette === null || palette === void 0 ? void 0 : palette.text) === null || _a === void 0 ? void 0 : _a.primary, "; }")
        : "", colors === null || colors === void 0 ? void 0 : colors.primary[400], colors === null || colors === void 0 ? void 0 : colors.primary[400], colors === null || colors === void 0 ? void 0 : colors.primary[400], colors === null || colors === void 0 ? void 0 : colors.primary[400]);
};
var warning$1 = function (props) {
    var colors = getColors(props);
    var yellow = colors === null || colors === void 0 ? void 0 : colors.warning[400];
    return react.css(templateObject_6$3 || (templateObject_6$3 = __makeTemplateObject(["\n    border-color: ", ";\n\n    &:hover {\n      border-color: ", ";\n    }\n\n    &:active {\n      border-color: ", ";\n    }\n  "], ["\n    border-color: ", ";\n\n    &:hover {\n      border-color: ", ";\n    }\n\n    &:active {\n      border-color: ", ";\n    }\n  "])), yellow, yellow, yellow);
};
var error$1 = function (props) {
    var colors = getColors(props);
    var red = colors === null || colors === void 0 ? void 0 : colors.error[400];
    return react.css(templateObject_7$2 || (templateObject_7$2 = __makeTemplateObject(["\n    border-color: ", ";\n\n    &:hover {\n      border-color: ", ";\n    }\n\n    &:active {\n      border-color: ", ";\n    }\n  "], ["\n    border-color: ", ";\n\n    &:hover {\n      border-color: ", ";\n    }\n\n    &:active {\n      border-color: ", ";\n    }\n  "])), red, red, red);
};
var isDisabled = function (props) {
    var colors = getColors(props);
    var gray = colors === null || colors === void 0 ? void 0 : colors.gray[300];
    return react.css(templateObject_8$1 || (templateObject_8$1 = __makeTemplateObject(["\n    cursor: default;\n    border-color: ", ";\n\n    span {\n      color: ", ";\n    }\n\n    path {\n      fill: ", ";\n    }\n  "], ["\n    cursor: default;\n    border-color: ", ";\n\n    span {\n      color: ", ";\n    }\n\n    path {\n      fill: ", ";\n    }\n  "])), gray, colors === null || colors === void 0 ? void 0 : colors.gray[300], colors === null || colors === void 0 ? void 0 : colors.gray[300]);
};
var doNotForwardProps$a = [
    "intent",
    "open",
    "sdsStage",
    "isMinimal",
    "shouldTruncateMinimalDetails",
    "shouldPutAColonAfterLabel",
];
var StyledInputDropdown = styles.styled(Button, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$a.includes(prop); },
})(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n  ", "\n\n  /* (thuang): in Minimal it's a different value */\n  align-items: center;\n  /* (thuang): in Minimal it's a different value */\n  flex-direction: row;\n\n  justify-content: space-between;\n\n  ", "\n"], ["\n  ", "\n\n  /* (thuang): in Minimal it's a different value */\n  align-items: center;\n  /* (thuang): in Minimal it's a different value */\n  flex-direction: row;\n\n  justify-content: space-between;\n\n  ", "\n"])), labelFontBodyXs, function (props) {
    var disabled = props.disabled, intent = props.intent, open = props.open, sdsStage = props.sdsStage, sdsStyle = props.sdsStyle;
    return react.css(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n    "], ["\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n      ", "\n    "])), inputDropdownStyles(props), sdsStyle === "minimal" && minimal$1(props), sdsStyle === "square" && square$1(props), sdsStyle === "rounded" && rounded$1(props), open && userInput(props), sdsStage === "userInput" && userInput(props), intent === "warning" && warning$1(props), intent === "error" && error$1(props), disabled && isDisabled(props));
});
var StyledDetail = styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$a.includes(prop); },
})(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var colors = getColors(props);
    var spaces = getSpaces(props);
    return "\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n      margin-left: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xs, "px;\n      overflow: hidden;\n      white-space: nowrap;\n      text-overflow: ellipsis;\n    ");
});
var StyledLabel$1 = styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$a.includes(prop); },
})(templateObject_12 || (templateObject_12 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var _a;
    var details = props.details, counter = props.counter;
    var colors = getColors(props);
    var palette = getPalette(props);
    var labelColor = details || counter !== undefined
        ? (_a = palette === null || palette === void 0 ? void 0 : palette.text) === null || _a === void 0 ? void 0 : _a.primary
        : colors === null || colors === void 0 ? void 0 : colors.gray[500];
    return "\n      color: ".concat(labelColor, ";\n    ");
});
var StyledCounter = styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$a.includes(prop); },
})(templateObject_13 || (templateObject_13 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var colors = getColors(props);
    var corners = getCorners(props);
    var spacings = getSpaces(props);
    return "\n      background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[200], ";\n      color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[400], ";\n      border-radius: ").concat(corners === null || corners === void 0 ? void 0 : corners.l, "px;\n      padding: 0 ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n      margin-left: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n    ");
});
var MinimalDetails = styles.styled("div", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$a.includes(prop); },
})(templateObject_14 || (templateObject_14 = __makeTemplateObject(["\n  ", "\n  text-align: left;\n  width: 100%;\n\n  ", "\n"], ["\n  ", "\n  text-align: left;\n  width: 100%;\n\n  ", "\n"])), labelFontBodyS, function (_a) {
    var shouldTruncateMinimalDetails = _a.shouldTruncateMinimalDetails;
    if (shouldTruncateMinimalDetails) {
        return "\n        overflow: hidden;\n        text-overflow: ellipsis;\n        white-space: nowrap;\n      ";
    }
});
var LabelWrapper = styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$a.includes(prop); },
})(templateObject_15 || (templateObject_15 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (_a) {
    var isMinimal = _a.isMinimal;
    return "\n      align-items: ".concat(isMinimal ? "center" : undefined, ";\n      display: ").concat(isMinimal ? "inline-flex" : "contents", ";\n      justify-content: ").concat(isMinimal ? "space-between" : undefined, ";\n      width: 100%;\n    ");
});
var IconWrapper = styles.styled("span", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$a.includes(prop); },
})(templateObject_16 || (templateObject_16 = __makeTemplateObject(["\n  margin-left: auto;\n  display: flex;\n  align-items: center;\n"], ["\n  margin-left: auto;\n  display: flex;\n  align-items: center;\n"])));
function labelStyle(props) {
    var _a;
    var colors = getColors(props);
    var palette = getPalette(props);
    var labelColor = props.disabled
        ? colors === null || colors === void 0 ? void 0 : colors.gray[300]
        : (_a = palette === null || palette === void 0 ? void 0 : palette.text) === null || _a === void 0 ? void 0 : _a.primary;
    return react.css(templateObject_17 || (templateObject_17 = __makeTemplateObject(["\n    &.MuiButton-text {\n      .styled-label {\n        font-weight: 600;\n        color: ", ";\n      }\n    }\n  "], ["\n    &.MuiButton-text {\n      .styled-label {\n        font-weight: 600;\n        color: ", ";\n      }\n    }\n  "])), labelColor);
}
var templateObject_1$x, templateObject_2$h, templateObject_3$9, templateObject_4$7, templateObject_5$5, templateObject_6$3, templateObject_7$2, templateObject_8$1, templateObject_9, templateObject_10, templateObject_11, templateObject_12, templateObject_13, templateObject_14, templateObject_15, templateObject_16, templateObject_17;

/**
 * @see https://mui.com/material-ui/react-button/
 */
var InputDropdown = function (props) {
    var label = props.label, open = props.open, sdsType = props.sdsType, sdsStyle = props.sdsStyle, details = props.details, counter = props.counter, shouldTruncateMinimalDetails = props.shouldTruncateMinimalDetails, _a = props.shouldPutAColonAfterLabel, shouldPutAColonAfterLabel = _a === void 0 ? true : _a;
    var isMinimal = sdsStyle === "minimal";
    if (open !== undefined) {
        // eslint-disable-next-line no-console
        console.warn("Warning: InputDropdown prop `open` has been replaced by `sdsStage` and will be deprecated.");
    }
    var shouldRenderDetails = sdsType === "singleSelect" && details && !isMinimal;
    var shouldRenderCounter = sdsType === "multiSelect" && counter !== undefined && !isMinimal;
    return (React__default["default"].createElement(StyledInputDropdown, __assign({}, props),
        React__default["default"].createElement(LabelWrapper, { isMinimal: isMinimal },
            React__default["default"].createElement(StyledLabel$1, { className: "styled-label", details: details, counter: counter }, renderLabelText({
                counter: counter,
                details: details,
                isMinimal: isMinimal,
                label: label,
                shouldPutAColonAfterLabel: shouldPutAColonAfterLabel,
            })),
            shouldRenderDetails && React__default["default"].createElement(StyledDetail, null, details),
            shouldRenderCounter && React__default["default"].createElement(StyledCounter, null, counter),
            React__default["default"].createElement(IconWrapper, null,
                React__default["default"].createElement(Icon, { sdsIcon: "chevronDown", sdsSize: "s", sdsType: "interactive" }))),
        isMinimal && (React__default["default"].createElement(MinimalDetails, { shouldTruncateMinimalDetails: shouldTruncateMinimalDetails }, details))));
};
function renderLabelText(_a) {
    var counter = _a.counter, details = _a.details, isMinimal = _a.isMinimal, label = _a.label, shouldPutAColonAfterLabel = _a.shouldPutAColonAfterLabel;
    if (isMinimal) {
        return label;
    }
    return (counter !== undefined || details) && shouldPutAColonAfterLabel
        ? "".concat(label, ":")
        : label;
}

var withoutIcon = function (props) {
    var spacings = getSpaces(props);
    var iconSizes = getIconSizes(props);
    return react.css(templateObject_1$w || (templateObject_1$w = __makeTemplateObject(["\n    height: unset;\n    margin: 0 ", "px ", "px 0;\n\n    .MuiChip-label {\n      ", "\n      padding: 0;\n    }\n\n    .MuiChip-deleteIcon {\n      ", "\n      color: white;\n      margin: 0 0 0 ", "px;\n      height: ", "px;\n      width: ", "px;\n    }\n  "], ["\n    height: unset;\n    margin: 0 ", "px ", "px 0;\n\n    .MuiChip-label {\n      ", "\n      padding: 0;\n    }\n\n    .MuiChip-deleteIcon {\n      ", "\n      color: white;\n      margin: 0 0 0 ", "px;\n      height: ", "px;\n      width: ", "px;\n    }\n  "])), spacings === null || spacings === void 0 ? void 0 : spacings.xxs, spacings === null || spacings === void 0 ? void 0 : spacings.xs, fontBodyXxxs$1(props), fontHeaderXs(props), spacings === null || spacings === void 0 ? void 0 : spacings.xxs, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.height, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.width);
};
var withIcon = function (props) {
    var spacings = getSpaces(props);
    var iconSizes = getIconSizes(props);
    return react.css(templateObject_2$g || (templateObject_2$g = __makeTemplateObject(["\n    height: unset;\n    margin: 0 ", "px ", "px 0;\n\n    .MuiChip-label {\n      ", "\n      padding: 0;\n    }\n\n    .MuiSvgIcon-root {\n      height: ", "px;\n      width: ", "px;\n      padding-right: ", "px;\n      margin: 0 0 0 -", "px;\n    }\n\n    .MuiChip-deleteIcon {\n      ", "\n      color: white;\n      margin: 0 0 0 ", "px;\n      height: ", "px;\n      width: ", "px;\n    }\n  "], ["\n    height: unset;\n    margin: 0 ", "px ", "px 0;\n\n    .MuiChip-label {\n      ", "\n      padding: 0;\n    }\n\n    .MuiSvgIcon-root {\n      height: ", "px;\n      width: ", "px;\n      padding-right: ", "px;\n      margin: 0 0 0 -", "px;\n    }\n\n    .MuiChip-deleteIcon {\n      ", "\n      color: white;\n      margin: 0 0 0 ", "px;\n      height: ", "px;\n      width: ", "px;\n    }\n  "])), spacings === null || spacings === void 0 ? void 0 : spacings.xxs, spacings === null || spacings === void 0 ? void 0 : spacings.xs, fontBodyXs$5(props), iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.height, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.width, spacings === null || spacings === void 0 ? void 0 : spacings.xxs, spacings === null || spacings === void 0 ? void 0 : spacings.xxxs, fontHeaderXs(props), spacings === null || spacings === void 0 ? void 0 : spacings.xxs, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.height, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.width);
};
var rounded = function (props) {
    var corners = getCorners(props);
    var spacings = getSpaces(props);
    var icon = props.icon;
    return react.css(templateObject_3$8 || (templateObject_3$8 = __makeTemplateObject(["\n    border-radius: ", "px;\n    padding: ", ";\n\n    &:after {\n      border-radius: ", "px;\n    }\n  "], ["\n    border-radius: ", "px;\n    padding: ", ";\n\n    &:after {\n      border-radius: ", "px;\n    }\n  "])), corners === null || corners === void 0 ? void 0 : corners.l, icon
        ? "".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px")
        : "".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxxs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px"), corners === null || corners === void 0 ? void 0 : corners.l);
};
var square = function (props) {
    var corners = getCorners(props);
    var spacings = getSpaces(props);
    var icon = props.icon;
    return react.css(templateObject_4$6 || (templateObject_4$6 = __makeTemplateObject(["\n    border-radius: ", "px;\n    padding: ", ";\n\n    &:after {\n      border-radius: ", "px;\n    }\n  "], ["\n    border-radius: ", "px;\n    padding: ", ";\n\n    &:after {\n      border-radius: ", "px;\n    }\n  "])), corners === null || corners === void 0 ? void 0 : corners.m, icon
        ? "".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px")
        : "".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxxs, "px ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px"), corners === null || corners === void 0 ? void 0 : corners.m);
};
var withHover = function () {
    return react.css(templateObject_5$4 || (templateObject_5$4 = __makeTemplateObject(["\n    &:hover {\n      cursor: pointer;\n    }\n\n    &:hover,\n    &:focus-visible {\n      color: white;\n    }\n  "], ["\n    &:hover {\n      cursor: pointer;\n    }\n\n    &:hover,\n    &:focus-visible {\n      color: white;\n    }\n  "])));
};
var primary = function (props) {
    return createTypeCss(props, "primary");
};
var secondary = function (props) {
    return createTypeCss(props, "secondary");
};
function createTypeCss(props, type) {
    var themeColors = getColors(props);
    var intent = typeof props.tagColor === "string" ? props.tagColor : "primary";
    var colors = Array.isArray(props.tagColor) ? __spreadArray([], props.tagColor, true) : [];
    var typeToColors = {
        primary: {
            background: colors.length >= 2 ? colors[1] : themeColors === null || themeColors === void 0 ? void 0 : themeColors[intent][400],
            backgroundClicked: colors.length >= 2
                ? material.darken(colors[1], 0.3)
                : themeColors === null || themeColors === void 0 ? void 0 : themeColors[intent][600],
            backgroundHover: colors.length >= 2
                ? material.darken(colors[1], 0.15)
                : themeColors === null || themeColors === void 0 ? void 0 : themeColors[intent][500],
            iconColor: colors.length > 2 ? colors[2] : "white",
            label: colors.length ? colors[0] : "white",
        },
        secondary: {
            background: colors.length >= 2 ? colors[1] : themeColors === null || themeColors === void 0 ? void 0 : themeColors[intent][200],
            backgroundClicked: colors.length >= 2
                ? material.darken(colors[1], 0.3)
                : themeColors === null || themeColors === void 0 ? void 0 : themeColors[intent][600],
            backgroundHover: colors.length >= 2
                ? material.darken(colors[1], 0.15)
                : themeColors === null || themeColors === void 0 ? void 0 : themeColors[intent][500],
            iconColor: colors.length > 2 ? colors[2] : themeColors === null || themeColors === void 0 ? void 0 : themeColors[intent][400],
            label: colors.length ? colors[0] : themeColors === null || themeColors === void 0 ? void 0 : themeColors[intent][600],
        },
    };
    var typeColors = typeToColors[type];
    return react.css(templateObject_6$2 || (templateObject_6$2 = __makeTemplateObject(["\n    background-color: ", ";\n    position: relative;\n\n    .MuiChip-label {\n      color: ", ";\n    }\n\n    svg {\n      fill: ", ";\n    }\n\n    &:hover,\n    &:active,\n    &:focus {\n      .MuiChip-label {\n        color: white;\n      }\n\n      svg {\n        fill: white;\n      }\n    }\n\n    &:hover {\n      background-color: ", ";\n    }\n\n    &:active {\n      background-color: ", ";\n    }\n\n    &:focus {\n      background-color: ", ";\n    }\n\n    &:focus:hover {\n      background-color: ", ";\n    }\n\n    &:focus:active {\n      background-color: ", ";\n    }\n  "], ["\n    background-color: ", ";\n    position: relative;\n\n    .MuiChip-label {\n      color: ", ";\n    }\n\n    svg {\n      fill: ", ";\n    }\n\n    &:hover,\n    &:active,\n    &:focus {\n      .MuiChip-label {\n        color: white;\n      }\n\n      svg {\n        fill: white;\n      }\n    }\n\n    &:hover {\n      background-color: ", ";\n    }\n\n    &:active {\n      background-color: ", ";\n    }\n\n    &:focus {\n      background-color: ", ";\n    }\n\n    &:focus:hover {\n      background-color: ", ";\n    }\n\n    &:focus:active {\n      background-color: ", ";\n    }\n  "])), typeColors.background, typeColors.label, typeColors.iconColor, typeColors.backgroundHover, typeColors.backgroundClicked, typeColors.background, typeColors.backgroundHover, typeColors.backgroundClicked);
}
var typeToCss = {
    primary: primary,
    secondary: secondary,
};
var doNotForwardProps$9 = ["sdsType", "sdsStyle", "tagColor", "hover"];
var StyledTag$1 = styles.styled(material.Chip, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$9.includes(prop); },
})(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  border: none;\n\n  ", "\n"], ["\n  border: none;\n\n  ", "\n"])), function (props) {
    var _a = props.hover, hover = _a === void 0 ? true : _a, sdsType = props.sdsType, sdsStyle = props.sdsStyle, icon = props.icon;
    var isRounded = sdsStyle === "rounded";
    var type = sdsType || "primary";
    return react.css(templateObject_7$1 || (templateObject_7$1 = __makeTemplateObject(["\n      ", "\n      ", "\n      ", "\n      ", "\n    "], ["\n      ", "\n      ", "\n      ", "\n      ", "\n    "])), icon ? withIcon(props) : withoutIcon(props), typeToCss[type](props), isRounded ? rounded(props) : square(props), hover ? withHover() : "pointer-events: none;");
});
var templateObject_1$w, templateObject_2$g, templateObject_3$8, templateObject_4$6, templateObject_5$4, templateObject_6$2, templateObject_7$1, templateObject_8;

/**
 * @see https://mui.com/material-ui/react-chip/
 *
 * @props color: {string}                   - applies color for tag based on default theme color values
 *               [string, string]           - applies custom colors for [font, background]
 *               [string, string, string]   - applies custom colors for [font, background, icon]
 */
var Tag = function (props) {
    var color = props.color;
    return React__default["default"].createElement(StyledTag$1, __assign({ tagColor: color }, props, { color: "primary" }));
};

var StyledTag = styles.styled(Tag)(templateObject_2$f || (templateObject_2$f = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var spacings = getSpaces(props);
    return react.css(templateObject_1$v || (templateObject_1$v = __makeTemplateObject(["\n      padding: ", "px ", "px;\n\n      &:after {\n        display: none;\n      }\n\n      .MuiChip-label {\n        ", "\n      }\n\n      .MuiChip-deleteIcon,\n      .MuiSvgIcon-root {\n        margin-left: ", "px;\n      }\n\n      .MuiChip-label,\n      svg {\n        z-index: auto;\n      }\n    "], ["\n      padding: ", "px ", "px;\n\n      &:after {\n        display: none;\n      }\n\n      .MuiChip-label {\n        ", "\n      }\n\n      .MuiChip-deleteIcon,\n      .MuiSvgIcon-root {\n        margin-left: ", "px;\n      }\n\n      .MuiChip-label,\n      svg {\n        z-index: auto;\n      }\n    "])), spacings === null || spacings === void 0 ? void 0 : spacings.xxs, spacings === null || spacings === void 0 ? void 0 : spacings.s, fontHeaderXs(props), spacings === null || spacings === void 0 ? void 0 : spacings.s);
});
var templateObject_1$v, templateObject_2$f;

/**
 * @see https://mui.com/material-ui/react-chip/
 */
var TagFilter = function (props) {
    return React__default["default"].createElement(StyledTag, __assign({ deleteIcon: React__default["default"].createElement(iconsMaterial.Clear, null) }, props));
};

var Chips = function (_a) {
    var value = _a.value, _b = _a.multiple, multiple = _b === void 0 ? false : _b, onDelete = _a.onDelete;
    if (!value)
        return null;
    if (!multiple) {
        var name_1 = value.name;
        return React__default["default"].createElement(TagFilter, { label: name_1, onDelete: onDelete });
    }
    return (React__default["default"].createElement(React__default["default"].Fragment, null, value.map(function (item) {
        var name = item.name;
        return (React__default["default"].createElement(TagFilter, { key: name, label: name, onDelete: function () { return onDelete(item); } }));
    })));
};

var Wrapper$1 = styles.styled("div")(templateObject_1$u || (templateObject_1$u = __makeTemplateObject(["\n  min-width: 150px;\n"], ["\n  min-width: 150px;\n"])));
var StyledChipsWrapper = styles.styled("div")(templateObject_2$e || (templateObject_2$e = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var spacings = getSpaces(props);
    return "\n      margin-top: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n    ");
});
var templateObject_1$u, templateObject_2$e;

// eslint-disable-next-line sonarjs/cognitive-complexity
var ComplexFilter = function (_a) {
    var options = _a.options, _b = _a.label, label = _b === void 0 ? "" : _b, _c = _a.multiple, multiple = _c === void 0 ? false : _c, _d = _a.search, search = _d === void 0 ? false : _d, onChange = _a.onChange, _e = _a.DropdownMenuProps, DropdownMenuProps = _e === void 0 ? {} : _e, _f = _a.InputDropdownProps, InputDropdownProps = _f === void 0 ? { sdsStyle: "minimal" } : _f, propValue = _a.value, PopperComponent = _a.PopperComponent, _g = _a.InputDropdownComponent, InputDropdownComponent = _g === void 0 ? InputDropdown : _g, _h = _a.isTriggerChangeOnOptionClick, isTriggerChangeOnOptionClick = _h === void 0 ? false : _h, rest = __rest(_a, ["options", "label", "multiple", "search", "onChange", "DropdownMenuProps", "InputDropdownProps", "value", "PopperComponent", "InputDropdownComponent", "isTriggerChangeOnOptionClick"]);
    var isControlled = propValue !== undefined;
    var _j = React.useState(false), open = _j[0], setOpen = _j[1];
    var _k = React.useState(null), anchorEl = _k[0], setAnchorEl = _k[1];
    var _l = React.useState(getInitialValue()), value = _l[0], setValue = _l[1];
    var _m = React.useState(getInitialValue()), pendingValue = _m[0], setPendingValue = _m[1];
    React.useEffect(function () {
        onChange(value);
        setPendingValue(value);
    }, [value]);
    React.useEffect(function () {
        if (isControlled) {
            setValue(propValue);
        }
    }, [propValue]);
    // * (mlila): likely, this portion on ComplexFilter will need to be replaced with Dropdown (or a
    // * new DropdownFilter) component. As ComplexFilter evolves, there will be more types added,
    // * such as sliders for ranges, inline multi selects, etc.
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        React__default["default"].createElement(Wrapper$1, __assign({}, rest),
            React__default["default"].createElement(InputDropdownComponent, __assign({ label: label, onClick: handleClick, sdsStage: open ? "userInput" : "default" }, InputDropdownProps)),
            React__default["default"].createElement(StyledChipsWrapper, null,
                React__default["default"].createElement(Chips, { value: value, multiple: multiple, onDelete: handleDelete }))),
        React__default["default"].createElement(DropdownMenu, __assign({ anchorEl: anchorEl, open: open, onClose: handleMenuSelectClose, search: search, multiple: multiple, value: (multiple ? pendingValue : value), onChange: handleChange, disableCloseOnSelect: multiple, options: options, PopperComponent: PopperComponent, PopperBaseProps: { sx: { minWidth: 250 } }, onClickAway: handleClose }, DropdownMenuProps))));
    function handleClick(event) {
        if (open) {
            if (multiple) {
                setValue(pendingValue);
            }
            setOpen(false);
            if (anchorEl) {
                anchorEl.focus();
            }
            setAnchorEl(null);
        }
        else {
            if (multiple) {
                setPendingValue(value);
            }
            setAnchorEl(event.currentTarget);
            setOpen(true);
        }
    }
    function handleClose() {
        if (open) {
            setOpen(false);
            if (multiple) {
                setValue(pendingValue);
            }
        }
    }
    function handleMenuSelectClose(event, reason) {
        var reasons = ["escape", "select-option"];
        if (reasons.includes(reason)) {
            handleClose();
        }
    }
    function handleChange(_, newValue) {
        if (multiple) {
            if (isTriggerChangeOnOptionClick) {
                setPendingValue(newValue);
                return setValue(newValue);
            }
            return setPendingValue(newValue);
        }
        setValue(newValue);
        setOpen(false);
    }
    function handleDelete(option) {
        if (!multiple) {
            return setValue(null);
        }
        var newValue = (value === null || value === void 0 ? void 0 : value.filter(function (item) { return item !== option; })) || null;
        setValue(newValue);
    }
    function getInitialValue() {
        if (isControlled) {
            return propValue;
        }
        return multiple
            ? []
            : null;
    }
};

var DialogContext = React.createContext({ sdsSize: "m" });

var BoxShadows;
(function (BoxShadows) {
    BoxShadows["S"] = "0 2px 12px 0 rgba(0,0,0,0.3)";
    BoxShadows["M"] = "0 2px 4px 0 rgba(0,0,0, 0.15),0 2px 10px 0 rgba(0,0,0, 0.15)";
    BoxShadows["L"] = "0 2px 4px 0 rgba(0,0,0, 0.25)";
})(BoxShadows || (BoxShadows = {}));

// (thuang): Please keep this in sync with the props used in `ExtraProps`
var doNotForwardProps$8 = ["sdsSize"];
var StyledPaper = styles.styled(material.Paper, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$8.includes(prop); },
})(templateObject_1$t || (templateObject_1$t = __makeTemplateObject(["\n  & {\n    box-shadow: ", ";\n\n    ", "\n\n    ", "\n  }\n"], ["\n  & {\n    box-shadow: ", ";\n\n    ", "\n\n    ", "\n  }\n"])), BoxShadows.L, paperDimensions, function (props) {
    var spaces = getSpaces(props);
    var corners = getCorners(props);
    return "\n        max-height: calc(100vh - ".concat(2 * ((spaces === null || spaces === void 0 ? void 0 : spaces.xxl) || 0), "px);\n        border-radius: ").concat((corners === null || corners === void 0 ? void 0 : corners.m) || 0, "px;\n        padding: ").concat((spaces === null || spaces === void 0 ? void 0 : spaces.xxl) || 0, "px;\n      ");
});
function paperDimensions(props) {
    var sdsSize = props.sdsSize;
    var sizeToDimensions = {
        l: {
            minHeight: "600px",
            width: "1200px",
        },
        m: {
            minHeight: "480px",
            width: "900px",
        },
        s: {
            minHeight: "400px",
            width: "600px",
        },
        xs: {
            minHeight: "160px",
            width: "400px",
        },
    };
    var _a = sizeToDimensions[sdsSize], width = _a.width, minHeight = _a.minHeight;
    return "\n    width: ".concat(width, ";\n    min-height: ").concat(minHeight, ";\n    max-width: revert;\n  ");
}
var templateObject_1$t;

/**
 * @see https://mui.com/material-ui/react-paper/
 */
var DialogPaper = React.forwardRef(function DialogPaper(props, ref) {
    return (React__default["default"].createElement(DialogContext.Consumer, null, function (_a) {
        var sdsSize = _a.sdsSize;
        return React__default["default"].createElement(StyledPaper, __assign({ sdsSize: sdsSize, ref: ref }, props));
    }));
});

/**
 * @see https://mui.com/material-ui/react-dialog/
 */
var Dialog = React.forwardRef(function Dialog(props, ref) {
    var _a = props.canClickOutsideClose, canClickOutsideClose = _a === void 0 ? true : _a, onClose = props.onClose, _b = props.sdsSize, sdsSize = _b === void 0 ? "m" : _b, _c = props.PaperComponent, PaperComponent = _c === void 0 ? DialogPaper : _c, rest = __rest(props, ["canClickOutsideClose", "onClose", "sdsSize", "PaperComponent"]);
    var contextValue = React.useMemo(function () { return ({ sdsSize: sdsSize }); }, [sdsSize]);
    return (React__default["default"].createElement(DialogContext.Provider, { value: contextValue },
        React__default["default"].createElement(material.Dialog, __assign({ ref: ref, PaperComponent: PaperComponent }, rest, { onClose: function (event, reason) {
                if (!canClickOutsideClose &&
                    reason &&
                    (reason === "backdropClick" || reason === "escapeKeyDown"))
                    return;
                if (onClose)
                    onClose(event, reason);
            } }))));
});

// (thuang): Please keep this in sync with the props used in `DialogActionsExtraProps`
var doNotForwardProps$7 = ["buttonPosition"];
var StyledDialogActions = styles.styled(material.DialogActions, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$7.includes(prop); },
})(templateObject_1$s || (templateObject_1$s = __makeTemplateObject(["\n  padding: 0;\n\n  ", "\n"], ["\n  padding: 0;\n\n  ", "\n"])), function (props) {
    var spaces = getSpaces(props);
    var _a = props.buttonPosition, buttonPosition = _a === void 0 ? "right" : _a;
    return "\n      justify-content: ".concat(buttonPosition === "right" ? "flex-end" : "flex-start", ";;\n\n      margin-top: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xxl, "px;\n\n      &.MuiDialogActions-spacing > :not(:first-of-type) {\n        margin-left: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.m, "px;\n      }\n  ");
});
var templateObject_1$s;

/**
 * @see https://mui.com/material-ui/react-dialog/
 */
var DialogActions = React.forwardRef(function DialogActions(props, ref) {
    return React__default["default"].createElement(StyledDialogActions, __assign({ ref: ref }, props));
});

var StyledDialogContent = styles.styled(material.DialogContent)(templateObject_1$r || (templateObject_1$r = __makeTemplateObject(["\n  padding: 0;\n"], ["\n  padding: 0;\n"])));
var templateObject_1$r;

var index = React.forwardRef(
/**
 * @see https://mui.com/material-ui/react-dialog/
 */
function DialogContent(props, ref) {
    return React__default["default"].createElement(StyledDialogContent, __assign({ ref: ref }, props));
});

var StyledButtonIcon = styles.styled(ButtonIcon)(templateObject_1$q || (templateObject_1$q = __makeTemplateObject(["\n  position: absolute;\n\n  ", "\n"], ["\n  position: absolute;\n\n  ", "\n"])), function (props) {
    var spaces = getSpaces(props);
    return "\n      top: ".concat((spaces === null || spaces === void 0 ? void 0 : spaces.xl) || 0, "px;\n      right: ").concat((spaces === null || spaces === void 0 ? void 0 : spaces.xl) || 0, "px;\n    ");
});
var templateObject_1$q;

var CloseButton = React.forwardRef(function CloseButton(props, ref) {
    var SDS_SIZE_TO_COMPONENT_SIZE = {
        l: "large",
        m: "large",
        s: "medium",
        xs: "small",
    };
    return (React__default["default"].createElement(DialogContext.Consumer, null, function (_a) {
        var sdsSize = _a.sdsSize;
        var size = SDS_SIZE_TO_COMPONENT_SIZE[sdsSize];
        return (React__default["default"].createElement(StyledButtonIcon, __assign({ "aria-label": "Close", ref: ref, sdsType: "tertiary", sdsSize: size }, props, { sdsIcon: "xMark" })));
    }));
});

var StyledDialogTitle = styles.styled(material.DialogTitle)(templateObject_1$p || (templateObject_1$p = __makeTemplateObject(["\n  padding: 0;\n  ", "\n"], ["\n  padding: 0;\n  ", "\n"])), function (props) {
    var spaces = getSpaces(props);
    return "\n      margin-bottom: ".concat((spaces === null || spaces === void 0 ? void 0 : spaces.xl) || 0, "px;\n    ");
});
var Title = styles.styled(material.Typography)(templateObject_2$d || (templateObject_2$d = __makeTemplateObject(["\n  ", "\n\n  color: black;\n"], ["\n  ", "\n\n  color: black;\n"])), fontHeaderXl);
var Subtitle = styles.styled(material.Typography)(templateObject_3$7 || (templateObject_3$7 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyXs$5, function (props) {
    var colors = getColors(props);
    return "\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n    ");
});
var templateObject_1$p, templateObject_2$d, templateObject_3$7;

/**
 * @see https://mui.com/material-ui/react-dialog/
 */
var DialogTitle = React.forwardRef(function DialogTitle(props, ref) {
    var children = props.children, title = props.title, subtitle = props.subtitle, onClose = props.onClose, rest = __rest(props, ["children", "title", "subtitle", "onClose"]);
    return (React__default["default"].createElement(StyledDialogTitle, __assign({ ref: ref }, rest), children || (React__default["default"].createElement(React__default["default"].Fragment, null,
        onClose && React__default["default"].createElement(CloseButton, { sdsIcon: "xMark", onClick: onClose }),
        React__default["default"].createElement(Title, null, title),
        React__default["default"].createElement(Subtitle, null, subtitle)))));
});

styles.styled("div")(templateObject_1$o || (templateObject_1$o = __makeTemplateObject(["\n  width: 150px;\n"], ["\n  width: 150px;\n"])));
var StyledButton = styles.styled(Button)(templateObject_2$c || (templateObject_2$c = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var spacings = getSpaces(props);
    return "\n      margin-top: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n      margin-bottom: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n\n      &:first-of-type {\n        margin-left: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n        margin-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n      }\n\n      &:last-child {\n        margin-left: 0;\n        margin-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n      }\n    ");
});
var templateObject_1$o, templateObject_2$c;

// eslint-disable-next-line sonarjs/cognitive-complexity
var Dropdown = function (_a) {
    var options = _a.options, _b = _a.label, label = _b === void 0 ? "" : _b, _c = _a.multiple, multiple = _c === void 0 ? false : _c, _d = _a.search, search = _d === void 0 ? false : _d, _e = _a.buttonPosition, buttonPosition = _e === void 0 ? "right" : _e, _f = _a.buttons, buttons = _f === void 0 ? false : _f, 
    // By default, most dropdowns will close when the user clicks outside the dropdown.
    // The exception is the multiple select variant with Apply/Cancel buttons,
    // which by default will not close on blur. If closeOnBlur is enabled, clicking out
    // is equivalent to clicking the Cancel button, closing the dropdown and losing
    // unapplied changes.
    _g = _a.closeOnBlur, 
    // By default, most dropdowns will close when the user clicks outside the dropdown.
    // The exception is the multiple select variant with Apply/Cancel buttons,
    // which by default will not close on blur. If closeOnBlur is enabled, clicking out
    // is equivalent to clicking the Cancel button, closing the dropdown and losing
    // unapplied changes.
    closeOnBlur = _g === void 0 ? !buttons : _g, onChange = _a.onChange, onClose = _a.onClose, _h = _a.DropdownMenuProps, DropdownMenuProps = _h === void 0 ? {} : _h, _j = _a.InputDropdownProps, InputDropdownProps = _j === void 0 ? { sdsStyle: "minimal" } : _j, propValue = _a.value, PopperComponent = _a.PopperComponent, _k = _a.InputDropdownComponent, InputDropdownComponent = _k === void 0 ? InputDropdown : _k, _l = _a.isTriggerChangeOnOptionClick, isTriggerChangeOnOptionClick = _l === void 0 ? false : _l, _m = _a.disabled, disabled = _m === void 0 ? false : _m, rest = __rest(_a, ["options", "label", "multiple", "search", "buttonPosition", "buttons", "closeOnBlur", "onChange", "onClose", "DropdownMenuProps", "InputDropdownProps", "value", "PopperComponent", "InputDropdownComponent", "isTriggerChangeOnOptionClick", "disabled"]);
    if (buttons && !multiple) {
        // eslint-disable-next-line no-console
        console.warn("Warning: buttons are only supported for multiple select dropdowns.");
    }
    var isControlled = propValue !== undefined;
    var _o = React.useState(null), anchorEl = _o[0], setAnchorEl = _o[1];
    var _p = React.useState(getInitialValue), value = _p[0], setValue = _p[1];
    var _q = React.useState([]), pendingValue = _q[0], setPendingValue = _q[1];
    React.useEffect(function () {
        onChange(value);
    }, [value]);
    React.useEffect(function () {
        if (isControlled) {
            setValue(propValue);
        }
    }, [propValue]);
    var _r = React.useState(false), open = _r[0], setOpen = _r[1];
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        React__default["default"].createElement(InputDropdownComponent, __assign({ disabled: disabled, label: label, onClick: handleClick, sdsStage: open ? "userInput" : "default" }, InputDropdownProps, rest)),
        React__default["default"].createElement(DropdownMenu, __assign({ anchorEl: anchorEl, open: open, search: search, onClose: handleClose, multiple: multiple, value: (multiple ? pendingValue : value), onChange: handleChange, disableCloseOnSelect: multiple, PopperComponent: PopperComponent, PopperBaseProps: { sx: { minWidth: 250 } }, options: options, onClickAway: handleClickAway }, DropdownMenuProps), buttons ? (React__default["default"].createElement("div", null, buttonPosition === "left" ? (React__default["default"].createElement("div", null,
            React__default["default"].createElement(StyledButton, { onClick: handleClose, sdsStyle: "square", sdsType: "primary" }, "Apply"),
            React__default["default"].createElement(StyledButton, { onClick: handleCancel, sdsStyle: "square", sdsType: "secondary" }, "Cancel"))) : (React__default["default"].createElement("div", null,
            React__default["default"].createElement(StyledButton, { onClick: handleCancel, sdsStyle: "square", sdsType: "secondary" }, "Cancel"),
            React__default["default"].createElement(StyledButton, { onClick: handleClose, sdsStyle: "square", sdsType: "primary" }, "Apply"))))) : null)));
    function handleClickAway() {
        if (open) {
            setOpen(false);
            if (multiple) {
                setValue(pendingValue);
            }
        }
    }
    function handleClick(event) {
        if (open) {
            if (multiple) {
                setValue(pendingValue);
            }
            setOpen(false);
            if (anchorEl) {
                anchorEl.focus();
            }
        }
        else {
            if (multiple) {
                setPendingValue(value);
            }
            setAnchorEl(event.currentTarget);
            setOpen(true);
        }
    }
    function handleClose(_, reason) {
        // (thuang): We don't want to close the menu when the input is clicked
        if (reason === "toggleInput") {
            return;
        }
        if (buttons && reason === "blur") {
            if (closeOnBlur) {
                handleCancel();
            }
            return;
        }
        if (multiple) {
            setValue(pendingValue);
        }
        if (anchorEl) {
            anchorEl.focus();
        }
        if (onClose)
            onClose();
    }
    function handleChange(_, newValue) {
        if (multiple) {
            if (isTriggerChangeOnOptionClick) {
                setPendingValue(newValue);
                return setValue(newValue);
            }
            return setPendingValue(newValue);
        }
        setValue(newValue);
        setOpen(false);
    }
    function handleCancel() {
        setPendingValue(null);
        if (anchorEl) {
            anchorEl.focus();
        }
        if (onClose)
            onClose();
    }
    function getInitialValue() {
        if (isControlled) {
            return propValue;
        }
        return multiple
            ? []
            : null;
    }
};

var _rect$1;
function _extends$4() { _extends$4 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$4.apply(this, arguments); }
function SvgIconCheckboxChecked(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$4({
    width: 16,
    height: 16,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _rect$1 || (_rect$1 = /*#__PURE__*/React__namespace.createElement("rect", {
    width: 16,
    height: 16,
    rx: 2
  })), /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M11.868 3.722a.558.558 0 00-.346.239l-4.486 6.083-2.32-2.62c-.148-.206-.393-.286-.615-.186-.21.095-.354.33-.382.606-.027.272.063.544.238.704l2.733 3.09c.235.263.595.24.808-.048l4.875-6.612c.167-.22.21-.553.11-.833-.107-.294-.353-.472-.615-.423z",
    fill: props.fillcontrast
  }));
}

var _rect;
function _extends$3() { _extends$3 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$3.apply(this, arguments); }
function SvgIconCheckboxIndeterminate(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$3({
    width: 16,
    height: 16,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _rect || (_rect = /*#__PURE__*/React__namespace.createElement("rect", {
    width: 16,
    height: 16,
    rx: 2
  })), /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M13 8a1 1 0 01-1 1H4a1 1 0 110-2h8a1 1 0 011 1z",
    fill: props.fillcontrast
  }));
}

var _path$2;
function _extends$2() { _extends$2 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$2.apply(this, arguments); }
function SvgIconCheckboxUnchecked(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$2({
    width: 16,
    height: 16,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 2a2 2 0 012-2h12a2 2 0 012 2v12a2 2 0 01-2 2H2a2 2 0 01-2-2V2z",
    fill: props.fillcontrast
  }), _path$2 || (_path$2 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M14 1H2a1 1 0 00-1 1v12a1 1 0 001 1h12a1 1 0 001-1V2a1 1 0 00-1-1zM2 0a2 2 0 00-2 2v12a2 2 0 002 2h12a2 2 0 002-2V2a2 2 0 00-2-2H2z"
  })));
}

var StyledFormControlLabel$1 = styles.styled(material.FormControlLabel)(templateObject_1$n || (templateObject_1$n = __makeTemplateObject(["\n  position: relative;\n  z-index: 0;\n\n  &:after {\n    ", "\n    left:34px;\n    position: absolute;\n    top: 30px;\n    z-index: -1;\n\n    ", "\n  }\n"], ["\n  position: relative;\n  z-index: 0;\n\n  &:after {\n    ", "\n    left:34px;\n    position: absolute;\n    top: 30px;\n    z-index: -1;\n\n    ", "\n  }\n"])), fontBodyXxs$1, function (props) {
    var caption = props.caption;
    var content = caption !== undefined ? caption : "";
    var typography = getTypography(props);
    var colors = getColors(props);
    return "\n        content: \"".concat(content, "\";\n        font-family: ").concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n      ");
});
var StyledCheckbox = styles.styled(material.Checkbox)(templateObject_2$b || (templateObject_2$b = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var colors = getColors(props);
    var iconSizes = getIconSizes(props);
    return "\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[400], ";\n      &:hover {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n        background-color: transparent;\n      }\n      &.Mui-disabled {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n      }\n      &.Mui-checked {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[400], ";\n        &:hover {\n          color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[500], ";\n          background-color: transparent;\n        }\n        &.Mui-disabled {\n          color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[300], "\n        }\n      }\n\n      .MuiSvgIcon-root {\n        height: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.input.height, "px;\n        width: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.input.width, "px;\n      }\n    ");
});
var templateObject_1$n, templateObject_2$b;

/**
 * @see https://mui.com/material-ui/react-checkbox/
 */
var InputCheckbox = function (props) {
    var caption = props.caption, checkboxProps = props.checkboxProps, disabled = props.disabled, label = props.label, stage = props.stage, value = props.value, rest = __rest(props, ["caption", "checkboxProps", "disabled", "label", "stage", "value"]);
    if (label === undefined || stage !== undefined) {
        var newProps = void 0;
        switch (stage) {
            case "checked":
                newProps = __assign(__assign({}, props), { checked: true, color: "primary" });
                break;
            case "unchecked":
                newProps = __assign(__assign({}, props), { checked: false, color: "default" });
                break;
            case "indeterminate":
                newProps = __assign(__assign({}, props), { checked: true, color: "primary", indeterminate: true });
                break;
            default:
                newProps = props;
        }
        return (React__default["default"].createElement(StyledCheckbox, __assign({}, newProps, { checkedIcon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconCheckboxChecked, viewBox: "0 0 16 16" }), icon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconCheckboxUnchecked, viewBox: "0 0 16 16" }), indeterminateIcon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconCheckboxIndeterminate, viewBox: "0 0 16 16" }) })));
    }
    return (React__default["default"].createElement(StyledFormControlLabel$1, { caption: caption, control: React__default["default"].createElement(StyledCheckbox, __assign({ disabled: disabled, checkedIcon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconCheckboxChecked, viewBox: "0 0 16 16" }), icon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconCheckboxUnchecked, viewBox: "0 0 16 16" }), indeterminateIcon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconCheckboxIndeterminate, viewBox: "0 0 16 16" }) }, checkboxProps, rest)), label: label, value: value },
        React__default["default"].createElement("div", null, "Content")));
};

var _path$1, _path2$1;
function _extends$1() { _extends$1 = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1.apply(this, arguments); }
function SvgIconRadioChecked(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends$1({
    width: 16,
    height: 16,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path$1 || (_path$1 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8 16A8 8 0 108 0a8 8 0 000 16z",
    fill: "#fff"
  })), _path2$1 || (_path2$1 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M16 8A8 8 0 110 8a8 8 0 0116 0zm-5 0a3 3 0 11-6 0 3 3 0 016 0z"
  })));
}

var _path, _path2;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function SvgIconRadioUnchecked(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    width: 16,
    height: 16,
    xmlns: "http://www.w3.org/2000/svg"
  }, props), _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8 16A8 8 0 108 0a8 8 0 000 16z",
    fill: "#fff"
  })), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8 15A7 7 0 108 1a7 7 0 000 14zm8-7A8 8 0 110 8a8 8 0 0116 0z"
  })));
}

var StyledFormControlLabel = styles.styled(material.FormControlLabel)(templateObject_1$m || (templateObject_1$m = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var caption = props.caption;
    var content = caption === undefined ? "" : caption;
    var typography = getTypography(props);
    var colors = getColors(props);
    var spaces = getSpaces(props);
    return "\n      position: relative;\n      z-index: 0;\n      padding-bottom: ".concat(caption === undefined ? 0 : spaces === null || spaces === void 0 ? void 0 : spaces.xl, "px;\n      \n      &:after {\n        ").concat(fontBodyXxs$1, "\n        font-size: 12px;\n        left: 34px;\n        position: absolute;\n        top: 30px;\n        z-index: -1;\n        content: \"").concat(content, "\";\n        font-family: ").concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], "; \n        \n      }\n    ");
});
var StyledRadioButton = styles.styled(material.Radio)(templateObject_2$a || (templateObject_2$a = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var colors = getColors(props);
    var iconSizes = getIconSizes(props);
    return "\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[400], ";\n      &:hover {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n        background-color: transparent;\n      }\n      &.Mui-disabled {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n      }\n      &.Mui-checked {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[400], ";\n        &:hover {\n          color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[500], ";\n          background-color: transparent;\n        }\n        &.Mui-disabled {\n          color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[300], "\n        }\n      }\n\n      .MuiSvgIcon-root {\n        height: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.input.height, "px;\n        width: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.input.width, "px;\n      }\n    ");
});
var templateObject_1$m, templateObject_2$a;

/**
 * @see https://mui.com/material-ui/react-radio-button/
 */
var InputRadio = function (props) {
    var label = props.label, caption = props.caption, radioProps = props.radioProps, stage = props.stage, value = props.value;
    if (label === undefined || stage !== undefined) {
        var newProps = void 0;
        switch (stage) {
            case "checked":
                newProps = __assign(__assign({}, props), { checked: true, color: "primary" });
                break;
            case "unchecked":
                newProps = __assign(__assign({}, props), { checked: false, color: "default" });
                break;
            default:
                newProps = props;
        }
        return (React__default["default"].createElement(StyledRadioButton, __assign({}, newProps, { checkedIcon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconRadioChecked, viewBox: "0 0 16 16" }), icon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconRadioUnchecked, viewBox: "0 0 16 16" }) })));
    }
    return (React__default["default"].createElement(StyledFormControlLabel, { caption: caption, control: React__default["default"].createElement(StyledRadioButton, __assign({}, props, { checkedIcon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconRadioChecked, viewBox: "0 0 16 16" }), icon: React__default["default"].createElement(material.SvgIcon, { fillcontrast: "white", component: SvgIconRadioUnchecked, viewBox: "0 0 16 16" }) }, radioProps)), label: label, value: value }));
};

var inputSlider = function (props) {
    var corners = getCorners(props);
    var colors = getColors(props);
    return "\n  position: relative;\n\n  .MuiSlider-rail,\n  .MuiSlider-track {\n    border-radius: 2px;\n  }\n\n  .MuiSlider-rail {\n    background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[200], ";\n  }\n  \n  .MuiSlider-track {\n    background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[400], ";\n  }\n\n  .MuiSlider-thumb {\n    height: 14px;\n    width: 14px;\n    background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[400], ";\n\n    &.Mui-focusVisible, &:hover, &:focus, &:active {\n      box-shadow: none;\n    }\n  }\n\n  .MuiSlider-thumb::before {\n    display: none;\n  }\n\n  .MuiSlider-thumb::after {\n    background-color: white !important;\n    height: 6px !important;\n    width: 6px !important;\n    position: absolute;\n    top: 50%;\n    left: 50%;\n    transform: translate(-50%, -50%);\n  }\n\n  .MuiSlider-valueLabel {\n    padding: 2px 4px;\n    color: black;\n    background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[200], ";\n    border-radius: ").concat(corners === null || corners === void 0 ? void 0 : corners.m, "px;\n    left: unset; \n    top: -3px;\n\n    &::before {\n      display: none;\n    }\n\n    & * {\n      background: transparent;\n      color: black;\n      transform: none;\n      width: unset;\n      height: unset;\n    }\n  }\n\n  .MuiSlider-mark {\n    background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[400], ";\n    opacity: 1;\n  }\n\n  .MuiSlider-mark.MuiSlider-markActive {\n    background-color: white;\n  }\n\n  .MuiSlider-markLabel {\n    color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], "\n  }\n\n  .MuiSlider-markLabelActive {\n    color: black;\n  }\n  ");
};
var horizontal = function () {
    return "\n    .MuiSlider-rail,\n    .MuiSlider-track {\n      border: none;\n      height: 4px;\n    \n      //to cover the last mark 4px padding is needed for rail and track\n      padding-right: 4px;\n\n      // to cover the first mark -2px padding left is needed for rail and track\n      margin-left: -2px;\n    }\n\n    .MuiSlider-markLabel {\n      top: 26px;\n    }\n\n    .Mui-disabled .MuiSlider-track {\n      border: none;\n    }\n  ";
};
var vertical = function () {
    return "  \n    .MuiSlider-rail,\n    .MuiSlider-track {\n      border: none;\n      width: 4px;\n\n      //to cover the last mark -3px margin-top is needed for rail and track \n      margin-top: -2px;\n\n      //to cover the first mark 3px padding-bottom is needed for rail and track\n      padding-bottom: 4px;\n    }\n\n    .MuiSlider-markLabel {\n      left: 26px;\n    }\n  ";
};
var disabledSlider = function (props) {
    var colors = getColors(props);
    return "\n    .MuiSlider-track {\n      background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n    }\n\n    .MuiSlider-thumb.Mui-disabled {\n      background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n    }\n\n    .MuiSlider-valueLabel {\n      color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n      background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n      \n      & * {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n      }\n    }\n\n    .MuiSlider-markLabel {\n      color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], "\n    }\n\n    .MuiSlider-mark {\n      background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n    }\n  ");
};
var StyledSlider = styles.styled(material.Slider)(templateObject_1$l || (templateObject_1$l = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyXxs$1, function (props) {
    var orientation = props.orientation, disabled = props.disabled;
    return "\n      ".concat(inputSlider(props), "\n      ").concat(orientation === "vertical" ? vertical() : horizontal(), "\n      ").concat(disabled ? disabledSlider(props) : "", "\n    ");
});
var templateObject_1$l;

/**
 * @see https://mui.com/material-ui/react-slider/
 */
var InputSlider = React.forwardRef(function (props, ref) {
    return React__default["default"].createElement(StyledSlider, __assign({ ref: ref }, props));
});

var sdsPropNames$2 = ["sdsStyle", "sdsStage", "sdsType", "intent", "hideLabel"];
var error = function (props) {
    var borders = getBorders(props);
    return react.css(templateObject_1$k || (templateObject_1$k = __makeTemplateObject(["\n    .MuiOutlinedInput-notchedOutline {\n      border: ", ";\n    }\n  "], ["\n    .MuiOutlinedInput-notchedOutline {\n      border: ", ";\n    }\n  "])), borders === null || borders === void 0 ? void 0 : borders.error[400]);
};
var warning = function (props) {
    var borders = getBorders(props);
    return react.css(templateObject_2$9 || (templateObject_2$9 = __makeTemplateObject(["\n    .MuiOutlinedInput-notchedOutline {\n      border: ", ";\n    }\n  "], ["\n    .MuiOutlinedInput-notchedOutline {\n      border: ", ";\n    }\n  "])), borders === null || borders === void 0 ? void 0 : borders.warning[400]);
};
var disabledStyled$1 = function (props) {
    var borders = getBorders(props);
    return react.css(templateObject_3$6 || (templateObject_3$6 = __makeTemplateObject(["\n    .Mui-disabled {\n      .MuiOutlinedInput-notchedOutline {\n        border: ", ";\n      }\n      &:hover .MuiOutlinedInput-notchedOutline {\n        border: ", ";\n      }\n    }\n  "], ["\n    .Mui-disabled {\n      .MuiOutlinedInput-notchedOutline {\n        border: ", ";\n      }\n      &:hover .MuiOutlinedInput-notchedOutline {\n        border: ", ";\n      }\n    }\n  "])), borders === null || borders === void 0 ? void 0 : borders.gray[300], borders === null || borders === void 0 ? void 0 : borders.gray[300]);
};
var textArea = function (props) {
    var spacings = getSpaces(props);
    return react.css(templateObject_4$5 || (templateObject_4$5 = __makeTemplateObject(["\n    .MuiInputBase-multiline {\n      padding: ", "px;\n      > .MuiInputBase-inputMultiline {\n        padding: ", "px ", "px ", "px;\n        resize: both;\n      }\n    }\n  "], ["\n    .MuiInputBase-multiline {\n      padding: ", "px;\n      > .MuiInputBase-inputMultiline {\n        padding: ", "px ", "px ", "px;\n        resize: both;\n      }\n    }\n  "])), spacings === null || spacings === void 0 ? void 0 : spacings.xxs, spacings === null || spacings === void 0 ? void 0 : spacings.xxs, spacings === null || spacings === void 0 ? void 0 : spacings.m, spacings === null || spacings === void 0 ? void 0 : spacings.m);
};
var StyledLabel = styles.styled("label")(templateObject_5$3 || (templateObject_5$3 = __makeTemplateObject(["\n  display: block;\n  ", "\n\n  ", "\n"], ["\n  display: block;\n  ", "\n\n  ", "\n"])), fontBodyS$2, function (props) {
    var typography = getTypography(props);
    var spacings = getSpaces(props);
    return "\n      font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n      margin-bottom: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px;\n    ");
});
var StyledInputBase = styles.styled(material.TextField, {
    shouldForwardProp: function (prop) {
        return !sdsPropNames$2.includes(prop.toString());
    },
})(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var intent = props.intent, sdsType = props.sdsType, disabled = props.disabled;
    var spacings = getSpaces(props);
    var borders = getBorders(props);
    var corners = getCorners(props);
    return react.css(templateObject_6$1 || (templateObject_6$1 = __makeTemplateObject(["\n      margin-bottom: ", "px;\n      margin-right: ", "px;\n      min-width: 160px;\n      display: block;\n\n      .MuiInputBase-inputSizeSmall {\n        padding: ", "px ", "px;\n        height: 34px;\n        box-sizing: border-box;\n        background-color: #fff;\n\n        .MuiOutlinedInput-notchedOutline {\n          border-radius: ", "px;\n          border: ", ";\n        }\n      }\n\n      .MuiOutlinedInput-root:hover .MuiOutlinedInput-notchedOutline {\n        border: ", ";\n      }\n\n      .MuiOutlinedInput-root.Mui-focused .MuiOutlinedInput-notchedOutline {\n        border: ", ";\n      }\n\n      ", "\n      ", "\n      ", "\n      ", "\n    "], ["\n      margin-bottom: ", "px;\n      margin-right: ", "px;\n      min-width: 160px;\n      display: block;\n\n      .MuiInputBase-inputSizeSmall {\n        padding: ", "px ", "px;\n        height: 34px;\n        box-sizing: border-box;\n        background-color: #fff;\n\n        .MuiOutlinedInput-notchedOutline {\n          border-radius: ", "px;\n          border: ", ";\n        }\n      }\n\n      .MuiOutlinedInput-root:hover .MuiOutlinedInput-notchedOutline {\n        border: ", ";\n      }\n\n      .MuiOutlinedInput-root.Mui-focused .MuiOutlinedInput-notchedOutline {\n        border: ", ";\n      }\n\n      ", "\n      ", "\n      ", "\n      ", "\n    "])), spacings === null || spacings === void 0 ? void 0 : spacings.l, spacings === null || spacings === void 0 ? void 0 : spacings.m, spacings === null || spacings === void 0 ? void 0 : spacings.xs, spacings === null || spacings === void 0 ? void 0 : spacings.l, corners === null || corners === void 0 ? void 0 : corners.m, borders === null || borders === void 0 ? void 0 : borders.gray[400], borders === null || borders === void 0 ? void 0 : borders.gray[500], borders === null || borders === void 0 ? void 0 : borders.primary[400], sdsType === "textArea" && textArea(props), intent === "error" && error(props), intent === "warning" && warning(props), disabled && disabledStyled$1(props));
});
var templateObject_1$k, templateObject_2$9, templateObject_3$6, templateObject_4$5, templateObject_5$3, templateObject_6$1, templateObject_7;

/**
 * @see https://mui.com/material-ui/react-text-field/
 */
var InputText = React.forwardRef(function InputText(props, ref) {
    var id = props.id, _a = props.intent, intent = _a === void 0 ? "default" : _a, label = props.label, placeholder = props.placeholder, sdsType = props.sdsType, hideLabel = props.hideLabel, rest = __rest(props, ["id", "intent", "label", "placeholder", "sdsType", "hideLabel"]);
    var _b = React.useState(false), hasValue = _b[0], setHasValue = _b[1];
    var handleChange = function (event) {
        if (event.target.value) {
            setHasValue(true);
        }
        else {
            setHasValue(false);
        }
    };
    var inputProps = {
        "aria-label": "".concat(label),
    };
    if (!id || !label) {
        // eslint-disable-next-line no-console
        console.error("Error: czifui component InputText requires id and label props for accessibility.");
        return React__default["default"].createElement(React__default["default"].Fragment, null);
    }
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        !hideLabel && React__default["default"].createElement(StyledLabel, { htmlFor: id }, label),
        React__default["default"].createElement(StyledInputBase, __assign({ ref: ref, inputProps: inputProps, type: "text", multiline: sdsType === "textArea", minRows: sdsType === "textArea" ? 4 : 2, id: id, intent: intent, variant: "outlined", size: "small", placeholder: placeholder, sdsStage: hasValue ? "userInput" : "default", sdsType: sdsType, onChange: handleChange }, rest))));
});

var toggle = function (props) {
    var disabled = props.disabled;
    var corners = getCorners(props);
    var spaces = getSpaces(props);
    var TOGGLE_HEIGHT = 18;
    return "\n    cursor: ".concat(disabled ? "default" : "pointer", ";\n    border-radius: ").concat(corners === null || corners === void 0 ? void 0 : corners.l, "px;\n    height: 26px;\n    width: 62px;\n    line-height: 18px;\n    padding: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xxs, "px;\n\n    .MuiSwitch-switchBase {\n      font: inherit;\n      margin: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xxs, "px;\n      padding: 0;\n      transform: unset;\n\n      &:hover {\n        background-color: transparent;\n      }\n    }\n\n    .MuiSwitch-thumb {\n      height: ").concat(TOGGLE_HEIGHT, "px;\n      width: ").concat(TOGGLE_HEIGHT, "px;\n      box-shadow: none;\n    }\n\n    .MuiSwitch-track {\n      background-color: white;\n      width: unset;\n    }\n  ");
};
var toggleOn = function (props) {
    var disabled = props.disabled, value = props.value;
    var borders = getBorders(props);
    var colors = getColors(props);
    var spaces = getSpaces(props);
    return "\n    outline: ".concat(disabled ? borders === null || borders === void 0 ? void 0 : borders.primary[300] : borders === null || borders === void 0 ? void 0 : borders.primary[400], ";\n\n    .MuiSwitch-thumb {\n      color: ").concat(disabled ? colors === null || colors === void 0 ? void 0 : colors.primary[300] : colors === null || colors === void 0 ? void 0 : colors.primary[400], ";\n      margin-left: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.s, "px;\n    }\n\n    .MuiSwitch-switchBase {\n      left: unset;\n      right: 0;\n      transform: unset;\n\n      .MuiIconButton-label {\n        margin-left: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.s, "px;\n      }\n\n      &:before {\n        color: ").concat(disabled ? colors === null || colors === void 0 ? void 0 : colors.gray[300] : colors === null || colors === void 0 ? void 0 : colors.gray[600], ";\n        content: \"").concat(value, "\";\n        font: inherit;\n        font-family: 'Open sans';\n      }\n    }\n\n    ").concat(!disabled &&
        "&:hover {\n        outline: ".concat(borders === null || borders === void 0 ? void 0 : borders.primary[500], ";\n\n        .MuiSwitch-thumb {\n          color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[500], ";\n        }\n      }"), "\n  ");
};
var toggleOff = function (props) {
    var disabled = props.disabled, value = props.value;
    var borders = getBorders(props);
    var colors = getColors(props);
    var spaces = getSpaces(props);
    return "\n    & {\n      outline: ".concat(disabled ? borders === null || borders === void 0 ? void 0 : borders.gray[300] : borders === null || borders === void 0 ? void 0 : borders.gray[400], ";\n    }\n\n    .MuiSwitch-thumb {\n      color: ").concat(disabled ? colors === null || colors === void 0 ? void 0 : colors.gray[300] : colors === null || colors === void 0 ? void 0 : colors.gray[400], ";\n      margin-right: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.s, "px;\n    }\n\n    .MuiSwitch-switchBase {\n      right: unset;\n      left: 0;\n      transform: unset;\n\n      .MuiIconButton-label {\n        margin-right: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.s, "px;\n      }\n\n      &:after {\n        color: ").concat(disabled ? colors === null || colors === void 0 ? void 0 : colors.gray[300] : colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n        content: \"").concat(value, "\";\n        font: inherit;\n        font-family: 'Open sans';\n      }\n    }\n\n    ").concat(!disabled &&
        "&:hover {\n        outline: ".concat(borders === null || borders === void 0 ? void 0 : borders.gray[500], ";\n\n        .MuiSwitch-thumb {\n          color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n        }\n      }"), "\n  ");
};
var Toggle = styles.styled(material.Switch)(templateObject_1$j || (templateObject_1$j = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontBodyXs$5, function (props) {
    var checked = props.checked;
    return "\n      ".concat(toggle(props), "\n      ").concat(checked ? toggleOn(props) : toggleOff(props), "\n    ");
});
var templateObject_1$j;

/**
 * @see https://mui.com/material-ui/react-switch/
 */
var InputToggle = function (props) {
    var _a = React.useState(false), checked = _a[0], setChecked = _a[1];
    var _b = props.offLabel, offLabel = _b === void 0 ? "Off" : _b, onChange = props.onChange, _c = props.onLabel, onLabel = _c === void 0 ? "On" : _c, rest = __rest(props, ["offLabel", "onChange", "onLabel"]);
    var labelValue = checked ? onLabel : offLabel;
    var handleChange = function (e) {
        setChecked(!checked);
        if (onChange)
            onChange(e);
    };
    return (React__default["default"].createElement(Toggle, __assign({ checked: checked, color: "primary", onChange: handleChange, value: labelValue }, rest)));
};

var sdsPropNames$1 = ["sdsStyle"];
var defaultStyle = function (props) {
    var _a, _b;
    var theme = props.theme;
    return react.css(templateObject_1$i || (templateObject_1$i = __makeTemplateObject(["\n    color: ", ";\n\n    &:hover,\n    &:focus {\n      color: ", ";\n    }\n  "], ["\n    color: ", ";\n\n    &:hover,\n    &:focus {\n      color: ", ";\n    }\n  "])), (_a = theme === null || theme === void 0 ? void 0 : theme.app) === null || _a === void 0 ? void 0 : _a.colors.primary[400], (_b = theme === null || theme === void 0 ? void 0 : theme.app) === null || _b === void 0 ? void 0 : _b.colors.primary[500]);
};
var dashedStyle = function (props) {
    var border = getBorders(props);
    return react.css(templateObject_2$8 || (templateObject_2$8 = __makeTemplateObject(["\n    color: inherit;\n    border-bottom: ", ";\n\n    &:hover,\n    &:focus {\n      text-decoration: none;\n      border-bottom: ", ";\n    }\n  "], ["\n    color: inherit;\n    border-bottom: ", ";\n\n    &:hover,\n    &:focus {\n      text-decoration: none;\n      border-bottom: ", ";\n    }\n  "])), border === null || border === void 0 ? void 0 : border.link.dashed, border === null || border === void 0 ? void 0 : border.link.solid);
};
var StyledLink = styles.styled(material.Link, {
    shouldForwardProp: function (prop) {
        return !sdsPropNames$1.includes(prop.toString());
    },
})(templateObject_4$4 || (templateObject_4$4 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var sdsStyle = props.sdsStyle;
    return react.css(templateObject_3$5 || (templateObject_3$5 = __makeTemplateObject(["\n      ", "\n      ", "\n    "], ["\n      ", "\n      ", "\n    "])), sdsStyle === "default" && defaultStyle(props), sdsStyle === "dashed" && dashedStyle(props));
});
var templateObject_1$i, templateObject_2$8, templateObject_3$5, templateObject_4$4;

/**
 * @see https://mui.com/material-ui/react-link/
 */
var Link = React.forwardRef(function (props, ref) {
    var sdsStyle = props.sdsStyle;
    var underline;
    if (sdsStyle === "default") {
        underline = "none";
    }
    return React__default["default"].createElement(StyledLink, __assign({}, props, { underline: underline, ref: ref }));
});

// (thuang): Please keep this in sync with the props used in `ListExtraProps`
var doNotForwardProps$6 = ["marginBotton", "ordered"];
var StyledList = styles.styled(material.List, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$6.includes(prop); },
})(templateObject_1$h || (templateObject_1$h = __makeTemplateObject(["\n  .MuiListSubheader-root {\n    ", "\n  }\n\n  ", "\n"], ["\n  .MuiListSubheader-root {\n    ", "\n  }\n\n  ", "\n"])), propsToMarginBottom$1, function (props) {
    if (!props.ordered)
        return "";
    return "\n      counter-reset: section;\n    ";
});
function propsToMarginBottom$1(props) {
    var spacings = getSpaces(props);
    var propsToMarginBottomMap = {
        l: spacings === null || spacings === void 0 ? void 0 : spacings.l,
        m: spacings === null || spacings === void 0 ? void 0 : spacings.l,
        s: spacings === null || spacings === void 0 ? void 0 : spacings.m,
        xs: spacings === null || spacings === void 0 ? void 0 : spacings.m,
        xxs: spacings === null || spacings === void 0 ? void 0 : spacings.m,
        xxxs: spacings === null || spacings === void 0 ? void 0 : spacings.s,
    };
    var marginBottom = props.marginBottom;
    return "\n    margin-bottom: ".concat(propsToMarginBottomMap[marginBottom || "s"], "px;\n  ");
}
var templateObject_1$h;

/**
 * @see https://mui.com/material-ui/react-list/
 */
var List = function (props) {
    var ordered = props.ordered;
    return (React__default["default"].createElement(StyledList, __assign({ component: ordered ? "ol" : "ul", disablePadding: true }, props)));
};

var fontBodyL = fontBody("l");
var fontBodyM = fontBody("m");
var fontBodyS$1 = fontBody("s");
var fontBodyXs$1 = fontBody("xs");
var fontBodyXxs = fontBody("xxs");
var fontBodyXxxs = fontBody("xxxs");
// (thuang): Please keep this in sync with the props used in `ListItemExtraProps`
var doNotForwardProps$5 = ["marginBottom", "fontSize", "ordered"];
var StyledListItem = styles.styled(material.ListItem, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$5.includes(prop); },
})(templateObject_1$g || (templateObject_1$g = __makeTemplateObject(["\n  ", "\n  ", "\n\n  padding: 0;\n\n  ", "\n\n  &:before {\n    display: inline-block;\n    font-weight: 600;\n\n    ", "\n  }\n"], ["\n  ", "\n  ", "\n\n  padding: 0;\n\n  ", "\n\n  &:before {\n    display: inline-block;\n    font-weight: 600;\n\n    ", "\n  }\n"])), propsToMarginBottom, propsToFontBody, function (props) {
    var ordered = props.ordered;
    var typography = props.theme.typography;
    return "\n      align-items: flex-start;\n      font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n      ").concat(ordered ? "counter-increment: section;" : "", "\n    ");
}, function (props) {
    var spacings = getSpaces(props);
    var ordered = props.ordered;
    return "\n        content: ".concat(ordered ? "counters(section, \".\")\".\"" : "\"\u2022\"", ";\n        margin-right: ").concat(ordered ? spacings === null || spacings === void 0 ? void 0 : spacings.xs : spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n      ");
});
function propsToFontBody(props) {
    var propsToFontBodyMap = {
        l: fontBodyL,
        m: fontBodyM,
        s: fontBodyS$1,
        xs: fontBodyXs$1,
        xxs: fontBodyXxs,
        xxxs: fontBodyXxxs,
    };
    var fontSize = props.fontSize;
    return propsToFontBodyMap[fontSize || "s"];
}
function propsToMarginBottom(props) {
    var spacings = getSpaces(props);
    var propsToMarginBottomMap = {
        s: spacings === null || spacings === void 0 ? void 0 : spacings.s,
        xs: spacings === null || spacings === void 0 ? void 0 : spacings.xs,
        xxs: spacings === null || spacings === void 0 ? void 0 : spacings.xxs,
    };
    var marginBottom = props.marginBottom;
    return "\n    margin-bottom: ".concat(propsToMarginBottomMap[marginBottom || "xs"], "px;\n  ");
}
var ListItemLabel = styles.styled("span")(templateObject_2$7 || (templateObject_2$7 = __makeTemplateObject(["\n  margin-right: 5px;\n\n  ", "\n"], ["\n  margin-right: 5px;\n\n  ", "\n"])), function (props) {
    var fontWeights = getFontWeights(props);
    return "\n      font-weight: ".concat(fontWeights === null || fontWeights === void 0 ? void 0 : fontWeights.semibold, ";\n    ");
});
var templateObject_1$g, templateObject_2$7;

/**
 * @see https://mui.com/material-ui/react-list/
 */
var ListItem = function (props) {
    return React__default["default"].createElement(StyledListItem, __assign({ disableGutters: true }, props));
};

var fontHeaderM = fontHeader("m");
var StyledListSubheader = styles.styled(material.ListSubheader)(templateObject_1$f || (templateObject_1$f = __makeTemplateObject(["\n  &.MuiListSubheader-root {\n    ", "\n\n    line-height: unset;\n    color: unset;\n\n    ", "\n  }\n"], ["\n  &.MuiListSubheader-root {\n    ", "\n\n    line-height: unset;\n    color: unset;\n\n    ", "\n  }\n"])), fontHeaderM, function (props) {
    var spacings = getSpaces(props);
    return "\n        margin-bottom: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n      ");
});
var templateObject_1$f;

/**
 * @see https://mui.com/material-ui/react-list/
 */
var ListSubheader = function (props) {
    return React__default["default"].createElement(StyledListSubheader, __assign({ disableGutters: true }, props));
};

var fontBodyS = fontBody("s");
var StyledText = styles.styled("span")(templateObject_1$e || (templateObject_1$e = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var spacings = getSpaces(props);
    var typography = getTypography(props);
    return "\n      margin: 0 ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n      font-family: ").concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n    ");
});
var minimal = function (props) {
    var colors = getColors(props);
    var iconSizes = getIconSizes(props);
    return react.css(templateObject_2$6 || (templateObject_2$6 = __makeTemplateObject(["\n    ", "\n\n    color: ", ";\n\n    svg {\n      height: ", "px;\n      width: ", "px;\n\n      path {\n        fill: ", ";\n      }\n    }\n  "], ["\n    ", "\n\n    color: ", ";\n\n    svg {\n      height: ", "px;\n      width: ", "px;\n\n      path {\n        fill: ", ";\n      }\n    }\n  "])), fontBodyS(props), colors === null || colors === void 0 ? void 0 : colors.gray[500], iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.height, iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.s.width, colors === null || colors === void 0 ? void 0 : colors.gray[500]);
};
var tag = function (props) {
    var colors = getColors(props);
    var corners = getCorners(props);
    return react.css(templateObject_3$4 || (templateObject_3$4 = __makeTemplateObject(["\n    ", "\n\n    background-color: ", ";\n    border-radius: ", "px;\n    color: ", ";\n\n    svg {\n      path {\n        fill: ", ";\n      }\n    }\n  "], ["\n    ", "\n\n    background-color: ", ";\n    border-radius: ", "px;\n    color: ", ";\n\n    svg {\n      path {\n        fill: ", ";\n      }\n    }\n  "])), fontCapsXxxxs(props), colors === null || colors === void 0 ? void 0 : colors.info[200], corners === null || corners === void 0 ? void 0 : corners.l, colors === null || colors === void 0 ? void 0 : colors.info[600], colors === null || colors === void 0 ? void 0 : colors.info[400]);
};
var doNotForwardProps$4 = ["sdsStyle"];
var StyledLoadingIndicator = styles.styled("div", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$4.includes(prop); },
})(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var sdsStyle = props.sdsStyle;
    var spacings = getSpaces(props);
    var style = react.css(templateObject_4$3 || (templateObject_4$3 = __makeTemplateObject(["\n      display: inline-flex;\n      align-items: center;\n      padding: ", "px;\n    "], ["\n      display: inline-flex;\n      align-items: center;\n      padding: ", "px;\n    "])), spacings === null || spacings === void 0 ? void 0 : spacings.xxs);
    return react.css(templateObject_5$2 || (templateObject_5$2 = __makeTemplateObject(["\n      ", "\n      ", "\n      ", "\n    "], ["\n      ", "\n      ", "\n      ", "\n    "])), style, sdsStyle === "minimal" && minimal(props), sdsStyle === "tag" && tag(props));
});
var templateObject_1$e, templateObject_2$6, templateObject_3$4, templateObject_4$3, templateObject_5$2, templateObject_6;

var LoadingIndicator = function (_a) {
    var sdsStyle = _a.sdsStyle;
    return (React__default["default"].createElement(StyledLoadingIndicator, { sdsStyle: sdsStyle },
        React__default["default"].createElement(Icon, { sdsIcon: "loading", sdsSize: "l", sdsType: "static" }),
        React__default["default"].createElement(StyledText, null, "Loading")));
};

var StyledMenu = styles.styled(material.Menu)(templateObject_1$d || (templateObject_1$d = __makeTemplateObject(["\n  & {\n    .MuiMenu-paper {\n      ", "\n    }\n\n    .MuiList-padding {\n      padding: 0;\n    }\n  }\n"], ["\n  & {\n    .MuiMenu-paper {\n      ", "\n    }\n\n    .MuiList-padding {\n      padding: 0;\n    }\n  }\n"])), function (props) {
    var spacings = getSpaces(props);
    return "\n          padding: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n        ");
});
var templateObject_1$d;

var ANCHOR_ORIGIN = {
    horizontal: "center",
    vertical: "bottom",
};
var TRANSFORM_ORIGIN = {
    horizontal: "center",
    vertical: "top",
};
/**
 * @see https://mui.com/material-ui/react-menu/
 */
var Menu = function (props) {
    return (React__default["default"].createElement(StyledMenu, __assign({ anchorOrigin: ANCHOR_ORIGIN, transformOrigin: TRANSFORM_ORIGIN }, props)));
};

var StyledMenuItem = styles.styled(MenuItem)(templateObject_1$c || (templateObject_1$c = __makeTemplateObject(["\n  width: 100%;\n"], ["\n  width: 100%;\n"])));
var doNotForwardProps$3 = ["search", "InputBaseProps", "keepSearchOnSelect"];
// (thuang): Casting the type to `Autocomplete`
//  per https://github.com/mui-org/material-ui/issues/21727#issuecomment-880263271
var StyledAutocomplete = styles.styled(material.Autocomplete, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$3.includes(prop); },
})(templateObject_2$5 || (templateObject_2$5 = __makeTemplateObject(["\n  ", "\n  width: 100%;\n"], ["\n  ", "\n  width: 100%;\n"])), function (_a) {
    var search = _a.search;
    return !search && "height: 0;";
});
var InputBaseWrapper = styles.styled("div", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$3.includes(prop); },
})(templateObject_3$3 || (templateObject_3$3 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var search = props.search;
    if (!search) {
        // (thuang): We cannot use `display: none;` here, since
        // the component needs to be in the DOM to handle backdrop
        // click to close the menu
        return "\n        border: 0;\n        padding: 0;\n\n        white-space: nowrap;\n\n        clip-path: inset(100%);\n        clip: rect(0 0 0 0);\n        overflow: hidden;\n        margin: 0;\n      ";
    }
    var spacings = getSpaces(props);
    return "\n      margin: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.s, "px;\n    ");
});
var StyledMenuInputSearch = styles.styled(InputSearch, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$3.includes(prop); },
})(templateObject_4$2 || (templateObject_4$2 = __makeTemplateObject(["\n  && {\n    margin: 0;\n\n    .", " {\n      width: 100%;\n      padding: 0;\n      padding-right: 14px !important;\n    }\n\n    /* (thuang): Works with attribute inputMode: \"none\" to hide mobile keyboard */\n    caret-color: ", ";\n  }\n"], ["\n  && {\n    margin: 0;\n\n    .", " {\n      width: 100%;\n      padding: 0;\n      padding-right: 14px !important;\n    }\n\n    /* (thuang): Works with attribute inputMode: \"none\" to hide mobile keyboard */\n    caret-color: ", ";\n  }\n"])), material.inputBaseClasses.root, function (_a) {
    var search = _a.search;
    return (search ? "auto" : "transparent");
});
var templateObject_1$c, templateObject_2$5, templateObject_3$3, templateObject_4$2;

/**
 * @see https://mui.com/material-ui/react-autocomplete/
 */
var MenuSelect = function (props) {
    var _a = props.keepSearchOnSelect, keepSearchOnSelect = _a === void 0 ? true : _a, _b = props.multiple, multiple = _b === void 0 ? false : _b, _c = props.getOptionLabel, getOptionLabel = _c === void 0 ? defaultGetOptionLabel : _c, _d = props.renderTags, renderTags = _d === void 0 ? defaultRenderTags : _d, _e = props.renderOption, renderOption = _e === void 0 ? defaultRenderOption : _e, _f = props.disableCloseOnSelect, disableCloseOnSelect = _f === void 0 ? multiple : _f, _g = props.noOptionsText, noOptionsText = _g === void 0 ? "No options" : _g, _h = props.search, search = _h === void 0 ? false : _h, _j = props.InputBaseProps, InputBaseProps = _j === void 0 ? {} : _j, _k = props.onInputChange, onInputChange = _k === void 0 ? noop : _k;
    var _l = React.useState(""), inputValue = _l[0], setInputValue = _l[1];
    showWarningIfFirstOccurence(SDSWarningTypes.MenuSelectDeprecated);
    return (React__default["default"].createElement(StyledAutocomplete, __assign({ clearOnBlur: false, open: true, disableCloseOnSelect: disableCloseOnSelect, disablePortal: true, renderTags: renderTags, noOptionsText: noOptionsText, renderOption: renderOption, getOptionLabel: getOptionLabel, inputValue: inputValue, renderInput: function (params) { return (React__default["default"].createElement(InputBaseWrapper, { search: search },
            React__default["default"].createElement(StyledMenuInputSearch, __assign({ id: "location-search", label: "Search for a location", placeholder: "Search", ref: params.InputProps.ref, search: search, autoFocus: true, InputProps: __assign(__assign({ 
                    /**
                     * (thuang): Works with css caret-color: "transparent" to hide
                     * mobile keyboard
                     */
                    inputMode: search ? "text" : "none" }, params.InputProps.ref), { endAdornment: (React__default["default"].createElement(material.InputAdornment, { position: "end" },
                        React__default["default"].createElement(ButtonIcon, { sdsType: "secondary", sdsSize: "small", sdsIconProps: {
                                sdsType: "interactive",
                            }, sdsIcon: "search" }))), inputProps: params.inputProps }) }, InputBaseProps)))); } }, props, { onInputChange: function (event, value, reason) {
            if (event && event.type === "blur") {
                setInputValue("");
            }
            else if (reason !== "reset" ||
                (reason === "reset" && !keepSearchOnSelect)) {
                setInputValue(value);
            }
            if (onInputChange)
                onInputChange(event, value, reason);
        } })));
    function defaultGetOptionLabel(option) {
        if (typeof option === "object" && "name" in option)
            return option.name;
        return option.toString();
    }
    function defaultRenderTags() {
        return null;
    }
    function defaultRenderOption(optionProps, option, _a) {
        var selected = _a.selected;
        return (React__default["default"].createElement(StyledMenuItem, __assign({}, { component: "li" }, { isMultiSelect: multiple, selected: selected }, optionProps), option.name));
    }
};

var fontBodyXs = fontBody("xs");
var StyledNotification = styles.styled(material.Alert)(templateObject_1$b || (templateObject_1$b = __makeTemplateObject(["\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n"])), fontBodyXs, function (props) {
    var colors = getColors(props);
    var spacings = getSpaces(props);
    var shadows = getShadows(props);
    var _a = props.severity, severity = _a === void 0 ? "success" : _a;
    var borderColor = (colors && colors[severity][400]) || "black";
    var corners = getCorners(props);
    var iconSizes = getIconSizes(props);
    var iconColor = (colors && colors[severity][400]) || "black";
    var notificationColor = (colors && colors[severity][100]) || "white";
    var backgroundColor = colors && colors[severity][100];
    return "\n      background-color: ".concat(backgroundColor, ";\n      max-width: 480px;\n      min-width: 280px;\n      box-sizing: border-box;\n      margin: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px 0;\n      border-radius: ").concat(corners === null || corners === void 0 ? void 0 : corners.m, "px;\n      color: ").concat(defaultTheme.palette.text.primary, ";\n      padding: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n      align-items: flex-start;\n      background-color: ").concat(notificationColor, ";\n      border-left: 5px solid;\n      box-shadow: ").concat(shadows === null || shadows === void 0 ? void 0 : shadows.s, ";\n      border-color: ").concat(borderColor, ";\n\n      .MuiAlert-icon {\n        height: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.height, "px;\n        width: ").concat(iconSizes === null || iconSizes === void 0 ? void 0 : iconSizes.l.width, "px;\n        margin-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n        padding: 0;\n        path {\n          fill: ").concat(iconColor, ";\n        }\n      }\n\n      .MuiAlert-message {\n        padding: 0;\n        margin-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n\n        > * {\n          margin: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px 0px;\n\n          &:last-child {\n            margin-bottom: 0;\n          }\n        }\n\n        button {\n          display: block;\n        }\n      }\n\n      .MuiAlert-action {\n        margin-right: 0;\n        padding: 0;\n        align-items: flex-start;\n        margin-top: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px;\n\n        > button {\n            padding: 0;\n          }\n        }\n      }\n    ");
});
var templateObject_1$b;

/**
 * @see https://mui.com/material-ui/react-alert/
 */
var Notification = function (_a) {
    var autoDismiss = _a.autoDismiss, children = _a.children, dismissed = _a.dismissed, _b = _a.slideDirection, slideDirection = _b === void 0 ? "left" : _b, intent = _a.intent, onClose = _a.onClose, buttonOnClick = _a.buttonOnClick, buttonText = _a.buttonText, rest = __rest(_a, ["autoDismiss", "children", "dismissed", "slideDirection", "intent", "onClose", "buttonOnClick", "buttonText"]);
    var _c = React.useState(dismissed), hide = _c[0], setHide = _c[1];
    // remove prop used only for stories
    var passedProps = __assign({}, rest);
    delete passedProps.extraContent;
    React.useEffect(function () {
        setHide(dismissed);
        if (autoDismiss) {
            var timeout = typeof autoDismiss === "boolean" ? 8000 : autoDismiss;
            setTimeout(function () {
                setHide(true);
            }, timeout);
        }
    }, [dismissed, autoDismiss]);
    var handleClose = function (event) {
        setHide(true);
        if (onClose)
            onClose(event);
    };
    var getIcon = function () {
        switch (intent) {
            case "success":
                return React__default["default"].createElement(Icon, { sdsSize: "l", sdsIcon: "checkCircle", sdsType: "static" });
            case "info":
                return React__default["default"].createElement(Icon, { sdsSize: "l", sdsIcon: "infoCircle", sdsType: "static" });
            default:
                return (React__default["default"].createElement(Icon, { sdsSize: "l", sdsIcon: "exclamationMarkCircle", sdsType: "static" }));
        }
    };
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        React__default["default"].createElement(material.Slide, { in: !hide, direction: slideDirection, mountOnEnter: true, unmountOnExit: true, timeout: 250 },
            React__default["default"].createElement(material.Box, null,
                React__default["default"].createElement(StyledNotification, __assign({ onClose: onClose ? handleClose : undefined, action: onClose ? (React__default["default"].createElement(ButtonIcon, { onClick: handleClose, sdsSize: "small", sdsType: "tertiary", "data-testid": "notificationCloseButton", sdsIcon: "xMark" })) : null, icon: getIcon(), className: "elevated", severity: intent }, passedProps),
                    children,
                    buttonOnClick && (React__default["default"].createElement(Button, { sdsStyle: "minimal", sdsType: "secondary", onClick: buttonOnClick }, buttonText)))))));
};

var doNotForwardProps$2 = [
    "sdsStyle",
    "selected",
    "onPageChange",
    "onNextPage",
    "onPreviousPage",
    "goToPage",
    "totalCount",
    "siblingCount",
    "currentPage",
    "pageSize",
    "truncateDropdown",
];
var StyledPaginationButtonIcon = styles.styled(ButtonIcon, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$2.includes(prop); },
})(templateObject_1$a || (templateObject_1$a = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var disabled = props.disabled;
    var colors = getColors(props);
    return "\n      width: 32px;\n      height: 32px;\n      cursor: ".concat(disabled ? "auto" : "pointer", ";\n      &:hover {\n        background-color: ").concat(disabled ? "transparent" : colors === null || colors === void 0 ? void 0 : colors.gray[200], ";\n      }\n      & .MuiSvgIcon-root {\n        width: 10px;\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[600], "\n      }\n    ");
});
var StyledPaginationChevronList = styles.styled("li")(templateObject_2$4 || (templateObject_2$4 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"])));
var StyledPaginationChevronButton = styles.styled(ButtonIcon, {
    shouldForwardProp: function (prop) { return !doNotForwardProps$2.includes(prop); },
})(templateObject_3$2 || (templateObject_3$2 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var disabled = props.disabled;
    var colors = getColors(props);
    var spaces = getSpaces(props);
    return "\n      &[data-order=\"first\"] {\n        margin-right: ".concat(spaces === null || spaces === void 0 ? void 0 : spaces.xl, "px;\n      }\n      &[data-order=\"last\"] {\n        margin-left: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xl, "px;\n      }\n      cursor: ").concat(disabled ? "auto" : "pointer", ";\n      &:hover {\n        background-color: transparent;\n      }\n      & .MuiSvgIcon-root {\n        color: ").concat(disabled ? colors === null || colors === void 0 ? void 0 : colors.gray[300] : "black", ";\n      }\n    ");
});
var StyledPagination = styles.styled("ul", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$2.includes(prop); },
})(templateObject_4$1 || (templateObject_4$1 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyS$2, function (props) {
    var typography = getTypography(props);
    return "\n      font-family: ".concat(typography === null || typography === void 0 ? void 0 : typography.fontFamily, ";\n      display: flex;\n      flex-wrap: wrap;\n      padding: 0;\n      margin: 0;\n      & li {\n        list-style: none;\n      }\n    ");
});
var selectedPageStyle = function () {
    return "\n    background-color: black;\n    color: white;\n\n    &:hover {\n      background-color: black;\n    }\n  ";
};
var Page = styles.styled("li", {
    shouldForwardProp: function (prop) { return !doNotForwardProps$2.includes(prop); },
})(templateObject_5$1 || (templateObject_5$1 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontBodyS$2, function (props) {
    var selected = props.selected, sdsStyle = props.sdsStyle;
    var spaces = getSpaces(props);
    var corners = getCorners(props);
    var colors = getColors(props);
    var fontWeights = getFontWeights(props);
    return "\n      font-weight: ".concat(fontWeights === null || fontWeights === void 0 ? void 0 : fontWeights.semibold, ";\n      cursor: pointer;\n      list-style: none;\n      width: 32px;\n      height: 32px;\n      margin-right: ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.l, "px;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      border-radius: ").concat(sdsStyle === "round" ? corners === null || corners === void 0 ? void 0 : corners.l : corners === null || corners === void 0 ? void 0 : corners.m, "px;\n      user-select: none;\n      &:hover {\n        background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[200], ";\n      }\n\n      &:nth-last-of-type(-n+2) {\n        margin-right: 0;\n      }\n\n      ").concat(selected && selectedPageStyle(), ";\n    ");
});
var templateObject_1$a, templateObject_2$4, templateObject_3$2, templateObject_4$1, templateObject_5$1;

var StyledPaginationDropdownMenu = styles.styled(Menu)(templateObject_1$9 || (templateObject_1$9 = __makeTemplateObject(["\n  & .MuiPaper-root {\n    max-height: 120px;\n  }\n"], ["\n  & .MuiPaper-root {\n    max-height: 120px;\n  }\n"])));
var templateObject_1$9;

var PageListDropdown = function (props) {
    var pageList = props.pageList, onPageChange = props.onPageChange, sdsStyle = props.sdsStyle;
    var _a = React.useState(null), anchorEl = _a[0], setAnchorEl = _a[1];
    var handleClick = function (event) {
        setAnchorEl(event.currentTarget);
    };
    var handleClose = function () {
        setAnchorEl(null);
    };
    return (React__default["default"].createElement(Page, { sdsStyle: sdsStyle },
        React__default["default"].createElement(StyledPaginationButtonIcon, { "aria-label": "Go to a page", onClick: handleClick, sdsIcon: "dotsHorizontal", sdsSize: "small" }),
        React__default["default"].createElement(StyledPaginationDropdownMenu, { anchorEl: anchorEl, keepMounted: true, open: Boolean(anchorEl), onClose: handleClose }, pageList.map(function (page) {
            return (React__default["default"].createElement(MenuItem, { onClick: function () {
                    onPageChange(page);
                    handleClose();
                }, key: page }, page));
        }))));
};

var range = function (start, end) {
    var length = end - start + 1;
    return Array.from({ length: length }, function (_, idx) { return idx + start; });
};
var usePagination = function (_a) {
    var totalCount = _a.totalCount, pageSize = _a.pageSize, _b = _a.siblingCount, siblingCount = _b === void 0 ? 1 : _b, currentPage = _a.currentPage;
    return React.useMemo(function () {
        var totalPageCount = Math.ceil(totalCount / pageSize);
        // Pages count is determined as siblingCount + firstPage + lastPage + currentPage + 2*DOTS
        var totalPageNumbers = siblingCount + 5;
        /*
          If the number of pages is less than the page numbers we want to show in our
          paginationComponent, we return the range [1..totalPageCount]
        */
        if (totalPageNumbers >= totalPageCount) {
            return range(1, totalPageCount);
        }
        var leftSiblingIndex = Math.max(currentPage - siblingCount, 1);
        var rightSiblingIndex = Math.min(currentPage + siblingCount, totalPageCount);
        /*
          We do not want to show dots if there is only one position left
          after/before the left/right page count as that would lead to a change of our Pagination
          component size which we do not want
        */
        var shouldShowLeftDots = leftSiblingIndex > 2;
        var shouldShowRightDots = rightSiblingIndex < totalPageCount - 2;
        var firstPageIndex = 1;
        var lastPageIndex = totalPageCount;
        if (!shouldShowLeftDots && shouldShowRightDots) {
            var leftItemCount = 3 + 2 * siblingCount;
            var leftRange = range(1, leftItemCount);
            var rightDotsRange = range(leftItemCount + 1, totalPageCount - 1);
            return __spreadArray(__spreadArray([], leftRange, true), [rightDotsRange, totalPageCount], false);
        }
        if (shouldShowLeftDots && !shouldShowRightDots) {
            var rightItemCount = 3 + 2 * siblingCount;
            var rightRange = range(totalPageCount - rightItemCount + 1, totalPageCount);
            var leftDotsRange = range(2, totalPageCount - rightItemCount);
            return __spreadArray([firstPageIndex, leftDotsRange], rightRange, true);
        }
        if (shouldShowLeftDots && shouldShowRightDots) {
            var middleRange = range(leftSiblingIndex, rightSiblingIndex);
            var leftDotsRange = range(2, leftSiblingIndex - 1);
            var rightDotsRange = range(rightSiblingIndex + 1, totalPageCount - 1);
            return __spreadArray(__spreadArray([
                firstPageIndex,
                leftDotsRange
            ], middleRange, true), [
                rightDotsRange,
                lastPageIndex,
            ], false);
        }
    }, [totalCount, pageSize, siblingCount, currentPage]);
};

var Pagination = React.forwardRef(function (props, ref) {
    var _a = props.sdsStyle, sdsStyle = _a === void 0 ? "round" : _a, onPageChange = props.onPageChange, onNextPage = props.onNextPage, onPreviousPage = props.onPreviousPage, totalCount = props.totalCount, _b = props.siblingCount, siblingCount = _b === void 0 ? 1 : _b, currentPage = props.currentPage, pageSize = props.pageSize, _c = props.truncateDropdown, truncateDropdown = _c === void 0 ? true : _c;
    if (pageSize < 1) {
        throw new Error("PageSize can not be smaller than 1!");
    }
    var paginationRange = usePagination({
        currentPage: currentPage,
        pageSize: pageSize,
        siblingCount: siblingCount,
        totalCount: totalCount,
    }) || [];
    if (currentPage === 0 || paginationRange.length < 2) {
        return null;
    }
    var lastPage = paginationRange[paginationRange.length - 1];
    return (React__default["default"].createElement(StyledPagination, __assign({ ref: ref }, props),
        React__default["default"].createElement(StyledPaginationChevronList, { key: "prevPage" },
            React__default["default"].createElement(StyledPaginationChevronButton, { "aria-label": "Previous page", onClick: function () { return currentPage > 1 && onPreviousPage(); }, disabled: currentPage === 1, sdsSize: "small", sdsIcon: "chevronLeft", "data-order": "first" })),
        paginationRange.map(function (pageNumber) {
            if (Array.isArray(pageNumber)) {
                if (truncateDropdown) {
                    return (React__default["default"].createElement(PageListDropdown, { pageList: pageNumber, onPageChange: onPageChange, key: pageNumber.join("-"), sdsStyle: sdsStyle }));
                }
                return (React__default["default"].createElement(Page, { sdsStyle: sdsStyle, key: pageNumber.join("-") },
                    React__default["default"].createElement(StyledPaginationButtonIcon, { "aria-label": "Go to a page", disabled: true, sdsIcon: "dotsHorizontal", sdsSize: "small" })));
            }
            return (React__default["default"].createElement(Page, { key: pageNumber, onClick: function () { return onPageChange(pageNumber); }, selected: pageNumber === currentPage, sdsStyle: sdsStyle }, pageNumber));
        }),
        React__default["default"].createElement(StyledPaginationChevronList, { key: "onNextPage" },
            React__default["default"].createElement(StyledPaginationChevronButton, { "aria-label": "Next page", onClick: function () { return currentPage !== lastPage && onNextPage(); }, disabled: currentPage === lastPage, sdsSize: "small", "data-order": "last", sdsIcon: "chevronRight" }))));
});

var doNotForwardProps$1 = ["color", "buttonDefinition"];
var StyledSegmentedControl = styles.styled(ToggleButtonGroup__default["default"], {
    shouldForwardProp: function (prop) { return !doNotForwardProps$1.includes(prop); },
})(templateObject_1$8 || (templateObject_1$8 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var colors = getColors(props);
    var spacings = getSpaces(props);
    var corners = getCorners(props);
    return "\n    height: 26px;\n    \n    .Mui-selected.MuiToggleButton-root {\n        background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.primary[400], ";\n        border-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n        \n        &:hover {\n          background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n        }\n    }\n\n    .MuiToggleButton-root {\n      border-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n      line-height: 0px;\n      color: #000;\n      padding: 0;\n\n      &:hover {\n        border-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n        background-color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n      }\n    }\n\n    .MuiSvgIcon-root {\n      padding-right: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n      padding-left: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n      padding-bottom: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n      padding-top: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.xs, "px;\n      border-radius: ").concat(corners === null || corners === void 0 ? void 0 : corners.m, "px;\n    }\n    ");
});
var templateObject_1$8;

var SegmentedControl = function (props) {
    var _a;
    var buttonDefinition = props.buttonDefinition;
    var leftmost = (_a = buttonDefinition[0]) === null || _a === void 0 ? void 0 : _a.tooltipText;
    var _b = React__default["default"].useState(leftmost), active = _b[0], setActive = _b[1];
    var handleActive = function (event, newActive) {
        if (newActive !== null) {
            setActive(newActive);
        }
    };
    return (React__default["default"].createElement(StyledSegmentedControl, __assign({ color: "primary", size: "small", value: active, exclusive: true, onChange: handleActive }, props),
        buttonDefinition.map(function (button) {
            var iconName = button.iconName, tooltipText = button.tooltipText;
            return (React__default["default"].createElement(ToggleButton__default["default"], { "aria-label": tooltipText, disableRipple: true, value: tooltipText, key: tooltipText },
                React__default["default"].createElement(Tooltip, { title: tooltipText, sdsStyle: "dark", arrow: true },
                    React__default["default"].createElement("span", null,
                        React__default["default"].createElement(Icon, { sdsIcon: iconName, sdsSize: "s", sdsType: "button" })))));
        }),
        ";"));
};

var StyledTable = styles.styled("table")(templateObject_1$7 || (templateObject_1$7 = __makeTemplateObject(["\n  width: 100%;\n  border-collapse: collapse;\n  border-spacing: 0;\n  table-layout: fixed;\n"], ["\n  width: 100%;\n  border-collapse: collapse;\n  border-spacing: 0;\n  table-layout: fixed;\n"])));
var templateObject_1$7;

var Table = React.forwardRef(function (props, ref) {
    var children = props.children;
    return (React__default["default"].createElement(StyledTable, __assign({ ref: ref }, props), children));
});

var doNotForwardProps = [
    "rowHeight",
    "useDivider",
    "shouldShowTooltipOnHover",
    "tooltipProps",
    "tooltipSubtitle",
    "tooltipText",
    "hover",
];
var disabledStyled = function (props) {
    var colors = getColors(props);
    return "\n    background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[100], ";\n    color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n    user-select: none;\n\n    & span, & div {\n      color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n    }\n\n    .cell-component {\n      color: black;\n      pointer-events: none;\n      user-select: none;\n      & span, & div {\n        color: black;\n      }\n\n      svg {\n        fill: black;\n      }\n\n      filter: grayscale(100%);\n      opacity: 0.2;\n    }\n  ");
};
var hoverStyled = function (props) {
    var colors = getColors(props);
    return "\n    &:hover {\n      background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[200], ";\n    }\n  ");
};
var StyledTableRow = styles.styled("tr", {
    shouldForwardProp: function (prop) { return !doNotForwardProps.includes(prop); },
})(templateObject_1$6 || (templateObject_1$6 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), fontHeaderS, function (props) {
    var rowHeight = props.rowHeight, _a = props.useDivider, useDivider = _a === void 0 ? true : _a, _b = props.selected, selected = _b === void 0 ? false : _b, _c = props.disabled, disabled = _c === void 0 ? false : _c, _d = props.hover, hover = _d === void 0 ? true : _d;
    var colors = getColors(props);
    return "\n      align-items: center;\n      border-bottom: ".concat(useDivider ? "solid 1px ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[300]) : "none", ";\n\n      ").concat(rowHeight ? "max-height: ".concat(rowHeight, "px;") : "", "\n\n      ").concat(selected ? "background-color: ".concat(colors === null || colors === void 0 ? void 0 : colors.primary[200], ";") : "", "\n\n      ").concat(hover && hoverStyled(props), ";\n\n      ").concat(disabled && disabledStyled(props), "\n    ");
});
var templateObject_1$6;

var TableRow = React.forwardRef(function (props, ref) {
    var children = props.children, _a = props.shouldShowTooltipOnHover, shouldShowTooltipOnHover = _a === void 0 ? true : _a, tooltipProps = props.tooltipProps, _b = props.tooltipText, tooltipText = _b === void 0 ? false : _b, tooltipSubtitle = props.tooltipSubtitle, _c = props.hover, hover = _c === void 0 ? true : _c;
    if (shouldShowTooltipOnHover && hover) {
        return (React__default["default"].createElement(Tooltip, __assign({ arrow: true, sdsStyle: "dark", subtitle: tooltipSubtitle, title: tooltipText }, tooltipProps),
            React__default["default"].createElement(StyledTableRow, __assign({ ref: ref }, props), children)));
    }
    return (React__default["default"].createElement(StyledTableRow, __assign({ ref: ref }, props), children));
});

var StyledTableHeader = styles.styled("thead")(templateObject_1$5 || (templateObject_1$5 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var colors = getColors(props);
    return "\n      border-bottom: solid 2px ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[300], ";\n    ");
});
var templateObject_1$5;

var TableHeader = React.forwardRef(function (props, ref) {
    var children = props.children;
    return (React__default["default"].createElement(StyledTableHeader, __assign({ ref: ref }, props),
        React__default["default"].createElement(TableRow, { hover: false, shouldShowTooltipOnHover: false }, children)));
});

var TabsContext = React.createContext({ sdsSize: "large" });

var Wrapper = styles.styled("span")(templateObject_1$4 || (templateObject_1$4 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (props) {
    var colors = getColors(props);
    return "\n      &:active {\n        color: black;\n      }\n\n      &:disabled {\n        color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[200], ";\n      }\n    ");
});
var LABEL_DO_NOT_FORWARD_PROPS = ["sdsSize"];
var Label = styles.styled("span", {
    shouldForwardProp: function (prop) {
        return !LABEL_DO_NOT_FORWARD_PROPS.includes(String(prop));
    },
})(templateObject_2$3 || (templateObject_2$3 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), function (props) {
    var sdsSize = props.sdsSize;
    var isLarge = sdsSize === "large";
    return isLarge ? fontBodyS$2(props) : fontBodyXs$5(props);
}, function (props) {
    var fontWeights = getFontWeights(props);
    var spaces = getSpaces(props);
    var sdsSize = props.sdsSize;
    var isLarge = sdsSize === "large";
    return "\n      margin-right: ".concat(isLarge ? spaces === null || spaces === void 0 ? void 0 : spaces.l : spaces === null || spaces === void 0 ? void 0 : spaces.m, "px;\n      font-weight: ").concat(fontWeights === null || fontWeights === void 0 ? void 0 : fontWeights.semibold, ";\n  ");
});
var COUNT_DO_NOT_FORWARD_PROPS = ["sdsSize"];
var Count = styles.styled("span", {
    shouldForwardProp: function (prop) {
        return !COUNT_DO_NOT_FORWARD_PROPS.includes(String(prop));
    },
})(templateObject_3$1 || (templateObject_3$1 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), function (props) {
    var sdsSize = props.sdsSize;
    var isLarge = sdsSize === "large";
    return isLarge ? fontBodyXs$5(props) : fontBodyXxs$1(props);
}, function (props) {
    var colors = getColors(props);
    return "\n      color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n    ");
});
var templateObject_1$4, templateObject_2$3, templateObject_3$1;

var LabelWithCount = React.forwardRef(function LabelWithCount(props, ref) {
    var _a = React.useContext(TabsContext).sdsSize, sdsSize = _a === void 0 ? "large" : _a;
    var label = props.label, count = props.count;
    return (React__default["default"].createElement(Wrapper, { ref: ref },
        React__default["default"].createElement(Label, { sdsSize: sdsSize }, label),
        React__default["default"].createElement(Count, { sdsSize: sdsSize }, count)));
});

var TempTabs = function (props) { return React__default["default"].createElement(material.Tabs, __assign({}, props)); };
var TABS_DO_NOT_FORWARD_PROPS = ["underlined", "sdsSize"];
var StyledTabs = styles.styled(TempTabs, {
    shouldForwardProp: function (prop) {
        return !TABS_DO_NOT_FORWARD_PROPS.includes(String(prop));
    },
})(templateObject_1$3 || (templateObject_1$3 = __makeTemplateObject(["\n  box-sizing: border-box;\n  padding-bottom: 0px;\n  min-height: unset;\n  position: relative;\n  z-index: 1;\n  overflow: inherit;\n\n  & .MuiTabs-scroller {\n    overflow: inherit !important;\n  }\n\n  ", "\n"], ["\n  box-sizing: border-box;\n  padding-bottom: 0px;\n  min-height: unset;\n  position: relative;\n  z-index: 1;\n  overflow: inherit;\n\n  & .MuiTabs-scroller {\n    overflow: inherit !important;\n  }\n\n  ", "\n"])), function (props) {
    var underlined = props.underlined, _a = props.sdsSize, sdsSize = _a === void 0 ? "large" : _a;
    var colors = getColors(props);
    var spaces = getSpaces(props);
    var isLarge = sdsSize === "large";
    return "\n      margin-top: ".concat(isLarge ? spaces === null || spaces === void 0 ? void 0 : spaces.l : spaces === null || spaces === void 0 ? void 0 : spaces.m, "px;\n      margin-bottom: ").concat(isLarge ? spaces === null || spaces === void 0 ? void 0 : spaces.xl : spaces === null || spaces === void 0 ? void 0 : spaces.m, "px;\n      border-bottom: ").concat(underlined ? "2px solid ".concat(colors === null || colors === void 0 ? void 0 : colors.gray[200], ";") : "none", ";\n    ");
});
var TAB_DO_NOT_FORWARD_PROPS = ["sdsSize"];
var StyledTab = styles.styled(material.Tab, {
    shouldForwardProp: function (prop) { return !TAB_DO_NOT_FORWARD_PROPS.includes(String(prop)); },
})(templateObject_2$2 || (templateObject_2$2 = __makeTemplateObject(["\n  min-height: unset;\n  padding: 0;\n  min-width: 32px;\n  opacity: 1 !important;\n\n  ", "\n\n  ", "\n"], ["\n  min-height: unset;\n  padding: 0;\n  min-width: 32px;\n  opacity: 1 !important;\n\n  ", "\n\n  ", "\n"])), tabFontMixin, function (props) {
    var colors = getColors(props);
    var spaces = getSpaces(props);
    var fontWeights = getFontWeights(props);
    var sdsSize = props.sdsSize;
    var isLarge = sdsSize === "large";
    return "\n      font-weight: ".concat(fontWeights === null || fontWeights === void 0 ? void 0 : fontWeights.semibold, ";\n      margin: 0 ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xl, "px ").concat(spaces === null || spaces === void 0 ? void 0 : spaces.xxs, "px 0;\n\n      // (thuang): Large Tab height is 30px, the offset is 4px\n      height: ").concat(isLarge ? 26 : 22, "px;\n\n      color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[500], ";\n\n      &:hover, :focus {\n        color: black;\n      }\n\n      &.Mui-selected {\n        color: black;\n\n        &:hover {\n          color: black;\n        }\n      }\n\n      &:active {\n        color: black;\n      }\n\n      &:disabled {\n        color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray[200], ";\n      }\n    ");
});
function tabFontMixin(props) {
    var sdsSize = props.sdsSize;
    var isLarge = sdsSize === "large";
    return isLarge ? fontBodyS$2(props) : fontBodyXs$5(props);
}
var templateObject_1$3, templateObject_2$2;

var TabIndicator = function (theme) {
    var colors = getColors({ theme: theme });
    return css.css(templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["\n    &.MuiTabs-indicator {\n      background-color: ", ";\n      height: 2px;\n      bottom: -2px;\n      z-index: 2;\n    }\n  "], ["\n    &.MuiTabs-indicator {\n      background-color: ", ";\n      height: 2px;\n      bottom: -2px;\n      z-index: 2;\n    }\n  "])), colors === null || colors === void 0 ? void 0 : colors.primary[400]);
};
var Tabs = React.forwardRef(function Tabs(props, ref) {
    var _a = props.sdsSize, sdsSize = _a === void 0 ? "large" : _a, rest = __rest(props, ["sdsSize"]);
    var theme = material.useTheme();
    var contextValue = React__default["default"].useMemo(function () { return ({ sdsSize: sdsSize }); }, [sdsSize]);
    var indicatorProps = React.useMemo(function () {
        return { className: TabIndicator(theme) };
    }, [theme]);
    return (React__default["default"].createElement(TabsContext.Provider, { value: contextValue },
        React__default["default"].createElement(StyledTabs, __assign({ TabIndicatorProps: indicatorProps, ref: ref }, rest))));
});
/**
 * @see https://mui.com/material-ui/react-tabs/
 */
var Tab = React.forwardRef(function Tab(props, ref) {
    var count = props.count, label = props.label, rest = __rest(props, ["count", "label"]);
    var context = React.useContext(TabsContext);
    var Label = 
    // (thuang): `count` can be 0, which is a valid count value.
    count === undefined ? (label) : (React__default["default"].createElement(LabelWithCount, { label: label, count: count }));
    return React__default["default"].createElement(StyledTab, __assign({ label: Label, ref: ref }, rest, context));
});
var templateObject_1$2;

var indicatorCSS = function (props) {
    var indicatorColor = props.indicatorColor;
    var spaces = getSpaces(props);
    var corners = getCorners(props);
    return css.css(templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n    &::before {\n      content: \"\";\n      width: ", "px;\n      height: ", "px;\n      display: block;\n      background-color: ", ";\n      border-radius: ", "px;\n      margin-right: ", "px;\n    }\n  "], ["\n    &::before {\n      content: \"\";\n      width: ", "px;\n      height: ", "px;\n      display: block;\n      background-color: ", ";\n      border-radius: ", "px;\n      margin-right: ", "px;\n    }\n  "])), spaces === null || spaces === void 0 ? void 0 : spaces.m, spaces === null || spaces === void 0 ? void 0 : spaces.m, indicatorColor, corners === null || corners === void 0 ? void 0 : corners.l, spaces === null || spaces === void 0 ? void 0 : spaces.m);
};
var condensedCSS = function (props) {
    var indicator = props.indicator;
    var spaces = getSpaces(props);
    return css.css(templateObject_2$1 || (templateObject_2$1 = __makeTemplateObject(["\n    && {\n      padding-top: ", "px;\n      padding-bottom: ", "px;\n      padding-left: ", "px;\n      padding-right: ", "px;\n      max-width: 250px;\n      display: flex;\n      align-items: center;\n\n      ", "\n    }\n  "], ["\n    && {\n      padding-top: ", "px;\n      padding-bottom: ", "px;\n      padding-left: ", "px;\n      padding-right: ", "px;\n      max-width: 250px;\n      display: flex;\n      align-items: center;\n\n      ", "\n    }\n  "])), spaces === null || spaces === void 0 ? void 0 : spaces.xxs, spaces === null || spaces === void 0 ? void 0 : spaces.xxs, spaces === null || spaces === void 0 ? void 0 : spaces.m, spaces === null || spaces === void 0 ? void 0 : spaces.m, indicator === true && indicatorCSS(props));
};
var templateObject_1$1, templateObject_2$1;

/**
 * @see https://mui.com/material-ui/react-tooltip/
 *
 * @warning If the tooltip wraps a disabled component, please make sure to
 * wrap the children in a `<span>` tag.
 * https://mui.com/components/tooltips/#disabled-elements
 */
var TooltipCondensed = React.forwardRef(function TooltipCondensed(props, ref) {
    var children = props.children, title = props.title, indicator = props.indicator, indicatorColor = props.indicatorColor;
    var theme = styles.useTheme();
    var extraProps = {
        /* stylelint-disable property-no-unknown -- false positive */
        indicator: indicator,
        indicatorColor: indicatorColor,
        theme: theme,
        /* stylelint-enable property-no-unknown -- false positive */
    };
    var tooltip = mergeClass({
        className: condensedCSS(extraProps),
        key: "tooltip",
        props: props,
    });
    return (React__default["default"].createElement(Tooltip, { followCursor: true, placement: "right-end", enterDelay: 50, leaveDelay: 50, title: title, ref: ref, classes: { tooltip: tooltip } }, children));
});
function mergeClass(_a) {
    var props = _a.props, className = _a.className, key = _a.key;
    var classes = props.classes;
    if (!classes)
        return className;
    var propClassName = classes[key];
    return propClassName ? "".concat(propClassName, " ").concat(className) : className;
}

var sdsPropNames = ["contentAlert", "itemAlign"];
var disabledStyle = function (props) {
    var colors = getColors(props);
    var disabled = props.disabled;
    if (!disabled)
        return "";
    return "\n    color: ".concat(colors === null || colors === void 0 ? void 0 : colors.gray["300"], ";\n  ");
};
var Section = styles.styled("div")(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  ", "\n\n  ", "\n"], ["\n  ", "\n\n  ", "\n"])), disabledStyle, function (props) {
    var colors = getColors(props);
    var spacings = getSpaces(props);
    return "\n      &:not(:last-child) {\n        padding-bottom: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n        border-bottom: 1px solid ").concat(colors === null || colors === void 0 ? void 0 : colors.gray["200"], ";\n      }\n\n      &:not(:first-of-type) {\n        padding-top: ").concat(spacings === null || spacings === void 0 ? void 0 : spacings.l, "px;\n      }\n    ");
});
var SectionLabel = styles.styled("div")(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  ", "\n  ", "\n\n  ", "\n"], ["\n  ", "\n  ", "\n\n  ", "\n"])), fontCapsXxxxs, disabledStyle, function (props) {
    var colors = getColors(props);
    var spacings = getSpaces(props);
    if (!props.label)
        return "";
    return "\n      margin-bottom: ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.m, "px;\n      color: ").concat(colors === null || colors === void 0 ? void 0 : colors.gray["500"], ";\n    ");
});
var RowLabel = styles.styled(material.TableCell, {
    shouldForwardProp: function (prop) {
        return !sdsPropNames.includes(prop.toString());
    },
})(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  ", "\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n  ", "\n"])), fontBodyXs$5, disabledStyle, function (props) {
    var spacings = getSpaces(props);
    return "\n      padding: 0 0 ".concat(spacings === null || spacings === void 0 ? void 0 : spacings.xxs, "px 0;\n      width: 50%;\n      border-bottom: none;\n      font-weight: 600;\n    ");
});
var RowValue = styles.styled(material.TableCell, {
    shouldForwardProp: function (prop) {
        return !sdsPropNames.includes(prop.toString());
    },
})(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  ", "\n  ", "\n\n  padding-top: 0;\n  padding-bottom: 0;\n  padding-right: 0 !important;\n  border-bottom: none;\n"], ["\n  ", "\n  ", "\n\n  padding-top: 0;\n  padding-bottom: 0;\n  padding-right: 0 !important;\n  border-bottom: none;\n"])), fontBodyXs$5, disabledStyle);
var Alert = styles.styled("div")(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), fontBodyXxs$1);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;

/**
 * @see https://mui.com/material-ui/react-table/
 */
var TooltipTableContent = function (props) {
    var contentAlert = props.contentAlert, data = props.data, _a = props.itemAlign, itemAlign = _a === void 0 ? "right" : _a, rest = __rest(props, ["contentAlert", "data", "itemAlign"]);
    return (React__default["default"].createElement(material.TableContainer, __assign({}, rest),
        contentAlert && React__default["default"].createElement(Alert, null, contentAlert), data === null || data === void 0 ? void 0 :
        data.map(function (section, index) { return (React__default["default"].createElement(Section, { disabled: section.disabled, key: "".concat(section.label + String(index)) },
            React__default["default"].createElement(SectionLabel, { disabled: section.disabled, label: section.label }, section.label),
            React__default["default"].createElement(material.Table, { size: "small" },
                React__default["default"].createElement(material.TableBody, null, section.dataRows.map(function (row, rowIndex) { return (React__default["default"].createElement(material.TableRow, { key: row.label + String(rowIndex) },
                    React__default["default"].createElement(RowLabel, { disabled: section.disabled, align: "left" }, row.label),
                    React__default["default"].createElement(RowValue, { disabled: section.disabled, align: itemAlign }, row.value))); }))))); })));
};

exports.Accordion = Accordion;
exports.AccordionDetails = AccordionDetails;
exports.AccordionHeader = AccordionHeader;
exports.Alert = Alert$1;
exports.Banner = Banner;
exports.Button = Button;
exports.ButtonDropdown = ButtonDropdown;
exports.ButtonIcon = ButtonIcon;
exports.Callout = Callout;
exports.CalloutTitle = CalloutTitle;
exports.CellBasic = CellBasic;
exports.CellComponent = CellComponent;
exports.CellHeader = CellHeader;
exports.Chip = Chip;
exports.ComplexFilter = ComplexFilter;
exports.ComplexFilterInputDropdown = InputDropdown;
exports.ComplexFilterPopper = StyledPopper;
exports.Dialog = Dialog;
exports.DialogActions = DialogActions;
exports.DialogContent = index;
exports.DialogContext = DialogContext;
exports.DialogPaper = DialogPaper;
exports.DialogTitle = DialogTitle;
exports.DialogTitleSubtitle = Subtitle;
exports.DialogTitleTitle = Title;
exports.Dropdown = Dropdown;
exports.DropdownInputDropdown = InputDropdown;
exports.DropdownMenu = DropdownMenu;
exports.DropdownPaper = StyledPaper$1;
exports.DropdownPopper = StyledPopper;
exports.Icon = Icon;
exports.InputCheckbox = InputCheckbox;
exports.InputDropdown = InputDropdown;
exports.InputRadio = InputRadio;
exports.InputSearch = InputSearch;
exports.InputSlider = InputSlider;
exports.InputText = InputText;
exports.InputToggle = InputToggle;
exports.Link = Link;
exports.List = List;
exports.ListItem = ListItem;
exports.ListItemLabel = ListItemLabel;
exports.ListSubheader = ListSubheader;
exports.LoadingIndicator = LoadingIndicator;
exports.Menu = Menu;
exports.MenuItem = MenuItem;
exports.MenuSelect = MenuSelect;
exports.Notification = Notification;
exports.Pagination = Pagination;
exports.SegmentedControl = SegmentedControl;
exports.Tab = Tab;
exports.Table = Table;
exports.TableHeader = TableHeader;
exports.TableRow = TableRow;
exports.Tabs = Tabs;
exports.Tag = Tag;
exports.TagFilter = TagFilter;
exports.Tooltip = Tooltip;
exports.TooltipCondensed = TooltipCondensed;
exports.TooltipTable = TooltipTableContent;
exports.defaultAppTheme = defaultAppTheme;
exports.defaultTheme = defaultTheme;
exports.fontBody = fontBody;
exports.fontBodyL = fontBodyL$1;
exports.fontBodyM = fontBodyM$1;
exports.fontBodyS = fontBodyS$2;
exports.fontBodyXs = fontBodyXs$5;
exports.fontBodyXxs = fontBodyXxs$1;
exports.fontBodyXxxs = fontBodyXxxs$1;
exports.fontCaps = fontCaps;
exports.fontCapsXxs = fontCapsXxs;
exports.fontCapsXxxs = fontCapsXxxs;
exports.fontCapsXxxxs = fontCapsXxxxs;
exports.fontHeader = fontHeader;
exports.fontHeaderL = fontHeaderL;
exports.fontHeaderM = fontHeaderM$1;
exports.fontHeaderS = fontHeaderS;
exports.fontHeaderXl = fontHeaderXl;
exports.fontHeaderXs = fontHeaderXs;
exports.fontHeaderXxl = fontHeaderXxl;
exports.fontHeaderXxs = fontHeaderXxs;
exports.fontHeaderXxxs = fontHeaderXxxs;
exports.getBorders = getBorders;
exports.getColors = getColors;
exports.getCorners = getCorners;
exports.getFontWeights = getFontWeights;
exports.getIconSizes = getIconSizes;
exports.getPalette = getPalette;
exports.getShadows = getShadows;
exports.getSpaces = getSpaces;
exports.getSpacings = getSpacings;
exports.getTypography = getTypography;
exports.makeThemeOptions = makeThemeOptions;
